<?php
add_action( 'admin_footer-post-new.php', 'fn_church_admin_footer_script' );
add_action( 'admin_footer-post.php',     'fn_church_admin_footer_script' );
function fn_church_admin_footer_script() {

	$not_show_shortcode = "pricing-table, dropcap, posts, icon, home-page-icon";
	$shortcodes = 'popup, front-page, column, accordion, list-style, divider, tabs, alert, iconbox, button, social-icon, single_popup, iframe, quote';
	$shortcodes = explode( ',', $shortcodes );
	$shortcodes = array_map( 'trim', $shortcodes );

	foreach ( $shortcodes as $shortcode ) {
		if( file_exists( CHURCH_SHORTCODE_PLUGIN_DIR. '/shortcode-script/' . $shortcode . '.php' ) ) {
			include_once CHURCH_SHORTCODE_PLUGIN_DIR. '/shortcode-script/' . $shortcode . '.php';
		}
	}	
}  
?>