<?php
/**
 *   Shortcode[ Alert ]
 *   ==================
 */
?>
<div role="tabpanel" class="tab-pane" id="ALERT_ID">
  <div class="row">
    <div class="col-md-12">
      <h2>Alert</h2>
      <ul class="nav nav-tabs" role="tablist">
        <li role="presentation" class="active"> <a href="#alert_preview" aria-controls="alert_preview" role="tab" data-toggle="tab">Section</a> </li>
        <li role="presentation"> <a href="#alert_layout" aria-controls="alert_layout" role="tab" data-toggle="tab">Layout</a> </li>
      </ul>
      <div class="tab-content">
        <div role="tabpanel" class="tab-pane active" id="alert_preview">
          <div class="mt30"></div>
          <div class="row">
            <div class="col-md-4 mt30">
              <div class="icon_title">Dismiss Alert</div>
            </div>
            <div class="col-md-8 mt30 alert_checkbox_div">
              <input type="checkbox" name="checkbox" id="checkbox_alert" class="checkbox_alert" />
            </div>
          </div>
          <div class="row">
            <div class="col-md-4 mt30">
              <div class="icon_title">Description</div>
            </div>
            <div class="col-md-8 mt30 alert_desc_div">
              <textarea rows="5" name="icon_desc" id="alert_desc" class="alert_desc" style="width:100%"></textarea>
            </div>
          </div>
          <div class="row">
            <div class="col-md-12 mt30 alert_code_insert" id="alert_code_insert">
              <pre><code>[church_alert class="" dismiss="false"][/church_alert]</code></pre>
              <button class="button button-primary fn_church_alert_insert" onmouseup="ALERT_CODE_INSERT();">Insert Code</button>
            </div>
          </div>
        </div>
        <div role="tabpanel" class="tab-pane" id="alert_layout">
          <div class="row">
            <div class="col-md-2 mt30 alert_layout"> 
            <span class="call-alert"><img class="alert alert-success" src="<?php echo CHURCH_SHORTCODE_PLUGIN_URL.'/icon/alert-success.jpg'; ?>"></span> 
            </div>
            <div class="col-md-2 mt30 alert_layout"> 
            <span class="call-alert"><img class="alert alert-info" src="<?php echo CHURCH_SHORTCODE_PLUGIN_URL.'/icon/alert-info.jpg'; ?>"></span> 
            </div>
            <div class="col-md-2 mt30 alert_layout"> 
            <span class="call-alert"><img class="alert alert-warning" src="<?php echo CHURCH_SHORTCODE_PLUGIN_URL.'/icon/alert-warning.jpg'; ?>"></span> 
            </div>
            <div class="col-md-2 mt30 alert_layout"> 
            <span class="call-alert"><img class="alert alert-danger" src="<?php echo CHURCH_SHORTCODE_PLUGIN_URL.'/icon/alert-danger.jpg'; ?>"></span> 
            </div>
<?php /*?> 
            <div class="col-md-2 mt30 alert_layout"> 
            <span class="call-alert"><img class="alert alert-standard" src="<?php echo CHURCH_SHORTCODE_PLUGIN_URL.'/icon/alert-standard.jpg'; ?>"></span> 
            </div>
<?php */?>  
          </div>
        </div>
      </div>
    </div>
  </div>
</div>