<?php
/**
 * Add Shortcode popup button 
 *
 * @package  Church
 * @since    1.0
 */
 
if( ! function_exists( 'fn_church_shortcode_button' ) ){	
	function fn_church_shortcode_button(){
		
	$font_icon_list = $option_icon_list = ''; 
	$variable_list = ebor_icons_list();		  
	
	foreach ($variable_list as $key => $value) {
		$font_icon_list .='<div class="col-md-2 icon_box">
		<span class="call-fa"><i class="fa fa-3x '.$key.'"></i></span>
		</div>';
	}
	foreach ($variable_list as $key => $value) {
		$option_icon_list .= '<option value="'.$key.'">'.$value.'</option>';
	}

	echo '<a class="thickbox button button-default" id="tb_open"> Shortcode </a>';
	
	echo '<div id="my-content-id" style="display:none;"><!-- MY_ICON_ID -->
		  <div class="row">

	<div class="col-md-2"><!-- col-md-2 -->	
		<ul class="nav nav-tabs tabs-left" role="tablist"><!-- Nav tabs -->
		<li role="presentation"  class="active"><a href="#COLUMN" aria-controls="column" role="tab" data-toggle="tab">Column</a></li>
		<li role="presentation"><a href="#FRONTPAGE" aria-controls="front" role="tab" data-toggle="tab">Front Page Shortcode</a></li>
		<li role="presentation"><a href="#ACCORDION_ID" aria-controls="accordion" role="tab" data-toggle="tab">Accordion</a></li>
		<li role="presentation"><a href="#TAB_ID" aria-controls="profile" role="tab" data-toggle="tab">Tabs</a></li>
		<li role="presentation"><a href="#ALERT_ID" aria-controls="messages" role="tab" data-toggle="tab">Alerts</a></li>
		<li role="presentation"><a href="#ICONBOX_ID" aria-controls="settings" role="tab" data-toggle="tab">IconBox</a></li>
		<!-- <li role="presentation"><a href="#HOME_ICONBOX_ID" aria-controls="settings" role="tab" data-toggle="tab"> Home Page iconbox</a></li> -->
		<li role="presentation"><a href="#DIVIDER" aria-controls="settings" role="tab" data-toggle="tab">Divider</a></li>
		<li role="presentation"><a href="#LIST_VIEW" aria-controls="settings" role="tab" data-toggle="tab">List Style</a></li>
		<li role="presentation"><a href="#BUTTON" aria-controls="settings" role="tab" data-toggle="tab"> Button </a></li>
		<li role="presentation"><a href="#SOCIAL_ICON" aria-controls="settings" role="tab" data-toggle="tab"> Social Icon </a></li>
		<li role="presentation"><a href="#SINGLE_POPUP" aria-controls="settings" role="tab" data-toggle="tab"> Light-box Popup</a></li>
		<li role="presentation"><a href="#IFRAME" aria-controls="settings" role="tab" data-toggle="tab"> Video/Audio </a></li>
		<li role="presentation"><a href="#QUOTE" aria-controls="settings" role="tab" data-toggle="tab"> Quote </a></li>
		<!--
		<li role="presentation"><a href="#ICON" aria-controls="settings" role="tab" data-toggle="tab">Icons</a></li>
		<li role="presentation"><a href="#POSTS" aria-controls="settings" role="tab" data-toggle="tab"> Posts </a></li>
		<li role="presentation"><a href="#PRICING_TABLE" aria-controls="settings" role="tab" data-toggle="tab"> Pricing Table </a></li>
		<li role="presentation"><a href="#DROPCAP" aria-controls="settings" role="tab" data-toggle="tab"> Drop Cap </a></li>		
		-->
		</ul><!-- Nav tabs -->	
	</div><!-- col-md-2 -->

	<div class="col-md-10"><!-- col-md-10 -->
		<div class="tab-content"><!-- Tab panes -->';
		
		$not_show_shortcode = "pricing-table, dropcap, posts, icon, home-page-icon, ";
		$shortcodes = 'column, front-page, accordion, tabs, alert, iconbox, divider, list-style, button, social-icon, single_popup, iframe, quote';
		$shortcodes = explode( ',', $shortcodes );
		$shortcodes = array_map( 'trim', $shortcodes );
	
		foreach ( $shortcodes as $shortcode ) {
			include_once CHURCH_SHORTCODE_PLUGIN_DIR. '/shortcode/' . $shortcode . '.php';
		}	
	  
		echo '</div><!-- Tab panes --> 
			</div><!-- col-md-10 -->
		  </div><!-- row -->
		</div><!-- MY_CONTENT_ID -->';
	}  // function ending
	
	add_action('media_buttons', 'fn_church_shortcode_button', 11);
}
?>