<?php
/**
* The template for displaying 404 pages (Not Found).
*
* @package Church
*/
get_header(); ?>

<div id="error" class="error">
<!-- error -->
<div class="container error-content">
<!-- error-content -->

    <div class="row">
    <!-- row -->
        <div class="col-md-offset-1 col-md-5">
        <!-- col-md-5 -->
	        <h1><?php esc_html_e( '404', 'praise_church' ); ?></h1>
		</div>
		<!-- col-md-5 -->
        <div class="col-md-5">
        <!-- col-md-6 -->
			<h2><?php esc_html_e( "Error...Seems like You're lost", 'praise_church' ); ?></h2>
		</div>
		<!-- col-md-6 -->
	</div>
	<!-- row -->    
    
    <div class="row">
    <!-- row -->
        <div class="col-md-12 error-links">
        <!-- col-md-12 -->
            <p>These popular links might you get where you're going.</p>
            <a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="btn outline-btn outline-btn-yellow">I M New Here</a> 
            <a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="btn outline-btn outline-btn-yellow">Service Time</a> 
            <a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="btn outline-btn outline-btn-yellow">Locations</a> 
            <a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="btn outline-btn outline-btn-yellow">Sermons</a>
        </div>
        <!-- col-md-12 -->
    </div>
    <!-- row -->
    
</div>
<!-- error-content -->
</div>
<!-- error -->

<?php get_footer(); ?>