<?php

/**
 * The template for displaying archive pages.
*
* Learn more: http://codex.wordpress.org/Template_Hierarchy
*
* @package Church
*/
get_header(); 
get_template_part('page_banner'); ?>

<div class="container blog-content">
<!-- container -->
<div class="row">
<!-- row -->

    <div class="col-md-8 blog-details">
    <!-- col-md-8 -->
	<div class="row">
    <!-- row -->

    <?php if ( have_posts() ) : ?>
        
    <?php /* Start the Loop */ ?>
    <?php while ( have_posts() ) : the_post(); ?>
    <?php
				/*
				 * Include the Post-Format-specific template for the content.
				 * If you want to override this in a child theme, then include a file
				 * called content-___.php (where ___ is the Post Format name) and that will be used instead.
				 */
				echo '<div class="col-md-12 blog-post">';
				get_template_part( 'template-parts/content', get_post_format() );
				echo '</div>';
				
	?>
    <?php endwhile; ?>
	<?php church_pagination(); ?>
	<?php else : ?>
    <?php get_template_part( 'template-parts/content', 'none' ); ?>
	<?php endif; ?>

	</div>
    <!-- row -->
	</div>
    <!-- col-md-8 -->
    
    <div class="col-md-4">
    <!-- col-md-4 -->
		<?php get_sidebar(); ?>
	</div>
    <!-- col-md-4 -->
    
</div>
<!-- row -->
</div>
<!-- container -->

<?php get_footer(); ?>