<?php
/**
 * The template for displaying Author bios
 *
 * @package WordPress
 * @subpackage Church
 * @since Church
 */
?>
<div class="col-md-12">
<div class="row">
<div class="col-md-12">
<div class="author-info">    
	<div class="author-avatar col-md-3">
	<?php
    /**
     * Filter the author bio avatar size.
     *
     * @since church
     *
     * @param int $size The avatar height and width size in pixels.
     */
	    $author_bio_avatar_size = apply_filters( 'church_author_bio_avatar_size', 130 );
    	echo get_avatar( get_the_author_meta( 'user_email' ), $author_bio_avatar_size );
    ?>
	</div><!-- .author-avatar -->

	<div class="author-description col-md-9">
		<h3 class="author-title"><?php echo get_the_author(); ?></h3>

		<p class="author-bio">
		<?php the_author_meta( 'description' ); ?>
		<a class="author-link" href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>" rel="author">
			<?php printf( __( 'View all posts by %s', 'praise_church' ), get_the_author() ); ?>
		</a>
		</p><!-- .author-bio -->

	</div><!-- .author-description -->    
</div><!-- .author-info -->
</div><!-- col-md-12 -->
</div><!-- row -->
</div><!-- col-md-12 -->