<?php
/*-----------------------------------------------------------*
/* 			THEME OPTION. 
/*-----------------------------------------------------------*/
if ( ! defined( 'ABSPATH' ) ) exit;

if( !function_exists('church_theme_options') ){
	
	function church_theme_options(){
	/**
	 * Theme-options.
	 */
	$font_size = $font_style = $font_weight = $line_height = $theme_options = $googlefonts = $currency = $blog_post = $event_post = $event_id = $blog_id = $sermon_id = $sermon_post = $ministry_id = $ministry_post = array();

	$font_style      = array(
		''			=> 'Font Style',
		'normal' 	=> 'Normal', 
		'italic' 	=> 'Italic', 
		'oblique' 	=> 'Oblique', 
		'inherit' 	=> 'Inherit', 
	);
	$font_weight     = array(
		''			=> 'Font weight',
		'normal' 	=> 'Normal',
		'bold' 		=> 'Bold',
		'bolder'	=> 'Bolder',
		'lighter' 	=> 'Lighter',
		'100' 		=> '100',
		'200' 		=> '200',
		'300' 		=> '300',
		'400' 		=> '400',
		'500' 		=> '500',
		'600' 		=> '600',
		'700' 		=> '700',
		'800' 		=> '800',
		'900' 		=> '900',
		'inherit' 	=> 'Inherit',
	);
	$googlefonts	 = array(
		"ABeeZee" => "ABeeZee",
		"Abel" => "Abel",
		"Abril Fatface" => "Abril+Fatface",
		"Aclonica" => "Aclonica",
		"Acme" => "Acme",
		"Actor" => "Actor",
		"Adamina" => "Adamina",
		"Advent Pro" => "Advent+Pro",
		"Aguafina Script" => "Aguafina+Script",
		"Akronim" => "Akronim",
		"Aladin" => "Aladin",
		"Aldrich" => "Aldrich",
		"Alegreya" => "Alegreya",
		"Alegreya SC" => "Alegreya+SC",
		"Alex Brush" => "Alex+Brush",
		"Alfa Slab One" => "Alfa+Slab+One",
		"Alice" => "Alice",
		"Alike" => "Alike",
		"Alike Angular" => "Alike+Angular",
		"Allan" => "Allan",
		"Allerta" => "Allerta",
		"Allerta Stencil" => "Allerta+Stencil",
		"Allura" => "Allura",
		"Almendra" => "Almendra",
		"Almendra Display" => "Almendra+Display",
		"Almendra SC" => "Almendra+SC",
		"Amarante" => "Amarante",
		"Amaranth" => "Amaranth",
		"Amatic SC" => "Amatic+SC",
		"Amethysta" => "Amethysta",
		"Anaheim" => "Anaheim",
		"Andada" => "Andada",
		"Andika" => "Andika",
		"Angkor" => "Angkor",
		"Annie Use Your Telescope" => "Annie+Use+Your+Telescope",
		"Anonymous Pro" => "Anonymous+Pro",
		"Antic" => "Antic",
		"Antic Didone" => "Antic+Didone",
		"Antic Slab" => "Antic+Slab",
		"Anton" => "Anton",
		"Arapey" => "Arapey",
		"Arbutus" => "Arbutus",
		"Arbutus Slab" => "Arbutus+Slab",
		"Architects Daughter" => "Architects+Daughter",
		"Archivo Black" => "Archivo+Black",
		"Archivo Narrow" => "Archivo+Narrow",
		"Arimo" => "Arimo",
		"Arizonia" => "Arizonia",
		"Armata" => "Armata",
		"Artifika" => "Artifika",
		"Arvo" => "Arvo",
		"Asap" => "Asap",
		"Asset" => "Asset",
		"Astloch" => "Astloch",
		"Asul" => "Asul",
		"Atomic Age" => "Atomic+Age",
		"Aubrey" => "Aubrey",
		"Audiowide" => "Audiowide",
		"Autour One" => "Autour+One",
		"Average" => "Average",
		"Average Sans" => "Average+Sans",
		"Averia Gruesa Libre" => "Averia+Gruesa+Libre",
		"Averia Libre" => "Averia+Libre",
		"Averia Sans Libre" => "Averia+Sans+Libre",
		"Averia Serif Libre" => "Averia+Serif+Libre",
		"Bad Script" => "Bad+Script",
		"Balthazar" => "Balthazar",
		"Bangers" => "Bangers",
		"Basic" => "Basic",
		"Battambang" => "Battambang",
		"Baumans" => "Baumans",
		"Bayon" => "Bayon",
		"Belgrano" => "Belgrano",
		"Belleza" => "Belleza",
		"BenchNine" => "BenchNine",
		"Bentham" => "Bentham",
		"Berkshire Swash" => "Berkshire+Swash",
		"Bevan" => "Bevan",
		"Bigelow Rules" => "Bigelow+Rules",
		"Bigshot One" => "Bigshot+One",
		"Bilbo" => "Bilbo",
		"Bilbo Swash Caps" => "Bilbo+Swash+Caps",
		"Bitter" => "Bitter",
		"Black Ops One" => "Black+Ops+One",
		"Bokor" => "Bokor",
		"Bonbon" => "Bonbon",
		"Boogaloo" => "Boogaloo",
		"Bowlby One" => "Bowlby+One",
		"Bowlby One SC" => "Bowlby+One+SC",
		"Brawler" => "Brawler",
		"Bree Serif" => "Bree+Serif",
		"Bubblegum Sans" => "Bubblegum+Sans",
		"Bubbler One" => "Bubbler+One",
		"Buda" => "Buda",
		"Buenard" => "Buenard",
		"Butcherman" => "Butcherman",
		"Butterfly Kids" => "Butterfly+Kids",
		"Cabin" => "Cabin",
		"Cabin Condensed" => "Cabin+Condensed",
		"Cabin Sketch" => "Cabin+Sketch",
		"Caesar Dressing" => "Caesar+Dressing",
		"Cagliostro" => "Cagliostro",
		"Calligraffitti" => "Calligraffitti",
		"Cambo" => "Cambo",
		"Candal" => "Candal",
		"Cantarell" => "Cantarell",
		"Cantata One" => "Cantata+One",
		"Cantora One" => "Cantora+One",
		"Capriola" => "Capriola",
		"Cardo" => "Cardo",
		"Carme" => "Carme",
		"Carrois Gothic" => "Carrois+Gothic",
		"Carrois Gothic SC" => "Carrois+Gothic+SC",
		"Carter One" => "Carter+One",
		"Caudex" => "Caudex",
		"Cedarville Cursive" => "Cedarville+Cursive",
		"Ceviche One" => "Ceviche+One",
		"Changa One" => "Changa+One",
		"Chango" => "Chango",
		"Chau Philomene One" => "Chau+Philomene+One",
		"Chela One" => "Chela+One",
		"Chelsea Market" => "Chelsea+Market",
		"Chenla" => "Chenla",
		"Cherry Cream Soda" => "Cherry+Cream+Soda",
		"Cherry Swash" => "Cherry+Swash",
		"Chewy" => "Chewy",
		"Chicle" => "Chicle",
		"Chivo" => "Chivo",
		"Cinzel" => "Cinzel",
		"Cinzel Decorative" => "Cinzel+Decorative",
		"Clicker Script" => "Clicker+Script",
		"Coda" => "Coda",
		"Coda Caption" => "Coda+Caption",
		"Codystar" => "Codystar",
		"Combo" => "Combo",
		"Comfortaa" => "Comfortaa",
		"Coming Soon" => "Coming+Soon",
		"Concert One" => "Concert+One",
		"Condiment" => "Condiment",
		"Content" => "Content",
		"Contrail One" => "Contrail+One",
		"Convergence" => "Convergence",
		"Cookie" => "Cookie",
		"Copse" => "Copse",
		"Corben" => "Corben",
		"Courgette" => "Courgette",
		"Cousine" => "Cousine",
		"Coustard" => "Coustard",
		"Covered By Your Grace" => "Covered+By+Your+Grace",
		"Crafty Girls" => "Crafty+Girls",
		"Creepster" => "Creepster",
		"Crete Round" => "Crete+Round",
		"Crimson Text" => "Crimson+Text",
		"Croissant One" => "Croissant+One",
		"Crushed" => "Crushed",
		"Cuprum" => "Cuprum",
		"Cutive" => "Cutive",
		"Cutive Mono" => "Cutive+Mono",
		"Damion" => "Damion",
		"Dancing Script" => "Dancing+Script",
		"Dangrek" => "Dangrek",
		"Dawning of a New Day" => "Dawning+of+a+New+Day",
		"Days One" => "Days+One",
		"Delius" => "Delius",
		"Delius Swash Caps" => "Delius+Swash+Caps",
		"Delius Unicase" => "Delius+Unicase",
		"Della Respira" => "Della+Respira",
		"Denk One" => "Denk+One",
		"Devonshire" => "Devonshire",
		"Didact Gothic" => "Didact+Gothic",
		"Diplomata" => "Diplomata",
		"Diplomata SC" => "Diplomata+SC",
		"Domine" => "Domine",
		"Donegal One" => "Donegal+One",
		"Doppio One" => "Doppio+One",
		"Dorsa" => "Dorsa",
		"Dosis" => "Dosis",
		"Dr Sugiyama" => "Dr+Sugiyama",
		"Droid Sans" => "Droid+Sans",
		"Droid Sans Mono" => "Droid+Sans+Mono",
		"Droid Serif" => "Droid+Serif",
		"Duru Sans" => "Duru+Sans",
		"Dynalight" => "Dynalight",
		"EB Garamond" => "EB+Garamond",
		"Eagle Lake" => "Eagle+Lake",
		"Eater" => "Eater",
		"Economica" => "Economica",
		"Electrolize" => "Electrolize",
		"Elsie" => "Elsie",
		"Elsie Swash Caps" => "Elsie+Swash+Caps",
		"Emblema One" => "Emblema+One",
		"Emilys Candy" => "Emilys+Candy",
		"Engagement" => "Engagement",
		"Englebert" => "Englebert",
		"Enriqueta" => "Enriqueta",
		"Erica One" => "Erica+One",
		"Esteban" => "Esteban",
		"Euphoria Script" => "Euphoria+Script",
		"Ewert" => "Ewert",
		"Exo" => "Exo",
		"Expletus Sans" => "Expletus+Sans",
		"Fanwood Text" => "Fanwood+Text",
		"Fascinate" => "Fascinate",
		"Fascinate Inline" => "Fascinate+Inline",
		"Faster One" => "Faster+One",
		"Fasthand" => "Fasthand",
		"Federant" => "Federant",
		"Federo" => "Federo",
		"Felipa" => "Felipa",
		"Fenix" => "Fenix",
		"Finger Paint" => "Finger+Paint",
		"Fjalla One" => "Fjalla+One",
		"Fjord One" => "Fjord+One",
		"Flamenco" => "Flamenco",
		"Flavors" => "Flavors",
		"Fondamento" => "Fondamento",
		"Fontdiner Swanky" => "Fontdiner+Swanky",
		"Forum" => "Forum",
		"Francois One" => "Francois+One",
		"Freckle Face" => "Freckle+Face",
		"Fredericka the Great" => "Fredericka+the+Great",
		"Fredoka One" => "Fredoka+One",
		"Freehand" => "Freehand",
		"Fresca" => "Fresca",
		"Frijole" => "Frijole",
		"Fruktur" => "Fruktur",
		"Fugaz One" => "Fugaz+One",
		"GFS Didot" => "GFS+Didot",
		"GFS Neohellenic" => "GFS+Neohellenic",
		"Gabriela" => "Gabriela",
		"Gafata" => "Gafata",
		"Galdeano" => "Galdeano",
		"Galindo" => "Galindo",
		"Gentium Basic" => "Gentium+Basic",
		"Gentium Book Basic" => "Gentium+Book+Basic",
		"Geo" => "Geo",
		"Geostar" => "Geostar",
		"Geostar Fill" => "Geostar+Fill",
		"Germania One" => "Germania+One",
		"Gilda Display" => "Gilda+Display",
		"Give You Glory" => "Give+You+Glory",
		"Glass Antiqua" => "Glass+Antiqua",
		"Glegoo" => "Glegoo",
		"Gloria Hallelujah" => "Gloria+Hallelujah",
		"Goblin One" => "Goblin+One",
		"Gochi Hand" => "Gochi+Hand",
		"Gorditas" => "Gorditas",
		"Goudy Bookletter 1911" => "Goudy+Bookletter+1911",
		"Graduate" => "Graduate",
		"Grand Hotel" => "Grand+Hotel",
		"Gravitas One" => "Gravitas+One",
		"Great Vibes" => "Great+Vibes",
		"Griffy" => "Griffy",
		"Gruppo" => "Gruppo",
		"Gudea" => "Gudea",
		"Habibi" => "Habibi",
		"Hammersmith One" => "Hammersmith+One",
		"Hanalei" => "Hanalei",
		"Hanalei Fill" => "Hanalei+Fill",
		"Handlee" => "Handlee",
		"Hanuman" => "Hanuman",
		"Happy Monkey" => "Happy+Monkey",
		"Headland One" => "Headland+One",
		"Henny Penny" => "Henny+Penny",
		"Herr Von Muellerhoff" => "Herr+Von+Muellerhoff",
		"Holtwood One SC" => "Holtwood+One+SC",
		"Homemade Apple" => "Homemade+Apple",
		"Homenaje" => "Homenaje",
		"IM Fell DW Pica" => "IM+Fell+DW+Pica",
		"IM Fell DW Pica SC" => "IM+Fell+DW+Pica+SC",
		"IM Fell Double Pica" => "IM+Fell+Double+Pica",
		"IM Fell Double Pica SC" => "IM+Fell+Double+Pica+SC",
		"IM Fell English" => "IM+Fell+English",
		"IM Fell English SC" => "IM+Fell+English+SC",
		"IM Fell French Canon" => "IM+Fell+French+Canon",
		"IM Fell French Canon SC" => "IM+Fell+French+Canon+SC",
		"IM Fell Great Primer" => "IM+Fell+Great+Primer",
		"IM Fell Great Primer SC" => "IM+Fell+Great+Primer+SC",
		"Iceberg" => "Iceberg",
		"Iceland" => "Iceland",
		"Imprima" => "Imprima",
		"Inconsolata" => "Inconsolata",
		"Inder" => "Inder",
		"Indie Flower" => "Indie+Flower",
		"Inika" => "Inika",
		"Irish Grover" => "Irish+Grover",
		"Istok Web" => "Istok+Web",
		"Italiana" => "Italiana",
		"Italianno" => "Italianno",
		"Jacques Francois" => "Jacques+Francois",
		"Jacques Francois Shadow" => "Jacques+Francois+Shadow",
		"Jim Nightshade" => "Jim+Nightshade",
		"Jockey One" => "Jockey+One",
		"Jolly Lodger" => "Jolly+Lodger",
		"Josefin Sans" => "Josefin+Sans",
		"Josefin Slab" => "Josefin+Slab",
		"Joti One" => "Joti+One",
		"Judson" => "Judson",
		"Julee" => "Julee",
		"Julius Sans One" => "Julius+Sans+One",
		"Junge" => "Junge",
		"Jura" => "Jura",
		"Just Another Hand" => "Just+Another+Hand",
		"Just Me Again Down Here" => "Just+Me+Again+Down+Here",
		"Kameron" => "Kameron",
		"Karla" => "Karla",
		"Kaushan Script" => "Kaushan+Script",
		"Kavoon" => "Kavoon",
		"Keania One" => "Keania+One",
		"Kelly Slab" => "Kelly+Slab",
		"Kenia" => "Kenia",
		"Khmer" => "Khmer",
		"Kite One" => "Kite+One",
		"Knewave" => "Knewave",
		"Kotta One" => "Kotta+One",
		"Koulen" => "Koulen",
		"Kranky" => "Kranky",
		"Kreon" => "Kreon",
		"Kristi" => "Kristi",
		"Krona One" => "Krona+One",
		"La Belle Aurore" => "La+Belle+Aurore",
		"Lancelot" => "Lancelot",
		"Lato" => "Lato",
		"League Script" => "League+Script",
		"Leckerli One" => "Leckerli+One",
		"Ledger" => "Ledger",
		"Lekton" => "Lekton",
		"Lemon" => "Lemon",
		"Libre Baskerville" => "Libre+Baskerville",
		"Life Savers" => "Life+Savers",
		"Lilita One" => "Lilita+One",
		"Limelight" => "Limelight",
		"Linden Hill" => "Linden+Hill",
		"Lobster" => "Lobster",
		"Lobster Two" => "Lobster+Two",
		"Londrina Outline" => "Londrina+Outline",
		"Londrina Shadow" => "Londrina+Shadow",
		"Londrina Sketch" => "Londrina+Sketch",
		"Londrina Solid" => "Londrina+Solid",
		"Lora" => "Lora",
		"Love Ya Like A Sister" => "Love+Ya+Like+A+Sister",
		"Loved by the King" => "Loved+by+the+King",
		"Lovers Quarrel" => "Lovers+Quarrel",
		"Luckiest Guy" => "Luckiest+Guy",
		"Lusitana" => "Lusitana",
		"Lustria" => "Lustria",
		"Macondo" => "Macondo",
		"Macondo Swash Caps" => "Macondo+Swash+Caps",
		"Magra" => "Magra",
		"Maiden Orange" => "Maiden+Orange",
		"Mako" => "Mako",
		"Marcellus" => "Marcellus",
		"Marcellus SC" => "Marcellus+SC",
		"Marck Script" => "Marck+Script",
		"Margarine" => "Margarine",
		"Marko One" => "Marko+One",
		"Marmelad" => "Marmelad",
		"Marvel" => "Marvel",
		"Mate" => "Mate",
		"Mate SC" => "Mate+SC",
		"Maven Pro" => "Maven+Pro",
		"McLaren" => "McLaren",
		"Meddon" => "Meddon",
		"MedievalSharp" => "MedievalSharp",
		"Medula One" => "Medula+One",
		"Megrim" => "Megrim",
		"Meie Script" => "Meie+Script",
		"Merienda" => "Merienda",
		"Merienda One" => "Merienda+One",
		"Merriweather" => "Merriweather",
		"Merriweather Sans" => "Merriweather+Sans",
		"Metal" => "Metal",
		"Metal Mania" => "Metal+Mania",
		"Metamorphous" => "Metamorphous",
		"Metrophobic" => "Metrophobic",
		"Michroma" => "Michroma",
		"Milonga" => "Milonga",
		"Miltonian" => "Miltonian",
		"Miltonian Tattoo" => "Miltonian+Tattoo",
		"Miniver" => "Miniver",
		"Miss Fajardose" => "Miss+Fajardose",
		"Modern Antiqua" => "Modern+Antiqua",
		"Molengo" => "Molengo",
		"Molle" => "Molle",
		"Monda" => "Monda",
		"Monofett" => "Monofett",
		"Monoton" => "Monoton",
		"Monsieur La Doulaise" => "Monsieur+La+Doulaise",
		"Montaga" => "Montaga",
		"Montez" => "Montez",
		"Montserrat" => "Montserrat",
		"Montserrat Alternates" => "Montserrat+Alternates",
		"Montserrat Subrayada" => "Montserrat+Subrayada",
		"Moul" => "Moul",
		"Moulpali" => "Moulpali",
		"Mountains of Christmas" => "Mountains+of+Christmas",
		"Mouse Memoirs" => "Mouse+Memoirs",
		"Mr Bedfort" => "Mr+Bedfort",
		"Mr Dafoe" => "Mr+Dafoe",
		"Mr De Haviland" => "Mr+De+Haviland",
		"Mrs Saint Delafield" => "Mrs+Saint+Delafield",
		"Mrs Sheppards" => "Mrs+Sheppards",
		"Muli" => "Muli",
		"Mystery Quest" => "Mystery+Quest",
		"Neucha" => "Neucha",
		"Neuton" => "Neuton",
		"New Rocker" => "New+Rocker",
		"News Cycle" => "News+Cycle",
		"Niconne" => "Niconne",
		"Nixie One" => "Nixie+One",
		"Nobile" => "Nobile",
		"Nokora" => "Nokora",
		"Norican" => "Norican",
		"Nosifer" => "Nosifer",
		"Nothing You Could Do" => "Nothing+You+Could+Do",
		"Noticia Text" => "Noticia+Text",
		"Nova Cut" => "Nova+Cut",
		"Nova Flat" => "Nova+Flat",
		"Nova Mono" => "Nova+Mono",
		"Nova Oval" => "Nova+Oval",
		"Nova Round" => "Nova+Round",
		"Nova Script" => "Nova+Script",
		"Nova Slim" => "Nova+Slim",
		"Nova Square" => "Nova+Square",
		"Numans" => "Numans",
		"Nunito" => "Nunito",
		"Odor Mean Chey" => "Odor+Mean+Chey",
		"Offside" => "Offside",
		"Old Standard TT" => "Old+Standard+TT",
		"Oldenburg" => "Oldenburg",
		"Oleo Script" => "Oleo+Script",
		"Oleo Script Swash Caps" => "Oleo+Script+Swash+Caps",
		"Open Sans" => "Open+Sans",
		"Open Sans Condensed" => "Open+Sans+Condensed",
		"Oranienbaum" => "Oranienbaum",
		"Orbitron" => "Orbitron",
		"Oregano" => "Oregano",
		"Orienta" => "Orienta",
		"Original Surfer" => "Original+Surfer",
		"Oswald" => "Oswald",
		"Over the Rainbow" => "Over+the+Rainbow",
		"Overlock" => "Overlock",
		"Overlock SC" => "Overlock+SC",
		"Ovo" => "Ovo",
		"Oxygen" => "Oxygen",
		"Oxygen Mono" => "Oxygen+Mono",
		"PT Mono" => "PT+Mono",
		"PT Sans" => "PT+Sans",
		"PT Sans Caption" => "PT+Sans+Caption",
		"PT Sans Narrow" => "PT+Sans+Narrow",
		"PT Serif" => "PT+Serif",
		"PT Serif Caption" => "PT+Serif+Caption",
		"Pacifico" => "Pacifico",
		"Paprika" => "Paprika",
		"Parisienne" => "Parisienne",
		"Passero One" => "Passero+One",
		"Passion One" => "Passion+One",
		"Patrick Hand" => "Patrick+Hand",
		"Patrick Hand SC" => "Patrick+Hand+SC",
		"Patua One" => "Patua+One",
		"Paytone One" => "Paytone+One",
		"Peralta" => "Peralta",
		"Permanent Marker" => "Permanent+Marker",
		"Petit Formal Script" => "Petit+Formal+Script",
		"Petrona" => "Petrona",
		"Philosopher" => "Philosopher",
		"Piedra" => "Piedra",
		"Pinyon Script" => "Pinyon+Script",
		"Pirata One" => "Pirata+One",
		"Plaster" => "Plaster",
		"Play" => "Play",
		"Playball" => "Playball",
		"Playfair Display" => "Playfair+Display",
		"Playfair Display SC" => "Playfair+Display+SC",
		"Podkova" => "Podkova",
		"Poiret One" => "Poiret+One",
		"Poller One" => "Poller+One",
		"Poly" => "Poly",
		"Pompiere" => "Pompiere",
		"Pontano Sans" => "Pontano+Sans",
		"Port Lligat Sans" => "Port+Lligat+Sans",
		"Port Lligat Slab" => "Port+Lligat+Slab",
		"Prata" => "Prata",
		"Preahvihear" => "Preahvihear",
		"Press Start 2P" => "Press+Start+2P",
		"Princess Sofia" => "Princess+Sofia",
		"Prociono" => "Prociono",
		"Prosto One" => "Prosto+One",
		"Puritan" => "Puritan",
		"Purple Purse" => "Purple+Purse",
		"Quando" => "Quando",
		"Quantico" => "Quantico",
		"Quattrocento" => "Quattrocento",
		"Quattrocento Sans" => "Quattrocento+Sans",
		"Questrial" => "Questrial",
		"Quicksand" => "Quicksand",
		"Quintessential" => "Quintessential",
		"Qwigley" => "Qwigley",
		"Racing Sans One" => "Racing+Sans+One",
		"Radley" => "Radley",
		"Raleway" => "Raleway",
		"Raleway Dots" => "Raleway+Dots",
		"Rambla" => "Rambla",
		"Rammetto One" => "Rammetto+One",
		"Ranchers" => "Ranchers",
		"Rancho" => "Rancho",
		"Rationale" => "Rationale",
		"Redressed" => "Redressed",
		"Reenie Beanie" => "Reenie+Beanie",
		"Revalia" => "Revalia",
		"Ribeye" => "Ribeye",
		"Ribeye Marrow" => "Ribeye+Marrow",
		"Righteous" => "Righteous",
		"Risque" => "Risque",
		"Roboto" => "Roboto",
		"Roboto Condensed" => "Roboto+Condensed",
		"Rochester" => "Rochester",
		"Rock Salt" => "Rock+Salt",
		"Rokkitt" => "Rokkitt",
		"Romanesco" => "Romanesco",
		"Ropa Sans" => "Ropa+Sans",
		"Rosario" => "Rosario",
		"Rosarivo" => "Rosarivo",
		"Rouge Script" => "Rouge+Script",
		"Ruda" => "Ruda",
		"Rufina" => "Rufina",
		"Ruge Boogie" => "Ruge+Boogie",
		"Ruluko" => "Ruluko",
		"Rum Raisin" => "Rum+Raisin",
		"Ruslan Display" => "Ruslan+Display",
		"Russo One" => "Russo+One",
		"Ruthie" => "Ruthie",
		"Rye" => "Rye",
		"Sacramento" => "Sacramento",
		"Sail" => "Sail",
		"Salsa" => "Salsa",
		"Sanchez" => "Sanchez",
		"Sancreek" => "Sancreek",
		"Sansita One" => "Sansita+One",
		"Sarina" => "Sarina",
		"Satisfy" => "Satisfy",
		"Scada" => "Scada",
		"Schoolbell" => "Schoolbell",
		"Seaweed Script" => "Seaweed+Script",
		"Sevillana" => "Sevillana",
		"Seymour One" => "Seymour+One",
		"Shadows Into Light" => "Shadows+Into+Light",
		"Shadows Into Light Two" => "Shadows+Into+Light+Two",
		"Shanti" => "Shanti",
		"Share" => "Share",
		"Share Tech" => "Share+Tech",
		"Share Tech Mono" => "Share+Tech+Mono",
		"Shojumaru" => "Shojumaru",
		"Short Stack" => "Short+Stack",
		"Siemreap" => "Siemreap",
		"Sigmar One" => "Sigmar+One",
		"Signika" => "Signika",
		"Signika Negative" => "Signika+Negative",
		"Simonetta" => "Simonetta",
		"Sintony" => "Sintony",
		"Sirin Stencil" => "Sirin+Stencil",
		"Six Caps" => "Six+Caps",
		"Skranji" => "Skranji",
		"Slackey" => "Slackey",
		"Smokum" => "Smokum",
		"Smythe" => "Smythe",
		"Sniglet" => "Sniglet",
		"Snippet" => "Snippet",
		"Snowburst One" => "Snowburst+One",
		"Sofadi One" => "Sofadi+One",
		"Sofia" => "Sofia",
		"Sonsie One" => "Sonsie+One",
		"Sorts Mill Goudy" => "Sorts+Mill+Goudy",
		"Source Code Pro" => "Source+Code+Pro",
		"Source Sans Pro" => "Source+Sans+Pro",
		"Special Elite" => "Special+Elite",
		"Spicy Rice" => "Spicy+Rice",
		"Spinnaker" => "Spinnaker",
		"Spirax" => "Spirax",
		"Squada One" => "Squada+One",
		"Stalemate" => "Stalemate",
		"Stalinist One" => "Stalinist+One",
		"Stardos Stencil" => "Stardos+Stencil",
		"Stint Ultra Condensed" => "Stint+Ultra+Condensed",
		"Stint Ultra Expanded" => "Stint+Ultra+Expanded",
		"Stoke" => "Stoke",
		"Strait" => "Strait",
		"Sue Ellen Francisco" => "Sue+Ellen+Francisco",
		"Sunshiney" => "Sunshiney",
		"Supermercado One" => "Supermercado+One",
		"Suwannaphum" => "Suwannaphum",
		"Swanky and Moo Moo" => "Swanky+and+Moo+Moo",
		"Syncopate" => "Syncopate",
		"Tangerine" => "Tangerine",
		"Taprom" => "Taprom",
		"Tauri" => "Tauri",
		"Telex" => "Telex",
		"Tenor Sans" => "Tenor+Sans",
		"Text Me One" => "Text+Me+One",
		"The Girl Next Door" => "The+Girl+Next+Door",
		"Tienne" => "Tienne",
		"Tinos" => "Tinos",
		"Titan One" => "Titan+One",
		"Titillium Web" => "Titillium+Web",
		"Trade Winds" => "Trade+Winds",
		"Trocchi" => "Trocchi",
		"Trochut" => "Trochut",
		"Trykker" => "Trykker",
		"Tulpen One" => "Tulpen+One",
		"Ubuntu" => "Ubuntu",
		"Ubuntu Condensed" => "Ubuntu+Condensed",
		"Ubuntu Mono" => "Ubuntu+Mono",
		"Ultra" => "Ultra",
		"Uncial Antiqua" => "Uncial+Antiqua",
		"Underdog" => "Underdog",
		"Unica One" => "Unica+One",
		"UnifrakturCook" => "UnifrakturCook",
		"UnifrakturMaguntia" => "UnifrakturMaguntia",
		"Unkempt" => "Unkempt",
		"Unlock" => "Unlock",
		"Unna" => "Unna",
		"VT323" => "VT323",
		"Vampiro One" => "Vampiro+One",
		"Varela" => "Varela",
		"Varela Round" => "Varela+Round",
		"Vast Shadow" => "Vast+Shadow",
		"Vibur" => "Vibur",
		"Vidaloka" => "Vidaloka",
		"Viga" => "Viga",
		"Voces" => "Voces",
		"Volkhov" => "Volkhov",
		"Vollkorn" => "Vollkorn",
		"Voltaire" => "Voltaire",
		"Waiting for the Sunrise" => "Waiting+for+the+Sunrise",
		"Wallpoet" => "Wallpoet",
		"Walter Turncoat" => "Walter+Turncoat",
		"Warnes" => "Warnes",
		"Wellfleet" => "Wellfleet",
		"Wendy One" => "Wendy+One",
		"Wire One" => "Wire+One",
		"Yanone Kaffeesatz" => "Yanone+Kaffeesatz",
		"Yellowtail" => "Yellowtail",
		"Yeseva One" => "Yeseva+One",
		"Yesteryear" => "Yesteryear",
		"Zeyada" => "Zeyada",
	);	
	$currency 		 = array(
		'AUD' => 'Australian Dollars (A $)', 
		'BRL' => 'Brazilian Real',
		'CAD' => 'Canadian Dollars (C $)',
		'CZK' => 'Czech Koruna',
		'DKK' => 'Danish Krone',
		'EUR' => 'Euros (&euro;)',
		'HKD' => 'Hong Kong Dollar ($)',
		'HUF' => 'Hungarian Forint',
		'ILS' => 'Israeli New Shekel',
		'JPY' => 'Yen (&yen;)',
		'MYR' => 'Malaysian Ringgit',
		'MXN' => 'Mexican Peso',
		'NOK' => 'Norwegian Krone',
		'NZD' => 'New Zealand Dollar ($)',
		'PHP' => 'Philippine Peso',
		'PLN' => 'Polish Zloty',
		'GBP' => 'Pounds Sterling (&pound;)',
		'RUB' => 'Russian Ruble',
		'SGD' => 'Singapore Dollar ($)',
		'SEK' => 'Swedish Krona',
		'CHF' => 'Swiss Franc',
		'TWD' => 'Taiwan New Dollar',
		'THB' => 'Thai Baht',
		'TRY' => 'Turkish Lira',
		'USD' => 'U.S. Dollars ($)',
	     );

	/** Custom post type Array **/

	global $wp_query, $post;

	/**
	 *   Blog Post Array
	 */

	$b_args = array( 'post_type' => 'post', 'posts_per_page' => -1, 'post_status'=> 'publish',);
    $b_loop = new WP_Query( $b_args );
	while ( $b_loop->have_posts() ) : $b_loop->the_post();

		if( get_the_title() != '' ){

			$blog_post[] = get_the_title();
			$blog_id[]  = get_the_ID();
		}

	endwhile;
	wp_reset_postdata();

	if( count( $blog_post ) == count( $blog_id ) && is_array($blog_post) && is_array($blog_id) && !empty($blog_post) && !empty($blog_id) )
	$main_blog = array_combine( $blog_id, $blog_post);

	/**
	 *   Event Post Array
	 */

	$e_args = array( 'post_type' => 'event', 'posts_per_page' => -1, 'post_status'=> 'publish',);
    $e_loop = new WP_Query( $e_args );
	while ( $e_loop->have_posts() ) : $e_loop->the_post();

		if( get_the_title() != '' ) {

			$event_post[] = get_the_title();
			$event_id[] = get_the_ID();
		}

	endwhile;
	wp_reset_postdata();

	if( count( $event_post) == count( $event_id ) && is_array($event_post) && is_array($event_id) && !empty($event_post) && !empty($event_id)  ){
		$main_event = array_combine( $event_id, $event_post);
	}else {
		$main_event = array();
	}

	/**
	 *   Sermon Post Array
	 */

	$s_args = array( 'post_type' => 'sermon', 'posts_per_page' => -1, 'post_status'=> 'publish',);
    $s_loop = new WP_Query( $s_args );
	while ( $s_loop->have_posts() ) : $s_loop->the_post();

		if( get_the_title() != '' ) {

			$sermon_post[] = get_the_title();
			$sermon_id[] = get_the_ID();
		}

	endwhile;
	wp_reset_postdata();

	if( count( $sermon_id) == count( $sermon_post ) && is_array($sermon_id) && is_array($sermon_post) && !empty($sermon_id) && !empty($sermon_post) ){
		$main_sermon = array_combine( $sermon_id, $sermon_post);
	}else {
		$main_sermon = array();
	}

	/**
	 *   Ministry Post Array
	 */

	$m_args = array( 'post_type' => 'ministry', 'posts_per_page' => -1, 'post_status'=> 'publish',);
    $m_loop = new WP_Query( $m_args );
	while ( $m_loop->have_posts() ) : $m_loop->the_post();

		if( get_the_title() != '' ) {

			$ministry_post[] = get_the_title();
			$ministry_id[] = get_the_ID();
		}

	endwhile;
	wp_reset_postdata();

	if( count( $ministry_id ) == count( $ministry_post ) && is_array($ministry_id) && is_array($ministry_post) && !empty($ministry_id) && !empty($ministry_post)  ){
		$main_ministry = array_combine( $ministry_id, $ministry_post);
	}else {
		$main_ministry = array();
	}
	

	
	/**
	 * Type : section, text, textarea, radio, select, multiselect, image, typography, color, color_2, checkbox, editor
	 *
	 * 1. Genral Setting.
	 */ 
	$theme_options[] = array(
		'name' 		 	=> 'General Settings', 
		'description'	=> 'Configure general settings of your theme. Upload your preferred logo, favicon, and insert your analytics tracking code.',
		'type' 		    => 'section',
        'priority'      => '200',
	);
	$theme_options[] = array(
		'name' 		    => 'Plain Text Logo', 
		'section' 	    => 'General Settings', 
		'description'   => 'Check this box to enable a plain text logo rather than an image logo. Will use your site title.',
		'type' 		    => 'checkbox',
		'id' 		    => 'checker',
		'class' 		=> '',
		'options'       => array(	'name' => 'Plain Text Logo' ),
	    'default'		=> '',
    );
	$theme_options[] = array(
		'name' 		    => 'Custom Logo Upload', 
		'section' 	    => 'General Settings', 				
		'description'   => 'Upload a logo for your theme.',		
		'type' 		    => 'image',
		'id' 		    => 'logo',
		'class' 		=> '',
	    'default'		=> get_template_directory_uri().'/images/logo.png',
    );
	$theme_options[] = array(
		'name'		    => 'Custom Favicon Upload', 
		'section'	    => 'General Settings', 		
		'description'   => "Upload a 16px x 16px Png/Gif image that will represent your website's favicon. Use X-Icon Editor to easily create a favicon.",		
		'type' 		    => 'image',
		'id' 		    => 'favicon',
		'class' 		=> '',
	    'default'		=> get_template_directory_uri().'/images/favicon.ico',	
	);		
	$theme_options[] = array(
		'name' 		    => 'Footer Copyright Text', 
		'section' 	    => 'General Settings', 		
		'description'   => "Enter the text to display in footer copyright area for left side.",
		'type' 		    => 'editor',
		'id' 			=> 'copyright',	
		'settings'		=> array( 'media_buttons' => false, 'quicktags' => true, 'textarea_rows' => 5, 'tinymce' => array( 'plugins' => 'wordpress' ) ),
	    'default'		=> 'Copyright &copy; 2015 The Praise Church. All rights reserved.',
    );
	/**
	 * 2. Header Setting.
	 */
	$theme_options[] = array(
		'name' 			=> 'Header Setting', 
		'description' 	=> 'Configure Header Section to customize your to upload your preferred Header Banner, breadcrumbs.',
		'type' 			=> 'section',
        'priority'      => '220',		
	);
	$theme_options[] = array(
		'name' 			=> 'Menubar Give Button Color Customization', 
		'section' 		=> 'Styling Options', 
		'description' 	=> 'Choose the color for Give Button.',
		'type' 			=> 'color_2',
		'class' 		=> '',
		'id_1' 			=> 'give_button_current',
		'id_2' 	  		=> 'give_button_hover',
		'label_1' 		=> 'Current Color',
		'label_2' 		=> 'Hover Color',
	    'default_1'		=> '#ab4f42',
	    'default_2'		=> '#ffffff',		
    );	
	$theme_options[] = array(
		'name' 		    => 'Page Banner', 
		'section' 	    => 'Header Setting', 
		'description'   => 'Check this box to enable a Front page Slider Display none ( Hide ) rather than a Slider Display.',
		'type' 		    => 'checkbox',
		'id' 		    => 'page_banner_display',
		'class' 		=> '',
		'options'       => array( 'name' => 'page_banner_display' ),
	    'default'		=> 'page_banner_display',
    );
	$theme_options[] = array(
		'name' 			=> 'Upload Page Banner', 
		'section' 		=> 'Header Setting', 
		'description' 	=> 'Upload Banner In Header Section.',
		'type' 			=> 'image',
		'id' 			=> 'header_banner',
		'class' 		=> '',
	    'default'		=> get_template_directory_uri().'/images/page-header.jpg',
    );
    $theme_options[] = array(
		'name'			=> 'Page Banner Headings Customization', 
		'section' 		=> 'Header Setting', 
		'description' 	=> 'Choose font-Size, line-height and font-color for page banner heading text',
		'type' 			=> 'typography',
		'id_1' 			=> 'page-banner-font-size-h1',
		'id_2' 			=> 'page-banner-line-height-h1',
		'id_3' 			=> 'page-banner-font-weight-h1',
		'id_4' 			=> 'page-banner-font-color-h1',		
		'label_1' 		=> 'Font Size',
		'label_2' 		=> 'Line Height',	
		'label_3' 		=> 'Font Weight',
		'label_4' 		=> 'Font Color',
	    'default_1'		=> '70',
	    'default_2'		=> '58',
		'default_3'		=> '',
	    'default_4'		=> '#f6e8a9',
	    'options_3'		=>  $font_weight,
    );
    $theme_options[] = array(
		'name'			=> 'Page Banner Description Customization', 
		'section' 		=> 'Header Setting', 
		'description' 	=> 'Choose font-Size, line-height and font-color for page banner description text',
		'type' 			=> 'typography',
		'id_1' 			=> 'page-banner-font-size-p',
		'id_2' 			=> 'page-banner-line-height-p',
		'id_3' 			=> 'page-banner-font-weight-p',
		'id_4' 			=> 'page-banner-font-color-p',		
		'label_1' 		=> 'Font Size',
		'label_2' 		=> 'Line Height',	
		'label_3' 		=> 'Font Weight',
		'label_4' 		=> 'Font Color',
	    'default_1'		=> '18',
	    'default_2'		=> '28',
		'default_3'		=> '',
	    'default_4'		=> '#fff',
	    'options_3'		=>  $font_weight,
    );
	$theme_options[] = array(
		'name' 			=> 'Prayer During the Time', 
		'section'		=> 'Header Setting', 		
		'description' 	=> 'Prayer During the Time',
		'type' 			=> 'text',
		'id' 			=> 'prayer_time_breadcums',
		'class' 		=> '',		
	    'default'		=> 'Saturdays: 5 p.m., 7:15 p.m. | Sundays: 9 a.m., 11:15 a.m',
    ); 	
	$theme_options[] = array(
		'name'			=> 'Give Button Text', 
		'section' 		=> 'Header Setting', 		
		'description'	=> "Enter the text for call to action button on menubar.",
		'type' 			=> 'text',
		'id' 			=> 'give_text',
		'class' 		=> '',
	    'default'		=> 'Give',
    );	
	$theme_options[] = array(
		'name'			=> 'Give Button Link', 
		'section' 		=> 'Header Setting', 		
		'description' 	=> "Enter the url for call to action button link on menubar.",
		'type' 			=> 'text',		
		'id' 			=> 'give_link',
		'class' 		=> '',
	    'default'		=> esc_url( home_url( '/' ) ).'give-online/',
    );
	/**
	 * 3. Styling options.
	 */ 
	$theme_options[] = array(
		'name' 			=> 'Styling Options', 
		'description' 	=> 'Configure the visual appearance of your theme, or insert any custom CSS.',
		'type' 			=> 'section',
        'priority'      => '300',		
	);
	$theme_options[] = array(
		'name'			=> 'Background Image', 
		'section' 		=> 'Styling Options', 
		'description' 	=> 'Upload a Background image.',
		'type' 			=> 'image',
		'id' 			=> 'bk_img',
		'class' 		=> '',
	    'default'		=> get_template_directory_uri().'/images/ptrn-bg.jpg',
    );	
	$theme_options[] = array(
		'name'			=> 'Background Color', 
		'section' 		=> 'Styling Options', 		
		'description' 	=> 'If background image has empty so Choose the background color of your site',
		'type' 			=> 'color',
		'id' 			=> 'background_color',
		'class' 		=> '',
	    'default'		=> '',
    );
	$theme_options[] = array(
		'name' 			=> 'Header Background Color', 
		'section' 		=> 'Styling Options', 		
		'description' 	=> 'Choose the Header background color of your header section',		
		'type' 			=> 'color',
		'id' 			=> 'header_bk_color',
		'class' 		=> '',
	    'default'		=> '#393332',
    );
	$theme_options[] = array(
		'name' 			=> 'Logo Text Color', 
		'section' 		=> 'Styling Options', 
		'description' 	=> 'Choose the color for logo text only.',
		'type' 			=> 'color_2',
		'class' 		=> '',
		'id_1' 			=> 'logo_text_current',
		'id_2' 	  		=> 'logo_text_hover',
		'label_1' 		=> 'Current Color',
		'label_2' 		=> 'Hover Color',
	    'default_1'		=> '',
	    'default_2'		=> '',		
    );	
	$theme_options[] = array(
		'name' 			=> 'Menubar Background Color', 
		'section' 		=> 'Styling Options', 
		'description' 	=> 'Choose the menubar background color of your site',
		'type' 			=> 'color_2',
		'class' 		=> '',
		'id_1' 			=> 'menu_bk_color',
		'id_2' 	  		=> 'menu_bk_hover_color',
		'label_1' 		=> 'Current Color',
		'label_2' 		=> 'Hover Color',
	    'default_1'		=> '#262120',
	    'default_2'		=> '#ab4f42',
    );
	$theme_options[] = array(
		'name' 			=> 'Menubar Text Color', 
		'section'		=> 'Styling Options', 
		'description' 	=> 'Choose the menubar text color of your site',
		'type' 			=> 'color_2',
		'class' 		=> '',
		'id_1' 			=> 'menu_text_color',
		'id_2' 			=> 'menu_text_hover_color',
		'label_1' 		=> 'Current Color',
		'label_2' 		=> 'Hover Color',
	    'default_1'		=> '#696362',
	    'default_2'		=> '#fff',
    );	
	$theme_options[] = array(
		'name' 			=> 'Accent Color', 
		'section' 		=> 'Styling Options', 
		'description' 	=> 'Choose the accent color of your site',
		'type' 			=> 'color_2',
		'class' 		=> '',
		'id_1' 			=> 'acc_color',
		'id_2' 	  		=> 'acc_h_color',
		'label_1' 		=> 'Current Color',
		'label_2' 		=> 'Hover Color',
	    'default_1'		=> '#393332',
	    'default_2'		=> '#ab4f42',
    );	
	$theme_options[] = array(
		'name' 			=> 'Button Color', 
		'section' 		=> 'Styling Options', 
		'description' 	=> 'Choose the Button color of your site',
		'type' 			=> 'color_2',
		'class' 		=> '',
		'id_1'			=> 'btn_color',
		'id_2' 	  		=> 'btn_h_color',
		'label_1' 		=> 'Current Color',
		'label_2' 		=> 'Hover Color',
	    'default_1'		=> '#ab4f42',
	    'default_2'		=> '#ab4f42',
    );			
	$theme_options[] = array(
		'name' 			=> 'Footer Background Color', 
		'section' 		=> 'Styling Options', 
		'description' 	=> 'Choose the Footer background color',
		'type' 			=> 'color',
		'class' 		=> '',
		'id' 			=> 'footer_bk_color',
	    'default'		=> '#302a29',
    );
	$theme_options[] = array(
		'name' 			=> 'Footer Heading Color', 
		'section' 		=> 'Styling Options', 
		'description' 	=> 'Choose the heading color of footer',
		'type' 			=> 'color',
		'id' 			=> 'footer_heading_color',
		'class' 		=> '',
	    'default'		=> '#fff',
    );	
	$theme_options[] = array(
		'name' 			=> 'Footer Text Color', 
		'section'       => 'Styling Options', 
		'description'   => 'Choose the text color of footer',		
		'type'          => 'color',
		'class' 		=> '',
		'id'      		=> 'footer_text_color',
	    'default'		=> '#696362',
    );		
	$theme_options[] = array(
		'name'          => 'Footer Accent Color', 
		'section'       => 'Styling Options', 
		'description'   => 'Footer Accent Color',
		'type'          => 'color_2',
		'class' 		=> '',
		'id_1'          => 'fo_acc_color',
		'id_2' 	        => 'fo_acc_h_color',
		'label_1'       => 'Current Color',
		'label_2'       => 'Hover Color',
	    'default_1'		=> '#696362',
	    'default_2'		=> '#ab4f42',
    );
	$theme_options[] = array(
		'name'          => 'Tiny Footer Background Color', 
		'section'       => 'Styling Options', 
		'description'   => 'Choose the background color of tiny footer',		
		'type'          => 'color',
		'id'            => 'tiny_footer_bk_color',
		'class' 		=> '',
	    'default'		=> '#292423',
    );	
	$theme_options[] = array(
		'name'          => 'Tiny Footer Text Color', 
		'section'       => 'Styling Options', 
		'description'   => 'Choose the text color of tiny footer',		
		'type'          => 'color',
		'id'         	=> 'tiny_footer_text_color',
		'class' 		=> '',
	    'default'		=> '#696362',
    );
	$theme_options[] = array(
		'name'          => 'Event Date-box Background-color', 
		'section'       => 'Styling Options', 
		'description'   => 'Event Date-box Background-color',
		'type'          => 'color',
		'id'         	=> 'event_datebox_color',
		'class' 		=> '',
	    'default'		=> '#ab4f42',
    );		
	$theme_options[] = array(
		'name'         	=> 'Event Fontawesome icon Color', 
		'section'       => 'Styling Options', 
		'description'   => 'Event Fontawesome icon Color',
		'type' 			=> 'color',
		'id' 			=> 'event_icon_color',
		'class' 		=> '',
	    'default'		=> '#000',
    );	
	$theme_options[] = array(
		'name' 			=> 'Custom CSS', 
		'section' 		=> 'Styling Options', 
		'description' 	=> 'Add custom CSS to here that affect in front',
		'type' 			=> 'textarea',
		'id' 			=> 'custome_css',
		'class' 		=> '',
	    'default'		=> '',
    );
	/**
	 * 4. Typography.
	 */
	$theme_options[] = array(
		'name' 			=> 'Typography', 
		'description' 	=> 'Theme font typography choice h1, h2, h3, p ',
		'type' 			=> 'section',
        'priority'      => '400',		
	);
	$theme_options[] = array(
		'name' 			=> 'Body Font', 
		'section' 		=> 'Typography', 
		'description' 	=> "Quickly add a custom Google Font for body from Google Font Directory. Example font name: 
						   'Source Sans Pro', for including font weights type Source Sans Pro:300",
		'type' 			=> 'body_typography',
		'id_1' 			=> 'body-font-family',
		'id_2' 			=> 'body-font-style',
		'id_3' 			=> 'body-font-size',
		'id_4' 			=> 'body-line-height',
		'label_1' 		=> 'Google fonts',
		'label_2' 		=> 'Font style',
		'label_3' 		=> 'Font size',
		'label_4' 		=> 'Line height',
	    'default_1'		=> 'Abel',
	    'default_2'		=> '',
	    'default_3'		=> '21',
		'default_4'		=> '34',
		'options_1'		=> $googlefonts,
	    'options_2'		=> $font_style,
    );
	$theme_options[] = array(
		'name'			=> 'H1 Headings', 
		'section' 		=> 'Typography', 
		'description' 	=> 'Choose font-Size, line-height and font-color for h1',
		'type' 			=> 'typography',
		'id_1' 			=> 'font-size-h1',
		'id_2' 			=> 'line-height-h1',
		'id_3' 			=> 'font-weight-h1',
		'id_4' 			=> 'font-color-h1',		
		'label_1' 		=> 'Font Size',
		'label_2' 		=> 'Line Height',	
		'label_3' 		=> 'Font Weight',
		'label_4' 		=> 'Font Color',
		'options_3'		=>  $font_weight,
	    'default_1'		=> '34',
	    'default_2'		=> '38',
		'default_3'		=> '',
	    'default_4'		=> '#393332',
    ); 	
	$theme_options[] = array(
		'name' 			=> 'H2 Headings', 
		'section' 		=> 'Typography', 
		'description' 	=> 'Choose font-Size, line-height and font-color for h2',
		'type' 			=> 'typography',
		'id_1' 			=> 'font-size-h2',
		'id_2' 			=> 'line-height-h2',
		'id_3' 			=> 'font-weight-h2',
		'id_4' 			=> 'font-color-h2',		
		'label_1' 		=> 'Font Size',
		'label_2' 		=> 'Line Height',	
		'label_3' 		=> 'Font Weight',
		'label_4' 		=> 'Font Color',
		'options_3'		=>  $font_weight,
	    'default_1'		=> '26',
	    'default_2'		=> '30',
		'default_3'		=> '',
	    'default_4'		=> '#393332',
    ); 	
	$theme_options[] = array(
		'name' 			=> 'H3 Headings', 
		'section'		=> 'Typography', 
		'description' 	=> 'Choose font-Size, line-height and font-color for h3',
		'type'			=> 'typography',
		'id_1' 			=> 'font-size-h3',
		'id_2' 			=> 'line-height-h3',
		'id_3' 			=> 'font-weight-h3',
		'id_4' 			=> 'font-color-h3',		
		'label_1' 		=> 'Font Size',
		'label_2' 		=> 'Line Height',	
		'label_3' 		=> 'Font Weight',
		'label_4' 		=> 'Font Color',
		'options_3'		=>  $font_weight,
	    'default_1'		=> '21',
	    'default_2'		=> '18',
		'default_3'		=>  '',
	    'default_4'		=> '#393332',
    ); 	
	$theme_options[] = array(
		'name' 			=> 'P Headings', 
		'section' 		=> 'Typography', 
		'description'	=> 'Choose font-Size, line-height and font-color for p',
		'type' 			=> 'typography',
		'id_1' 			=> 'font-size-p',
		'id_2' 			=> 'line-height-p',
		'id_3' 			=> 'font-weight-p',
		'id_4' 			=> 'font-color-p',		
		'label_1' 		=> 'Font Size',
		'label_2' 		=> 'Line Height',	
		'label_3' 		=> 'Font Weight',
		'label_4' 		=> 'Font Color',
		'options_3'		=>  $font_weight,
	    'default_1'		=> '18',
	    'default_2'		=> '28',
		'default_3'		=> '',
	    'default_4'		=> '#696362',
    ); 	
	/**
	 * 5. Front-page Setting.
	 */
	$theme_options[] = array(
		'name' 			=> 'Front Page Setting', 
		'description' 	=> 'Customize your front setting',
		'type' 			=> 'section',
        'priority'      => '500',		
	);
	$theme_options[] = array(
		'name' 		    => 'Front page Slider', 
		'section' 	    => 'Front Page Setting', 
		'description'   => 'Check this box to enable a Front page Slider Display none ( Hide ) rather than a Slider Display.',
		'type' 		    => 'checkbox',
		'id' 		    => 'front_slider_display',
		'class' 		=> '',
		'options'       => array( 'name' => 'front_slider_display' ),
	    'default'		=> 'front_slider_display',
    );
    $theme_options[] = array(
		'name' 		    => 'Front page Welcome Section', 
		'section' 	    => 'Front Page Setting', 
		'description'   => 'Check this box to enable a Front page Welcome to praise church section Hide/Show. ',
		'type' 		    => 'checkbox',
		'id' 		    => 'front_welcome_display',
		'class' 		=> '',
		'options'       => array( 'name' => 'front_welcome_display' ),
	    'default'		=> 'front_welcome_display',
    );
    $theme_options[] = array(
		'name' 			=> 'Front page Divider Image', 
		'section' 		=> 'Front Page Setting', 
		'description' 	=> 'Chooce your front-page Divider image.',
		'type' 			=> 'image',
		'id' 			=> 'front_page_divider',
		'class' 		=> '',
	    'default'		=> get_template_directory_uri() . '/images/custom-divider.png',
    );
    $theme_options[] = array(
		'name' 			=> 'Welcome Heading Title', 
		'section' 		=> 'Front Page Setting', 
		'description' 	=> 'Front-page Banner Before Static Title ',
		'type' 			=> 'text',
		'id' 			=> 'welcome_home',
		'class' 		=> '',
	    'default'		=> 'Welcome to praise church',
    );
	$theme_options[] = array(
		'name' 			=> 'Welcome Heading Description', 
		'section' 		=> 'Front Page Setting', 
		'description' 	=> 'Front-page Banner Before Static Description ',
		'type' 			=> 'textarea',
		'id' 			=> 'welcome_desc',
		'class' 		=> '',
	    'default'		=> 'Prasie Church is a religious institution, place of worship, or group of worshipers, usually Christian.',
    );
    	
	$theme_options[] = array(
		'name' 			=> 'First Icon', 
		'section' 		=> 'Front Page Setting', 
		'description' 	=> 'Chooce your front-page first icon.',
		'type' 			=> 'image',
		'id' 			=> 'icon_1_logo',
		'class' 		=> '',
	    'default'		=> esc_url( get_template_directory_uri(). '/images/icon-1.png' ), 
    );	
	$theme_options[] = array(
		'name'          => 'First Icon Heading Title', 
		'section'       => 'Front Page Setting', 
		'description' 	=> 'Enter the text for call to action front page first icon sub text. ',
		'type'          => 'text',
		'id'            => 'icon_1_text',
		'class' 		=> '',
	    'default'		=> 'Our Mission',
    );
	$theme_options[] = array(
		'name'          => 'First Icon Heading Description', 
		'section'       => 'Front Page Setting', 
		'description'   => 'Enter the text for call to action front page first icon sub description.',
		'type'          => 'textarea',
		'id'            => 'icon_1_desc',
		'class' 		=> '',
	    'default'		=> 'Proin non pulvinar libec pellentesque sodales nuncid consectetur leo ultricam mauris simple dummy content.',
    );
	$theme_options[] = array(
		'name'          => 'Secound Icon', 
		'section'       => 'Front Page Setting', 
		'description'   => 'Chooce your front-page secound icon.',
		'type'          => 'image',
		'id'            => 'icon_2_logo',
		'class' 		=> '',
	    'default'		=> esc_url( get_template_directory_uri(). '/images/icon-2.png' ), 
    );	
	$theme_options[] = array(
		'name'          => 'Secound Icon Heading Title ', 
		'section'       => 'Front Page Setting', 
		'description'   => 'Enter the text for call to action front page secound icon sub text. ',
		'type'          => 'text',
		'id'            => 'icon_2_text',
		'class' 		=> '',
	    'default'		=> 'Our Focus',
    );
	$theme_options[] = array(
		'name'          => 'Secound Icon Heading Description', 
		'section'       => 'Front Page Setting', 
		'description'   => 'Enter the text for call to action front page secound icon sub description.',
		'type'          => 'textarea',
		'id'            => 'icon_2_desc',
		'class' 		=> '',
	    'default'		=> 'Maecenas aliquam odio eusimply m magna imperdiet have evolved sometimes by accident sometimes on purpose.',
    );
	$theme_options[] = array(
		'name'          => 'Third Icon', 
		'section'       => 'Front Page Setting', 
		'description'   => 'Chooce your front-page third icon.',
		'type'          => 'image',
		'id'            => 'icon_3_logo',
		'class' 		=> '',
	    'default'		=> esc_url( get_template_directory_uri(). '/images/icon-3.png' ), 
    );	
	$theme_options[] = array(
		'name'          => 'Third Icon Heading Title', 
		'section'       => 'Front Page Setting', 
		'description'   => 'Enter the text for call to action front page third icon sub text. ',
		'type'          => 'text',
		'id'            => 'icon_3_text',
		'class' 		=> '',
	    'default'		=> 'Our Beliefs',
    );
	$theme_options[] = array(
		'name'          => 'Third Icon Heading Description', 
		'section'       => 'Front Page Setting', 
		'description'   => 'Enter the text for call to action front page third icon sub description.',
		'type'          => 'textarea',
		'id'            => 'icon_3_desc',
		'class' 		=> '',
	    'default'		=> 'Proin non pulvinar libec pellentesques consectultricamneque puauris simple dummy contentgoes here.',
    );
	$theme_options[] = array(
		'name'          => 'Meet Pastor Button Title', 
		'section'       => 'Front Page Setting', 
		'description'   => "Choice your Button Text (Want To Meet Pastor Text)",
		'type'          => 'text',		
		'id'            => 'want_pastor_text',
		'class' 		=> '',
	    'default'		=> 'Want to meet pastor',
    );	
	$theme_options[] = array(
		'name'          => 'Meet Pastor Button URL', 
		'section'       => 'Front Page Setting', 
		'description'   => "Choice your Button Link (Want To Meet Pastor Link)",
		'type'          => 'text',		
		'id'            => 'want_pastor_link',
		'class' 		=> '',
	    'default'		=> esc_url( home_url( '/' ) ),
    );
    $theme_options[] = array(
		'name'          => 'Who We Are Button Text', 
		'section'       => 'Front Page Setting', 
		'description'   => "Choice your Button Text (Know more who we are Text)",
		'type'          => 'text',		
		'id'            => 'more_pastor_text',
		'class' 		=> '',
	    'default'		=> 'Know more who we are',
    );	
	$theme_options[] = array(
		'name'          => 'Who We Are Button URL', 
		'section'       => 'Front Page Setting', 
		'description'   => "Choice your Button Link (Know more who we are Link)",
		'type'          => 'text',		
		'id'            => 'more_pastor_link',
		'class' 		=> '',
	    'default'		=> esc_url( home_url( '/' ) ),
    );
    $theme_options[] = array(
		'name' 		    => 'Front page Ministry Section', 
		'section' 	    => 'Front Page Setting', 
		'description'   => 'Check this box to enable a Front page Ministry Section Display Hide/Show.',
		'type' 		    => 'checkbox',
		'id' 		    => 'front_ministry_display',
		'class' 		=> '',
		'options'       => array( 'name' => 'front_ministry_display' ),
	    'default'		=> 'front_ministry_display',
    );
    $theme_options[] = array(
		'name'          => 'Ministry Heading Title', 
		'section'       => 'Front Page Setting', 
		'description'   => "Choice your static church Ministry Text",
		'type'          => 'text',		
		'id'            => 'ministry_text',
		'class' 		=> '',
	    'default'		=> 'Our church ministry',
    );	
	$theme_options[] = array(
		'name'          => 'Ministry Heading Description', 
		'section'       => 'Front Page Setting', 
		'description'   => "Choice your static church Ministry Description",
		'type'          => 'editor',
		'id'            => 'minisry_desc',
		'settings'		=> array( 'media_buttons' => false, 'quicktags' => true, 'textarea_rows' => 5, 'tinymce' => array( 'plugins' => 'wordpress' ) ),
	    'default'		=> "No matter your age or life-stage, there's always a way to get plugged in one of our ministries. 
		Join us on Sundays throughout the year.",
    );
    $theme_options[] = array(
		'name' 		    => 'Choose your Ministry Post Display in Front page', 
		'section' 	    => 'Front Page Setting', 
		'description'   => 'Choose your Multiple ministry post Display in front page.',
		'type' 		    => 'multiselect',
		'id' 		    => 'ministry_post_array',
		'class' 		=> '',
		'options'       =>  $main_ministry,
	    'default'		=> '',
    );
    $theme_options[] = array(
		'name' 		    => 'Front page Sermon Section', 
		'section' 	    => 'Front Page Setting', 
		'description'   => 'Check this box to enable a Front page Sermon Section Display Hide/Show.',
		'type' 		    => 'checkbox',
		'id' 		    => 'front_sermon_display',
		'class' 		=> '',
		'options'       => array( 'name' => 'front_sermon_display' ),
	    'default'		=> 'front_sermon_display',
    );
    $theme_options[] = array(
		'name'          => 'Sermon Heading Title', 
		'section'       => 'Front Page Setting', 
		'description'   => "Choice your static church Sermon Text",
		'type'          => 'text',		
		'id'            => 'sermon_text',
		'class' 		=> '',
	    'default'		=> 'Our church Sermon',
    );	
	$theme_options[] = array(
		'name'          => 'Sermon Heading Description', 
		'section'       => 'Front Page Setting', 
		'description'   => "Choice your static church Sermon Description",
		'type'          => 'editor',
		'id'            => 'sermon_desc',
		'settings'		=> array( 'media_buttons' => false, 'quicktags' => true, 'textarea_rows' => 5, 'tinymce' => array( 'plugins' => 'wordpress' ) ),
	    'default'		=> "No matter your age or life-stage, there's always a way to get plugged in one of our ministries. 
		 Join us on Sundays throughout the year.",
    );
    $theme_options[] = array(
		'name' 		    => 'Selected your Sermon Post Display in Front page', 
		'section' 	    => 'Front Page Setting', 
		'description'   => 'Selected your sermon post Display in front page.',
		'type' 		    => 'select',
		'id' 		    => 'sermon_post_array',
		'class' 		=> '',
		'options'       =>  $main_sermon,
	    'default'		=> '',
    );
	$theme_options[] = array(
		'name'          => 'Event Post Heading Title', 
		'section'       => 'Front Page Setting', 
		'description'   => "Choice your static church Event Text",
		'type'          => 'text',		
		'id'            => 'event_text',
		'class' 		=> '',
	    'default'		=> 'Latest Event on Praise church',
    );
    $theme_options[] = array(
		'name'          => 'Event Heading Description', 
		'section'       => 'Front Page Setting', 
		'description'   => "Choice your static church Event Description",
		'type'          => 'editor',
		'id'            => 'event_desc',
		'settings'		=> array( 'media_buttons' => false, 'quicktags' => true, 'textarea_rows' => 5, 'tinymce' => array( 'plugins' => 'wordpress' ) ),
	    'default'		=> "No matter your age or life-stage, there's always a way to get plugged in one of our ministries. 
		 Join us on Sundays throughout the year.",
    );
    $theme_options[] = array(
		'name' 		    => 'Front page Event Section', 
		'section' 	    => 'Front Page Setting', 
		'description'   => 'Check this box to enable a Front page Event Section Display Hide/Show.',
		'type' 		    => 'checkbox',
		'id' 		    => 'front_event_display',
		'class' 		=> '',
		'options'       => array( 'name' => 'front_event_display' ),
	    'default'		=> 'front_event_display',
    );
    $theme_options[] = array(
		'name' 		    => 'Choose your Event Post Display in Front page', 
		'section' 	    => 'Front Page Setting', 
		'description'   => 'Choose your two event post Display in front page.',
		'type' 		    => 'multiselect',
		'id' 		    => 'event_post_array',
		'class' 		=> '',
		'options'       =>  $main_event,
	    'default'		=> '',
    );
    $theme_options[] = array(
		'name' 		    => 'Front page Blog Section', 
		'section' 	    => 'Front Page Setting', 
		'description'   => 'Check this box to enable a Front page Blog Section Display Hide/Show.',
		'type' 		    => 'checkbox',
		'id' 		    => 'front_blog_display',
		'class' 		=> '',
		'options'       => array( 'name' => 'front_blog_display' ),
	    'default'		=> 'front_blog_display',
    );
    $theme_options[] = array(
		'name'          => 'Blog Post Heading Title', 
		'section'       => 'Front Page Setting', 
		'description'   => "Choice your static church Blog Text",
		'type'          => 'text',		
		'id'            => 'blog_text',
		'class' 		=> '',
	    'default'		=> 'From the Blog',
    );
    $theme_options[] = array(
		'name'          => 'Blog Heading Description', 
		'section'       => 'Front Page Setting', 
		'description'   => "Choice your static church Blog Description",
		'type'          => 'editor',
		'id'            => 'blog_desc',
		'settings'		=> array( 'media_buttons' => false, 'quicktags' => true, 'textarea_rows' => 5, 'tinymce' => array( 'plugins' => 'wordpress' ) ),
	    'default'		=> "No matter your age or life-stage, there's always a way to get plugged in one of our ministries. 
		 Join us on Sundays throughout the year.",
    );
    $theme_options[] = array(
		'name' 		    => 'Choose your Blog Post Display in Front page', 
		'section' 	    => 'Front Page Setting', 
		'description'   => 'Choose your three blog post Display in front page.',
		'type' 		    => 'multiselect',
		'id' 		    => 'blog_post_array',
		'class' 		=> '',
		'options'       => $main_blog,
	    'default'		=> '',
    );
    
	/***
	 * 6. Slider Setting
	 **/
	$theme_options[] = array(
		'name'          => 'Slider Setting', 
		'description'   => 'Slieder option customization.',
		'type'          => 'section',
        'priority'      => '600',		
	);
	$theme_options[] = array(
		'name'          => 'Slider Heading Font', 
		'section'       => 'Slider Setting', 
		'type'          => 'select',
		'description'   => "Chooce Slider Heading Font",
		'id'            => 'slider_font',
		'class' 		=> '',
		'options' 		=> $googlefonts,
	    'default'		=> 'Permanent Marker',
    );	
	$theme_options[] = array(
		'name'          => 'Slider Description Font', 
		'section'       => 'Slider Setting', 
		'type'          => 'select',
		'description'   => "Chooce Slider Description Font",
		'id'            => 'slider_desc_font',
		'class' 		=> '',
		'options' 		=> $googlefonts,
	    'default'		=> 'Abel',
    );	
	$theme_options[] = array(
		'name'          => 'Slider Heading Color', 
		'section'       => 'Slider Setting', 
		'description'   => 'Slider Heading Color',
		'type'          => 'color',
		'id'            => 'slider_title_color',
		'class' 		=> '',
	    'default'		=> '#fff',
    );
	$theme_options[] = array(
		'name'          => 'Slider Description Color', 
		'section'       => 'Slider Setting', 
		'description'   => 'Slider Description Color',
		'type'          => 'color',
		'id'            => 'slider_desc_color',
		'class' 		=> '',
	    'default'		=> '#fff',
    );
	$theme_options[] = array(
		'name'          => 'Animation Speed', 
		'section'       => 'Slider Setting', 
		'description'   => 'Animation Speed of slider',
		'type'          => 'text',
		'id'            => 'animatespeed',
		'class' 		=> '',
	    'default'		=> '10000',
    );			
	$theme_options[] = array(
		'name'          => 'Control Nav', 
		'section'       => 'Slider Setting', 
		'description'   => 'controlNav true or false.',
		'type'          => 'checkbox',
		'class' 		=> '',
		'id'            => 'controlnav',
		'options'		=> array(	'name' => 'controlnav' ),
	    'default'		=> 'controlnav',
    );
	$theme_options[] = array(
		'name'          => 'Direction Nav', 
		'section'       => 'Slider Setting', 
		'description'   => 'Direction Nav true or false.',
		'type'          => 'checkbox',
		'class' 		=> '',
		'id'            => 'directionnav',
		'options' 		=> array(	'name'  => 'directionnav' ),
	    'default'		=> 'directionnav',
    );
    $theme_options[] = array(
		'name'          => 'Button Display in Small Device', 
		'section'       => 'Slider Setting', 
		'description'   => 'If you want display button show on front page slider at small devices true or false.',
		'type'          => 'checkbox',
		'class' 		=> '',
		'id'            => 'front_button_display',
		'options' 		=> array(	'name'  => 'front_button_display' ),
	    'default'		=> 'front_button_display',
    );
	$theme_options[] = array(
		'name'          => 'Slider Button Background Color', 
		'section'       => 'Slider Setting', 
		'description'   => 'Slider Button Background Color',		
		'type'          => 'color_2',
		'class' 		=> '',
		'id_1' 			=> 'slider_btn_bkcolor',
		'id_2' 	  		=> 'slider_btn_bkcolor_hover',
		'label_1' 		=> 'Current Color',
		'label_2' 		=> 'Hover Color',
	    'default_1'		=> '',
	    'default_2'		=> 'rgba(236, 185, 29, 1)',
    );		
	$theme_options[] = array(
		'name'          => 'Slider Button Text Color', 
		'section'       => 'Slider Setting', 
		'description'   => 'Slider Button Text Color',		
		'type'          => 'color_2',
		'class' 		=> '',
		'id_1' 			=> 'slider_btn_txtcolor',
		'id_2' 			=> 'slider_btn_txtcolor_hover',
		'label_1' 		=> 'Current Color',
		'label_2' 		=> 'Hover Color',
	    'default_1'		=> '#ecb91d',
	    'default_2'		=> '#ecb91d',
    );			
	/***
	 * 7. Footer Setting
	 **/
	$theme_options[] = array(
		'name'          => 'Footer Setting', 
		'description'   => 'Configure footer  settings of your about us, location, and newsletter and newsletter shortcode.',
		'type'          => 'section',
        'priority'      => '700',		
    );
	$theme_options[] = array(
		'name'          => 'About Us Heading Title', 
		'section'       => 'Footer Setting', 
		'description'   => 'Choice your static About Us Heading Title',		
		'id'            => 'praise_church_title',
		'type'          => 'text',
		'class' 		=> '',
	    'default'		=> 'Praise Church',
    );	
	$theme_options[] = array(
		'name'          => 'About Us Heading Description', 
		'section'       => 'Footer Setting', 
		'description'   => 'Choice your About Us Heading Description',		
		'id'            => 'praise_church_description',
		'type'          => 'editor',	
		'settings'		=> array( 'media_buttons' => false, 'quicktags' => true, 'textarea_rows' => 5, 'tinymce' => array( 'plugins' => 'wordpress' ) ),	
	    'default'		=> 'It was popularised in the 1960s with the release of Letrase psum pecently with oftware like including versions 
		of orem Ipsum arious versions have evolved over the years, sometimes by accident, sometimes on purpose.',
    );
	$theme_options[] = array(
		'name'          => 'Service Time Heading Title', 
		'section'       => 'Footer Setting', 
		'description'   => 'Choice your static Service Time Text',
		'id'            => 'service_time_title',
		'type'          => 'text',
		'class' 		=> '',
	    'default'		=> 'Service Time',
    );		
	$theme_options[] = array(
		'name'          => 'Service Time Dare and time', 
		'section'       => 'Footer Setting', 
		'description'   => 'You can edit Service Time Dare and time or Description.',
		'id'            => 'footer_services_time',
		'type'          => 'editor',
		'settings'		=> array( 'media_buttons' => false, 'quicktags' => true, 'textarea_rows' => 5, 'tinymce' => array( 'plugins' => 'wordpress' ) ),
	    'default'		=> 'Saturdays: 5 p.m., 7:15 p.m. | Sundays: 9 a.m., 11:15 a.m',
    );
	$theme_options[] = array(
		'name'          => 'Campus Location Heading Title', 
		'section'       => 'Footer Setting', 
		'description'   => 'Choice your static Campus Location Heading Title',		
		'id'            => 'campus_location',
		'type'          => 'text',
		'class' 		=> '',
	    'default'		=> 'Campus Location',
    );	
	$theme_options[] = array(
		'name'          => 'Campus Location Heading Description', 
		'section'       => 'Footer Setting', 
		'description'   => 'Choice your static Campus Location description',		
		'id'            => 'campus_description',
		'type'          => 'editor',	
		'settings'		=> array( 'media_buttons' => false, 'quicktags' => true, 'textarea_rows' => 5, 'tinymce' => array( 'plugins' => 'wordpress' ) ),
	    'default'		=> '5601 E Nomark St.61 Rekson Lake, Nr. Keshav baug U.K. Phone: (123) 456-7890 Fax: (123) 456-7890',
    );	
	$theme_options[] = array(
		'name'          => 'Location Button Text', 
		'section'       => 'Footer Setting', 
		'description'   => 'Choice your Campus Location Button Text',
		'id'            => 'location_btn',
		'type'          => 'text',
		'class' 		=> '',
	    'default'		=> 'OPEN MAP',
    );		
	$theme_options[] = array(
		'name'          => 'Location Button URL', 
		'section'       => 'Footer Setting', 
		'description'   => 'Choice your Campus Location Button URL',
		'id'            => 'location_link',
		'type'          => 'text',
		'class' 		=> '',
	    'default'		=> esc_url( home_url( '/' ) ),
    );	
	$theme_options[] = array(
		'name'          => 'Useful Links Text', 
		'section'       => 'Footer Setting', 
		'description'   => 'Choice your Useful Menu in Footer Section',
		'id'            => 'useful_link',
		'type'          => 'text',
		'class' 		=> '',
	    'default'		=> 'Useful Links',
    );			
    $theme_options[] = array(
		'name'          => 'Newsletter Heading Title', 
		'section'       => 'Footer Setting', 
		'description'   => 'Choice your static Newsletter Heading Title.',
		'id'            => 'footer_newsletter',
		'type'          => 'text',
		'class' 		=> '',
	    'default'		=> 'Signup for latest news & updates',
    );	
	$theme_options[] = array(
		'name'          => 'Newsletter Heading Description', 
		'section'       => 'Footer Setting', 
		'description'   => 'Choice Your Static Newsletter Heading Description',		
		'id'            => 'footer_newsletter_desc',
		'type'          => 'editor',
		'settings'		=> array( 'media_buttons' => false, 'quicktags' => true, 'textarea_rows' => 5, 'tinymce' => array( 'plugins' => 'wordpress' ) ),
	    'default'		=> 'Official Church News and Events for the praise Church',
    );	
	$theme_options[] = array(
		'name'          => 'Newsletter ShortCode', 
		'section'       => 'Footer Setting', 
		'description'   => 'Mailchip Newsletter ShortCode',
		'id'            => 'footer_newsletter_shortcode',
		'type'          => 'text',
		'class' 		=> '',
	    'default'		=> '[mc4wp_form]',
    );
	/**
	 * 8. Tiny Footer.
	 */
	$theme_options[] = array(
		'name'          => 'Tiny Footer', 
		'description'   => 'Tiny Footer',
		'type'          => 'section',
        'priority'      => '800',
	);
	$theme_options[] = array(
		'name'          => 'Icon Heading Title', 
		'section'       => 'Tiny Footer', 
		'description'   => 'Choice your static Icon Heading Title',
		'id'            => 'icon_title',
		'type'          => 'text',
		'class' 		=> '',
	    'default'		=> 'Connect with us',
    );		
	$theme_options[] = array(
		'name'          => 'Facebook', 
		'section'       => 'Tiny Footer', 
		'description'   => 'Facebook Link here',
		'id'            => 'social_facebook',
		'type'          => 'text',
		'class' 		=> '',
	    'default'		=> 'http://www.facebook.com',
    );	
	$theme_options[] = array(
		'name'          => 'Twitter', 
		'section'       => 'Tiny Footer', 
		'description'   => 'Twitter Link here',
		'id'            => 'social_twitter',
		'type'          => 'text',
		'class' 		=> '',
	    'default'		=> 'http://www.twitter.com',
    );
	$theme_options[] = array(
		'name'          => 'Pintrest', 
		'section'       => 'Tiny Footer', 
		'description'   => 'Pintrest Link here',		
		'id'            => 'social_pintrest',
		'type'          => 'text',
		'class' 		=> '',
	    'default'		=> '',
    );
	$theme_options[] = array(
		'name'          => 'LinkedIn', 
		'section'       => 'Tiny Footer', 
		'description'   => 'LinkedIn Link here',		
		'id'            => 'social_linkedin',
		'type'          => 'text',
		'class' 		=> '',
	    'default'		=> '',
    );
	$theme_options[] = array(
		'name'          => 'Google+', 
		'section'       => 'Tiny Footer', 
		'description'   => 'Google+ Link here',
		'id'            => 'social_google',
		'type'          => 'text',
		'class' 		=> '',
	    'default'		=> 'http://www.google.com',
    );
	$theme_options[] = array(
		'name'          => 'Rss', 
		'section'       => 'Tiny Footer', 
		'description'   => 'Rss Link here',
		'id'            => 'social_rss',
		'type'          => 'text',
		'class' 		=> '',
	    'default'		=> '',
    );
	$theme_options[] = array(
		'name'          => 'Tumblr', 
		'section'       => 'Tiny Footer', 
		'description'   => 'Tumblr Link here',
		'id'            => 'social_tumblr',
		'type'          => 'text',
		'class' 		=> '',
	    'default'		=> '',
    );
	$theme_options[] = array(
		'name'          => 'Instagram', 
		'section'       => 'Tiny Footer', 
		'description'   => 'Instagram Link here',		
		'id'            => 'social_instagram',
		'type'          => 'text',
		'class' 		=> '',
	    'default'		=> 'http://www.instagram.com',
    );
	$theme_options[] = array(
		'name'          => 'Youtube', 
		'section'       => 'Tiny Footer', 
		'description'   => 'Youtube Link here',
		'id'            => 'social_youtube',
		'type'          => 'text',
		'class' 		=> '',
	    'default'		=> 'http://www.youtube.com',
    );		
	$theme_options[] = array(
		'name'          => 'Vimeo', 
		'section'       => 'Tiny Footer', 
		'description'   => 'Vimeo Link here',		
		'id'            => 'social_vimeo',
		'type'          => 'text',
		'class' 		=> '',
	    'default'		=> '',
    );
	$theme_options[] = array(
		'name'          => 'Behance', 
		'section'       => 'Tiny Footer', 
		'description'   => 'Behance Link here',		
		'id'            => 'social_behance',
		'type'          => 'text',
		'class' 		=> '',
	    'default'		=> '',
    );
	$theme_options[] = array(
		'name'          => 'Dribble', 
		'section'       => 'Tiny Footer', 
		'description'   => 'Dribble Link here',		
		'id'            => 'social_dribble',
		'type'          => 'text',
		'class' 		=> '',
	    'default'		=> '',
    );
	$theme_options[] = array(
		'name'          => 'Flickr', 
		'section'       => 'Tiny Footer', 
		'description'   => 'Flickr Link here',		
		'id'            => 'social_flickr',
		'type'          => 'text',
		'class' 		=> '',
	    'default'		=> '',
    );
	$theme_options[] = array(
		'name'          => 'Git', 
		'section'       => 'Tiny Footer', 
		'description'   => 'Git Link here',		
		'id'            => 'social_git',
		'type'          => 'text',
		'class' 		=> '',
	    'default'		=> '',
    );
	$theme_options[] = array(
		'name'          => 'Skype', 
		'section'       => 'Tiny Footer', 
		'description'   => 'Skype Link here',		
		'id'            => 'social_skype',
		'type'          => 'text',
		'class' 		=> '',
	    'default'		=> '',
    );
	$theme_options[] = array(
		'name'          => 'Weibo', 
		'section'       => 'Tiny Footer', 
		'description'   => 'Weibo Link here',		
		'id'            => 'social_weibo',
		'type'          => 'text',
		'class' 		=> '',
	    'default'		=> '',
    );
	$theme_options[] = array(
		'name'          => 'Foursqure', 
		'section'       => 'Tiny Footer', 
		'description'   => 'Foursqure Link here',		
		'id'            => 'social_foursqure',
		'type'          => 'text',
		'class' 		=> '',
	    'default'		=> '',
    );
	$theme_options[] = array(
		'name'          => 'Soundcloude', 
		'section'       => 'Tiny Footer', 
		'description'   => 'soundcloude Link here',		
		'id'            => 'social_soundcloude',
		'type'          => 'text',
		'class' 		=> '',
	    'default'		=> '',
    );
	/***
	 * 9. Paypal.
	 */
	$theme_options[] = array(
		'name'          => 'Paypal Setting', 
		'description'   => 'Paypal setting customization.',
		'type'          => 'section',
        'priority'      => '900',
	);
	$theme_options[] = array(
		'name'          => 'Paypal Email id', 
		'section'       => 'Paypal Setting', 
		'description'   => 'Your API Email id',		
		'id'            => 'paypal_api_email',
		'type'          => 'text',
		'class' 		=> '',
	    'default'		=> '',
    );
    $theme_options[] = array(
		'name'          => 'Return Page URL', 
		'section'       => 'Paypal Setting', 
		'description'   => 'Add Thank you page with it"s template.',		
		'id'            => 'return_page_url',
		'type'          => 'text',
		'class' 		=> '',
	    'default'		=> esc_url( home_url( '/' ) ).'thank-you',
    );	
    $theme_options[] = array(
		'name'          => 'Cancel Page URL', 
		'section'       => 'Paypal Setting', 
		'description'   => 'Add Cancel Page with it"s template.',		
		'id'            => 'cancel_page_url',
		'type'          => 'text',
		'class' 		=> '',
	    'default'		=> esc_url( home_url( '/' ) ).'cancel',
    );
	$theme_options[] = array(
		'name'          => 'Paypal Currency', 
		'section'       => 'Paypal Setting', 
		'description'   => 'Paypal Currency',		
		'id'            => 'paypal_currency',
		'type'          => 'select',
		'class' 		=> '',
		'options' 		=> $currency,
	    'default'		=> 'USD',
    );
	$theme_options[] = array(
		'name'          => 'Eable Sandbox', 
		'section'       => 'Paypal Setting', 
		'description'   => 'Enable PayPal sandbox for testing donate transactin with paypal http://developer.paypal.com',		
		'id'            => 'enable_sandbox',
		'class' 		=> '',
		'type'          => 'checkbox',
		'options'		=> array(	'name'          => 'enable_sandbox' ),
	    'default'		=> 'enable_sandbox',
    );					
	$theme_options[] = array(
		'name'          => 'Transaction Success Title', 
		'section'       => 'Paypal Setting', 
		'description'   => 'Success Title',		
		'id'            => 'donate_succ_title',
		'type'          => 'text',
		'class' 		=> '',
	    'default'		=> 'Payment Received! Thanks for donation.',
    );	
	$theme_options[] = array(
		'name'          => 'Transaction Fail Message', 
		'section'       => 'Paypal Setting', 
		'description'   => 'Fail Message',		
		'id'            => 'donate_fail_msg',
		'type'          => 'text',
		'class' 		=> '',
	    'default'		=> 'Get TransactionDetails failed:',
    );
	$theme_options[] = array(
		'name'          => 'Transaction Sand box Notificaton Message', 
		'section'       => 'Paypal Setting', 
		'description'   => 'Sand box Notificaton Message',		
		'id'            => 'donate_sandbox_msg',
		'type'          => 'text',
		'class' 		=> '',
	    'default'		=> 'Note:Your Paypal sand box is enabled.Please contact administrator',
    );
	/**
	 * 10. Woo-commerce.
	 */
	$theme_options[] = array(
		'name'          => 'Woocommers', 
		'section'       => 'Woocommers', 
		'description'   => 'Woocommers.',
		'type'          => 'section',
        'priority'      => '1000',
	);
	$theme_options[] = array(
		'name'          => 'Main Shop Page Layout', 
		'section'       => 'Woocommers', 
		'description'   => 'Main Shop Page Layout',
		'id'            => 'main_shop_page_layout',
		'type'          => 'radio',	
		'class' 		=> '',
		'default'		=> 'right-sidebar',
		'options'		=> array( 'left-sidebar'  => '<img src="'.get_template_directory_uri().'/framework/image/right-sidebar.png" />',
								  'right-sidebar' => '<img src="'.get_template_directory_uri().'/framework/image/left-sidebar.png"  />',
								  'no-sidebar'    => '<img src="'.get_template_directory_uri().'/framework/image/no-sidebar.png"    />'),
    );	
	$theme_options[] = array(
		'name'          => 'Single Shop Page Layout', 
		'section'       => 'Woocommers', 
		'description'   => 'Single Shop Page Layout',
		'id'            => 'single_shop_page_layout',
		'type'          => 'radio',	
		'class' 		=> '',
	    'default'		=> 'right-sidebar',		
		'options' 		=> array( 'left-sidebar'  => '<img src="'.get_template_directory_uri().'/framework/image/right-sidebar.png" />',
								  'right-sidebar' => '<img src="'.get_template_directory_uri().'/framework/image/left-sidebar.png"  />',
							  	  'no-sidebar'    => '<img src="'.get_template_directory_uri().'/framework/image/no-sidebar.png"    />' ),
    );
	$theme_options[] = array(
		'name'          => 'Product Layout', 
		'section'       => 'Woocommers', 
		'description'   => 'Product Layout',
		'id'            => 'product_layout',
		'type'          => 'radio',
		'class' 		=> '',
	    'default'		=> 'col-md-4',
		'options' 		=> array( 'col-md-6' => '<img src="'.get_template_directory_uri().'/framework/image/6-column.png"  />',
								  'col-md-4' => '<img src="'.get_template_directory_uri().'/framework/image/3-column.png"  />',
								  'col-md-3' => '<img src="'.get_template_directory_uri().'/framework/image/4-column.png"  />'),
    );
	$theme_options[] = array(
		'name'          => 'Related Product Post Per Page', 
		'section'       => 'Woocommers', 
		'description'   => 'Related Product Post Per Page',
		'id'            => 'related_product',
		'type'          => 'text',	
		'class' 		=> '',
	    'default'		=> '3',
    );
	$theme_options[] = array(
		'name'          => 'Product Post Per Page', 
		'section'       => 'Woocommers', 
		'description'   => 'Product Post Per Page',
		'id'            => 'product_per_page',
		'type'          => 'text',
		'class' 		=> '',
	    'default'		=> '12',
    );
	$theme_options[] = array(
		'name'          => 'Add Icon Wishlist on headerbar', 
		'section'       => 'Woocommers', 
		'description'   => 'Add Icon Wishlist on headerbar.',				
		'type'          => 'checkbox',
		'class' 		=> '',
		'id'            => 'wishlist_icon',
		'options' 		=> array('name'  => 'wishlist_icon' ),
	    'default'		=> 'wishlist_icon',
    );
	$theme_options[] = array(
		'name'          => 'Add Cart icon on headerbar.', 
		'section'       => 'Woocommers', 
		'description'   => 'Add Cart icon on headerbar.',
		'type'          => 'checkbox',
		'class' 		=> '',
		'id'            => 'cart_icon',
		'options' 		=> array('name'  => 'cart_icon' ),
	    'default'		=> 'cart_icon',
    );
    /***
	 * 11. Pastor Section.
	 **/
	$theme_options[] = array(
		'name'          => 'Pastor Setting', 
		'description'   => 'Pastor Setting Change name and Show / Hide Options.',
		'type'          => 'section',
        'priority'      => '1100',
	);
	$theme_options[] = array(
		'name'          => 'Pastor Section Show/Hide', 
		'section'       => 'Pastor Setting', 
		'description'   => 'Pastor section you want to show on Front so checkbox is enable',
		'type'          => 'checkbox',
		'class' 		=> '',
		'id'            => 'pastor_show_hide',
		'options' 		=> array('name'  => 'pastor_show_hide' ),
	    'default'		=> 'pastor_show_hide',
    );
	$theme_options[] = array(
		'name'          => 'Pastor', 
		'section'       => 'Pastor Setting', 
		'description'   => 'If you want Change Name for pastor so add new Name.',		
		'id'            => 'pastor_name_change',
		'type'          => 'text',
		'class' 		=> '',
	    'default'		=> 'Pastor',
    );
    $theme_options[] = array(
		'name'          => 'Administrative Section Show/Hide', 
		'section'       => 'Pastor Setting', 
		'description'   => 'Administrative section you want to show on Front so checkbox is enable',
		'type'          => 'checkbox',
		'class' 		=> '',
		'id'            => 'administrative_show_hide',
		'options' 		=> array('name'  => 'administrative_show_hide' ),
	    'default'		=> 'administrative_show_hide',
    );
	$theme_options[] = array(
		'name'          => 'Administrative', 
		'section'       => 'Pastor Setting', 
		'description'   => 'If you want to Change Name for Administrative so add new Name.',		
		'id'            => 'administrative_name_change',
		'type'          => 'text',
		'class' 		=> '',
	    'default'		=> 'Administrative',
    );
    $theme_options[] = array(
		'name'          => 'Music Section Show/Hide', 
		'section'       => 'Pastor Setting', 
		'description'   => 'Music section you want to show on Front so checkbox is enable',
		'type'          => 'checkbox',
		'class' 		=> '',
		'id'            => 'music_show_hide',
		'options' 		=> array('name'  => 'music_show_hide' ),
	    'default'		=> 'music_show_hide',
    );
	$theme_options[] = array(
		'name'          => 'Music',
		'section'       => 'Pastor Setting', 
		'description'   => 'If you want to Change Name for Music so add new Name.',		
		'id'            => 'music_name_change',
		'type'          => 'text',
		'class' 		=> '',
	    'default'		=> 'Music',
    );
    $theme_options[] = array(
		'name'          => 'Adults Section Show/Hide', 
		'section'       => 'Pastor Setting', 
		'description'   => 'Adults section you want to show on Front so checkbox is enable',
		'type'          => 'checkbox',
		'class' 		=> '',
		'id'            => 'adults_show_hide',
		'options' 		=> array('name'  => 'adult_show_hide' ),
	    'default'		=> 'adults_show_hide',
    );
	$theme_options[] = array(
		'name'          => 'Adults',
		'section'       => 'Pastor Setting', 
		'description'   => 'If you want to Change Name for Adults so add new Name.',		
		'id'            => 'adults_name_change',
		'type'          => 'text',
		'class' 		=> '',
	    'default'		=> 'Adults',
    );
	/**
	 *  12. Import Dummy Data.
	 */ 	
	if ( function_exists( 'get_html_import' ) ) {
		
		$theme_options[] = array(
			'name'          => 'Import Data', 
			'description'   => '',
			'type'          => 'section',
	        'priority'      => '1200',
		);
		$theme_options[] = array(
			'name'          => 'Import Data', 
			'section'       => 'Import Data', 
			'description'   => get_html_import(),
			'id'            => 'import-data',
			'type'          => 'import_data',
			'class' 		=> '',
			'default'		=> '',
		);	
	}

 	return $theme_options;
    }
}


if( ! function_exists( 'theme_options_set_options' ) && function_exists( 'church_theme_options' ) ){
	
	function theme_options_set_options(){
		
	   $theme_options = church_theme_options();
	   $valid_input = array();
	   foreach ( $theme_options as $value ):
	   switch ( true ):
			case ( $value['type'] == "text" ||  $value['type'] == "textarea" ||  $value['type'] == "checkbox" || 
				   $value['type'] == "radio" || $value['type'] == "select" || $value['type'] == "image" || 
				   $value['type'] == "color" || $value['type'] == "editor" || $value['type'] == "multiselect" ) :				
				   $valid_input[ $value['id'] ] = empty( $value['default'] )  ? '' : $value['default'];
			break;
			case ( $value['type'] ==  "typography" ||  $value['type'] == "body_typography" ) :		
				  $valid_input[ $value['id_1'] ] = empty( $value['default_1'] ) ? '' : $value['default_1'];
				  $valid_input[ $value['id_2'] ] = empty( $value['default_2'] ) ? '' : $value['default_2'];
				  $valid_input[ $value['id_3'] ] = empty( $value['default_3'] ) ? '' : $value['default_3'];
				  $valid_input[ $value['id_4'] ] = empty( $value['default_4'] ) ? '' : $value['default_4'];
			break;	
			case ( $value['type'] == "color_2" ) :
				  $valid_input[ $value['id_1'] ] = empty( $value['default_1'] ) ? '' : $value['default_1'];
				  $valid_input[ $value['id_2'] ] = empty( $value['default_2'] ) ? '' : $value['default_2'];
			break;			
			default 	  		  :  	break;			
		endswitch;
		endforeach;
		add_option( 'ease_options', $valid_input );
	}
	add_action( 'init', 'theme_options_set_options' );
}
?>