<?php 
/**
 *     PAYPAL TRANSACTION
 */

add_action('admin_menu', 'church_paypal_transaction');
function church_paypal_transaction() {  
	// Add Theme page
	$paypal_page = add_theme_page('Paypal Transaction', 'Paypal Transaction', 'administrator', 'transaction', 'transaction_options_page');
	add_action( 'admin_print_scripts-' .$paypal_page, 'church_paypal_scripts');		
}

function church_paypal_scripts(){
	// Bootstrap.css
	wp_enqueue_style( 'church_bootstrap_css', get_template_directory_uri().'/framework/css/bootstrap.css');
	// Bootstrap.js
	wp_enqueue_script('church_bootstrap_js', get_template_directory_uri().'/framework/js/bootstrap.js', array('jquery'), true );
	// Bootstrap data table css.
}
function transaction_options_page() { ?>
<div class="">
	<h2 class="text-center" style="color:green;margin-bottom:20px;">Paypal Transaction</h2>
<?php
	
	$get_all_transaction = get_option('all_donate_transaction');	
	
	echo '<table id="example" class="table table-striped table-bordered" cellspacing="0" width="100%">';
	echo '<tr>';
	echo '<th>Pray Id</th>';
	echo '<th>Transaction Id</th>';
	echo '<th>Payment Type </th>';
	echo '<th>Name</th>';
	echo '<th>Email</th>';
//	echo '<th>Purpose</th>';
	echo '<th>Amount</th>';						
	echo '</tr>';

	if(isset($get_all_transaction) && $get_all_transaction!="")
	{
		foreach ($get_all_transaction as $key => $value)
		{
			echo '<tr>';
			echo '<td>'.$value['donate_iten_no'].'</td>';
			echo '<td>'.$key.'</td>';
			echo '<td>'.$value['payment_type'].'</td>';
			echo '<td>'.$value['firstname'].' '.$value['lastname'].'</td>';
			echo '<td>PAYER: '.$value['payer_email'].' <br /> '.$value['email'].'</td>';
//			echo '<td>'.$value['donate_iten'].'</td>';
			echo '<td>'.$value['donate_amount'].'</td>';
	
			echo '</tr>';
		}
	}
	echo '</table>';
 ?>    
</div>
<?php }
?>