<?php
/** funeral Breadcrumbs **/

global $post, $woocommerce;

if( !is_search() ){
    $category = get_the_category_list(', ',$post->id);
}

if( !is_404() && !is_front_page() ){
    print '
    <li><a href="'.esc_html( home_url() ).'">'.esc_html__( Get_bloginfo(), 'funeral').'</a></li>';

    if ( is_archive() ) {
        if( is_category() || is_tax() ){
           print '<li class="active">'. single_cat_title('', false).'</li>';
        }elseif( class_exists('WooCommerce') && is_woocommerce() ){
           print '<li class="active">'.esc_html__( apply_filters( 'the_title', get_the_title( get_option('woocommerce_shop_page_id') ) ), 'funeral' ).'</li>'; 
        }  else{
           print '<li class="active">'.esc_html__( 'Archives','funeral').'</li>';
        }
    }elseif( is_home() ){
        print '<li class="active">'.esc_html__( apply_filters( 'the_title', get_the_title( get_option( 'page_for_posts' ) ) ), 'funeral').'</li>';
    }elseif ( is_search() ){
        print '<li class="active">'.esc_html__( 'Search Results','funeral').'</li>';
    }else{

        if( $category != ''){
           print '<li>'.$category.'</li>';
        }
        if( !is_front_page() ){
            global $post;
            $parents    = get_post_ancestors( $post->ID );
            if($parents){
                
                $id         = ($parents) ? $parents[count($parents)-1]: $post->ID;
                $parent     = get_page( $id );
                print '<li><a href="'.esc_url(get_permalink($parent)).'">'.get_the_title($parent).'</a></li>';
            }
           print '<li class="active">'.get_the_title().'</li>';   
        }
    } 
    
}else{
    // some code goes here..
}

?>