<?php
/**
* The main template file.
*
* This is the most generic template file in a WordPress theme
* and one of the two required files for a theme (the other being style.css).
* It is used to display a page when nothing more specific matches a query.
* E.g., it puts together the home page when no home.php file exists.
* Learn more: http://codex.wordpress.org/Template_Hierarchy
*
* @package Church
*/

get_header(); 
get_template_part('page_banner'); 
get_template_part('inc/start','sidebar'); ?>

    <?php $church_i = 3; ?>
    <?php if ( have_posts() ) : ?>
    <?php /* Start the Loop */ ?>
    <?php while ( have_posts() ) : the_post(); ?>
    <?php 
				if( $church_i == 3 ){ 
					echo '<div class="row">';
					echo '<div class="col-md-12 feature-post">'; 
				}
				elseif( $church_i == 4 ) {
					echo '<div id="isotope" class="grid row">';
					echo '<div class="target_class">';
					echo '<div class="col-md-6 grid-item blog-post">'; 	
				}
				else {
					echo '<div class="col-md-6 grid-item blog-post">'; 	
				}
				/*
				 * Include the Post-Format-specific template for the content.
				 * If you want to override this in a child theme, then include a file
				 * called content-___.php (where ___ is the Post Format name) and that will be used instead.
				 */
				get_template_part( 'template-parts/content', get_post_format() );

				echo '</div>'; 
				if( $church_i == 3 ) : echo '</div>'; 
				endif;				
				$church_i++; 
	?>
    <?php endwhile; ?>
    <?php echo '</div></div>'; // isotop and col-md-12 ?>
    <?php church_pagination(); ?>
    <?php else : ?>
    <?php get_template_part( 'template-parts/content', 'none' ); ?>
    <?php endif; ?>
    
<?php 
    get_template_part('inc/end','sidebar');
    get_footer(); 
?>