<?php
/**
* Template Name: Blog with Right Sidebar
*  
* @package Church
*/

get_header(); 
get_template_part('page_banner'); 
query_posts('post_type=post&post_status=publish&posts_per_page='.get_option('posts_per_page').'&paged='. get_query_var('paged')); 
?>

<div class="blog-content" id="blog-content">
<!-- blog-content -->
<div class="container">
    <!-- container -->
<div class="row">
<!-- row -->
    <div class="col-md-8">
    <!-- col-md-8 -->
    
    <?php if ( have_posts() ) : ?>    
    <?php /* Start the Loop */ ?>
    <?php while ( have_posts() ) : the_post(); ?>
    <?php 
				/*
				 * Include the Post-Format-specific template for the content.
				 * If you want to override this in a child theme, then include a file
				 * called content-___.php (where ___ is the Post Format name) and that will be used instead.
				 */
				
                print '<div class="blog-post">';
				    get_template_part( 'template-parts/content', get_post_format()  );
                print '</div>';
				

	?>
    <?php endwhile; ?>
       
    <?php church_pagination(); ?>
    <?php else : ?>
    <?php get_template_part( 'template-parts/content', 'none' ); ?>
    <?php endif; ?>

    

    </div> 
    <!-- /col-md-8 -->
    <div class="col-md-4">
    <?php if ( is_active_sidebar( 'primary_sidebar' ) ) {    dynamic_sidebar( 'primary_sidebar' ); } ?>
    </div>

    

</div>
<!-- /row -->    
</div>
<!-- container -->
</div>
<!-- blog-content -->

<?php get_footer(); ?>