<?php
/**
 *  Template Name: Donation Template
 *
 * @package Funeral
 */

require_once  get_template_directory() .'/framework/paypal/process.php';
$currency_code   = ( church_get_option('paypal_currency') ) ? church_get_option('paypal_currency') : '';

get_header(); 
get_template_part('page_banner'); 
get_template_part('inc/start','sidebar'); ?>

<div id="donat-form" class="donat-form">
  <form action="" class="form-horizontal" method="post">

        <div class="form-group">
            <div class="col-md-4"></div>
            <div class="col-md-6">
                 <div id="keypress"></div>
            </div>
            <div class="col-md-2">
                <div class="input-group">
                  <span class="input-group-addon">$</span>
                  <input id="input-with-keypress" type="text" class="form-control" aria-label="Amount (to the nearest dollar)">
                </div>
          </div>
        </div>         

          <!-- Multiple Checkboxes -->
          <div class="form-group">
            <label class="col-md-4 control-label">Payment Type</label>
            <div class="col-md-4">
              <div class="radio">
                <label for="onetime">
                  <input type="radio" name="payment_type" id="onetime" value="One Time Payment">One Time Payment</label>
              </div>
              <div class="radio">
                <label for="monthly">
                  <input type="radio" name="payment_type" id="monthly" value="Monthly Payment ">Monthly Payment </label>
              </div>
              <div class="radio">
                <label for="annual">
                  <input type="radio" name="payment_type" id="annual" value="Annual Payment">Annual Payment</label>
              </div>
            </div>
          </div>
          
          <!-- Text input-->
          <div class="form-group">
            <label class="col-md-4 control-label" for="fname">First Name</label>
            <div class="col-md-6">
              <input id="fname" name="first_name" type="text" placeholder="Name" class="form-control input-md" required>
            </div>
          </div>
          
          <!-- Text input-->
          <div class="form-group">
            <label class="col-md-4 control-label" for="lname">Last Name</label>
            <div class="col-md-6">
              <input id="lname" name="last_name" type="text" placeholder="Last Name" class="form-control input-md" required>
            </div>
          </div>
          
          <!-- Text input-->
          <div class="form-group">
            <label class="col-md-4 control-label" for="email">E-Mail</label>
            <div class="col-md-6">
              <input id="email" name="email" type="text" placeholder="E-mail address" class="form-control input-md" required>
            </div>
          </div>

        <!-- Identify your business so that you can collect the payments. -->
        <input type="hidden" name="business" value="<?php print $paypal_id; ?>">
        <!-- Specify a Buy Now button. -->
        <input type="hidden" name="cmd" value="_xclick">
        <!-- Specify details about the item that buyers will purchase. -->
        <input type="hidden" name="item_name" value="Funeral Donation">
        <input type="hidden" id="input-with-keypress1" name="amount" value=""> 
        <input type="hidden" name="item_number" value="<?php print rand('999','999999'); ?>">
        <input type="hidden" name="currency_code" value="<?php print $currency_code; ?>">
        <!-- Specify URLs -->
        <input type='hidden' name='cancel_return' value='<?php print $cancel_url; ?>'>
        <input type='hidden' name='return' value='<?php print $return_url; ?>'>
        <!-- Display the payment button. -->

        <!-- Text input-->
        <div class="form-group">
          <div class="col-md-6 col-md-offset-4">
            <input type="submit" name="submit" class="btn outline-btn outline-btn-red" value="Process Donation">
          </div>
        </div>
    
  </form>
</div>
<?php
  get_template_part('inc/end','sidebar');
  get_footer(); 
?>