<?php
/**
 * Template Name: Event With Grid
 *
 * @package Church
 */
global $wp_query;
get_header(); 
get_template_part('page_banner'); ?>

<div class="events" id="events">
<!-- event -->
<div class="container">
  <!-- container -->
  <div class="row">
  <!-- row -->
  <?php 
	$curdate= date('d-M-Y');
  $paged = get_query_var('paged') ? get_query_var('paged') : 1;
  $args = array( 'post_type' => 'event', 'posts_per_page' => get_option('posts_per_page'), 'paged' => $paged );
	$query = new WP_Query( $args );
	while ( $query->have_posts() ) : $query->the_post();
	$date_2 = get_post_meta( $post->ID, 'MyDate2', true );
	if(strtotime($curdate) <= strtotime($date_2)) :
  ?>

  <div class="col-md-6">
    <div class="row">


    <div class="col-md-2"><!-- event date -->
      <div class="date-box-red">
        <div class="box-white">
        <?php
         $date_2 = get_post_meta( $post->ID, 'MyDate2', true );
         $k = explode(" ",$date_2 );
         echo '<h3>'.substr($k[2], 0, 2).'</h3>'.substr($k[1], 0, 3);
        ?>
        </div>
      </div>
    </div>


    <!-- /.event date -->
    <div class="col-md-10 event-content"><!--  event content -->
      <div class="row">

        <div class="col-md-12 events-pic "><!-- event pic -->
          <div class="">
            <a href="<?php the_permalink(); ?>">
            <?php 
                if ( has_post_thumbnail() ) : the_post_thumbnail('full', array('class' => 'img-responsive' )); 
                endif;
            ?>
            </a>
          </div>
        </div>
        <!-- event pic -->


    <div class="col-md-12">
      <div class="events-description">
      <!-- event descriptions -->
        <h1><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h1>
        <div class="event-detail"><!-- event details -->
          <div class="event-time"><i class="fa fa-clock-o"></i>
          <?php
            $start_time = get_post_meta( $post->ID, 'start_time', true );
            $end_time = get_post_meta( $post->ID, 'end_time', true );   
            
            if($date_2)     : echo esc_html($date_2).', ';
            endif;
            if($start_time) : echo esc_html($start_time).' - ';
            endif;
            if($end_time)   : echo esc_html($end_time);
            endif;
          ?>
          </div>
          <div class="event-location"><i class="fa fa-map-marker"></i>
          <?php
              $event_place = get_post_meta( $post->ID, 'event_place', true );                   
              if($event_place):  echo esc_html($event_place);
              endif;
          ?>
          </div>
        </div>
        <!-- event details --> 
        <a href="<?php the_permalink(); ?>" class="btn outline-btn outline-btn-red"> Details<i class="fa fa-angle-right"></i></a> 
       </div>
      <!-- event descriptions -->       
    </div>        

      </div>
    </div>
    <!--  event content -->




  </div>
</div>


	<?php 
    endif;
    endwhile; 	
    praise_church_pagination($query->max_num_pages,"",$paged);	
    wp_reset_postdata();
    ?>
  </div>
  <!-- row -->
</div>
<!-- container -->
</div>
<!-- event -->
<?php get_footer(); ?>