<?php
/**
 * Template Name: Masonry-Three-Column
 *  
 * @package Church
 */

get_header(); 
get_template_part('page_banner'); 
query_posts('post_type=post&post_status=publish&posts_per_page='.get_option('posts_per_page').'&paged='. get_query_var('paged')); 
?>

<div class="blog-content" id="blog-content">
<!-- blog-content -->
<div class="container">
<!-- container -->
    
    <?php if ( have_posts() ) : ?>        
    <div id="isotope" class="grid row target_class">
    <!-- #isotop -->
    <?php /* Start the Loop */ ?>
    <?php while ( have_posts() ) : the_post(); ?>
    <?php 
				/*
				 * Include the Post-Format-specific template for the content.
				 * If you want to override this in a child theme, then include a file
				 * called content-___.php (where ___ is the Post Format name) and that will be used instead.
				 */
				echo '<div class="grid-item col-md-4 blog-post">';
				get_template_part( 'template-parts/content-grid', get_post_format() );
				echo '</div>';

	?>
    <?php endwhile; ?>    
    </div>
    <!-- #isotop -->              
    <?php church_pagination(); ?>
    <?php else : ?>
    <?php get_template_part( 'template-parts/content', 'none' ); ?>
    <?php endif; ?>
    
</div>
<!-- container -->
</div>
<!-- blog-content -->

<?php get_footer(); ?>