<?php
/**
 * Template Name: Pastor Template
 *
 * @package Church
 */
global $wp_query;
get_header(); 
get_template_part('page_banner'); 
$i = 1; $j = 1; $k = 1; $l = 1;  ?>

<div class="pastor" id="pastor">
<!-- main-div-pastor -->
  
	<?php 		
  if(church_get_option('pastor_show_hide') != '') :
    $args = array( 'post_type' => 'pastor', 'posts_per_page' => -1, 'post_status'=> 'publish', );
    $query = new WP_Query( $args );
    while ( $query->have_posts() ) : $query->the_post();
		$pastor_choice = get_post_meta( $post->ID, 'pastor_choice', true );
		if( $i == 1 ){
			echo '<div class="container lead-pastor"><div class="row">';
			echo '<div class="col-md-12 pastor-heading">';
      if( church_get_option('pastor_name_change') != '' ){
          echo "<h1>".church_get_option('pastor_name_change')."</h1>";
      }
      echo '</div></div><div class="row">';
			$i++;
		}
		if( 'Pastor' == $pastor_choice ){ 
		?>
        <div class="col-md-4 pastor-block">
        <div class="row">
            <div class="col-md-6">
                <div class="thumbnail">
                    <a href="<?php the_permalink(); ?>">
					         <?php 
                        if ( has_post_thumbnail() ) : the_post_thumbnail('church-pastor');
                        endif;
                    ?>
                    </a>
                </div>
            </div>
            <div class="col-md-6">
                <div class="pastor-detail">
                    <h3><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
                    <?php                        
                      $pastor_qulification = get_post_meta( $post->ID, 'pastor_qulification', true );
                      if($pastor_qulification != ''):
                         echo '<small>'.esc_html($pastor_qulification).'</small>';
                      endif;
                    ?>
                </div>
            </div>
        </div>
        </div>
        <?php	
		} // pastor
		endwhile; 
		echo '</div></div>';
		?>
        <div class="divider-shape">
          <div class="container">
            <div class="row">
              <div class="col-md-12">
                 <?php church_divider(); ?>
               </div>
            </div>
          </div>
        </div>
		<?php wp_reset_postdata(); 
    endif;  // if theme options show/hide option  ?>
   
    <?php 	
    if(church_get_option('administrative_show_hide') != '') :	
    $args = array( 'post_type' => 'pastor', 'posts_per_page' => -1, 'post_status'=> 'publish', );
    $query = new WP_Query( $args );
    while ( $query->have_posts() ) : $query->the_post();
    $pastor_choice = get_post_meta( $post->ID, 'pastor_choice', true );
		if( $j == 1 ){
			echo '<div class="container lead-pastor">';			
			echo '<div class="row"><div class="col-md-12 pastor-heading">';
      if( church_get_option('administrative_name_change') != '' ){
          echo "<h1>".church_get_option('administrative_name_change')."</h1>";
      }
      echo '</div></div><div class="row">';
			$j++;
		}
		if( 'Administrative' == $pastor_choice ){ 
		?>             
        <div class="col-md-4 pastor-block">
        <div class="row">
            <div class="col-md-6">
                <div class="thumbnail">
                <a href="<?php the_permalink(); ?>">
                <?php 
                if ( has_post_thumbnail() ) : the_post_thumbnail('church-pastor');
                endif;
                ?>					            
                </a>
                </div>
            </div>
            <div class="col-md-6">
                <div class="pastor-detail">
                    <h3><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
                    <?php                        
                      $pastor_qulification = get_post_meta( $post->ID, 'pastor_qulification', true );
                      if($pastor_qulification != ''):
                      echo '<small>'.esc_html($pastor_qulification).'</small>';
                      endif;
                    ?>
                </div>
            </div>
        </div>
        </div>
        <?php	
		} // pastor
		endwhile; 
		echo '</div></div>';
		?>
        <div class="divider-shape">
          <div class="container">
            <div class="row">
              <div class="col-md-12">
                 <?php church_divider(); ?>
               </div>
            </div>
          </div>
        </div>
		<?php wp_reset_postdata(); 
    endif; // administdration is show/hide via theme options.  ?>
   
        
    <?php 
    if(church_get_option('music_show_hide') != '') : 		
    $args = array( 'post_type' => 'pastor', 'posts_per_page' => -1, 'post_status'=> 'publish', );
    $query = new WP_Query( $args );
    while ( $query->have_posts() ) : $query->the_post();
    $pastor_choice = get_post_meta( $post->ID, 'pastor_choice', true );
		if( $k == 1 ){
			echo '<div class="container lead-pastor">';			
			echo '<div class="row"><div class="col-md-12 pastor-heading">';
      if( church_get_option('music_name_change') != '' ){
          echo "<h1>".church_get_option('music_name_change')."</h1>";
      }
      echo '</div></div><div class="row">';
			$k++;
		}
		if( 'Music' == $pastor_choice ){ 
		?>             
        <div class="col-md-4 pastor-block">
        <div class="row">
            <div class="col-md-6">
                <div class="thumbnail">
                <a href="<?php the_permalink(); ?>">
				<?php 
					if ( has_post_thumbnail() ) : the_post_thumbnail('church-pastor');
					endif;
                ?>           
                </a>
                </div>
            </div>
            <div class="col-md-6">
                <div class="pastor-detail">
                    <h3><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
                    <?php                        
                    $pastor_qulification = get_post_meta( $post->ID, 'pastor_qulification', true );
                    if($pastor_qulification != '') :
                       echo '<small>'.esc_html($pastor_qulification).'</small>';
                    endif;
                    ?>
                </div>
            </div>
        </div>
        </div>
        <?php	
		} // pastor
		endwhile; 
		echo '</div></div>';
		?>
        <div class="divider-shape">
          <div class="container">
            <div class="row">
              <div class="col-md-12">
                 <?php church_divider(); ?>
               </div>
            </div>
          </div>
        </div>
		<?php wp_reset_postdata(); 
    endif;  //  music show/hide via theme options ?>
        

    <?php
    if(church_get_option('adults_show_hide') != '') :  
    $args = array( 'post_type' => 'pastor', 'posts_per_page' => -1, 'post_status'=> 'publish', );
    $query = new WP_Query( $args );
    while ( $query->have_posts() ) : $query->the_post();
    $pastor_choice = get_post_meta( $post->ID, 'pastor_choice', true );
		if( $l == 1 ){
			echo '<div class="container lead-pastor">';
			echo '<div class="row"><div class="col-md-12 pastor-heading">';
      if( church_get_option('adults_name_change') != '' ){
          echo "<h1>".church_get_option('adults_name_change')."</h1>";
      }
      echo '</div></div><div class="row">';
			$l++;
		}
		if( 'Adults' == $pastor_choice ){ 
		?>             
        <div class="col-md-4 pastor-block">
        <div class="row">
            <div class="col-md-6">
                <div class="thumbnail">
                <a href="<?php the_permalink(); ?>">
                <?php 
                  if ( has_post_thumbnail() ) : the_post_thumbnail('church-pastor');
                  endif;
                ?>		            
                </a>
                </div>
            </div>
            <div class="col-md-6">
                <div class="pastor-detail">
                    <h3><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
                    <?php                        
                    $pastor_qulification = get_post_meta( $post->ID, 'pastor_qulification', true );
                    if($pastor_qulification != ''):
                       echo '<small>'.esc_html($pastor_qulification).'</small>';
                    endif;
                    ?>
                </div>
            </div>
        </div>
        </div>
        <?php	
		} // pastor
		endwhile; 
		echo '</div></div>';
		?>        
		<?php wp_reset_postdata(); 
    endif;  // adult hide/show via theme options. ?>


</div>
<!-- /main-div-pastor  -->        
<?php get_footer(); ?>