<?php
/**
 *  Template Name: Thank You
 *
 * @package Funeral
 */
get_header(); 
get_template_part('page_banner'); 
get_template_part('inc/start','sidebar');


//Store transaction information from PayPal
$item_number = $_GET['item_number']; 
$transaction_id = $_GET['tx'];
$amount = $_GET['amt'];
$currency_code = $_GET['cc'];
$payment_status = $_GET['st'];

  if( isset( $transaction_id ) && !empty( $transaction_id )  && isset( $item_number ) && !empty( $item_number ) ){

    $payment_status = get_option("paypal_payment_type");
    $firstname = get_option( 'paypal_firstname' );
    $lastname  = get_option( 'paypal_last_name' );
    $email_id = get_option( 'paypal_email_id' );
    $payment_type = get_option("paypal_payment_type");

      $donation_options[$transaction_id] = array(
          'tran_id' => $transaction_id, 
          'payment_type' => get_option("paypal_payment_type"),
          'firstname' => get_option( 'paypal_firstname' ),
          'lastname' => get_option( 'paypal_last_name' ),
          'email' => get_option( 'paypal_email_id' ),
          'donate_iten' => 'Funeral Donation',
          'donate_iten_no' => $item_number,
          'donate_amount' => $amount,
          'time_stamp' => date('d-m-Y H:i:s') 
      );

      $update_donate_transaction = "Yes"; 
      $get_all_transaction = get_option('all_donate_transaction');  

        if($get_all_transaction==""){

            $get_all_transaction=array();
        }             
        
        if(isset($get_all_transaction) && count($get_all_transaction)!=0){

            $marge = array_merge($get_all_transaction,$donation_options);                            

            foreach ($get_all_transaction as $key => $value){

                if($transaction_id==$key){

                    $update_donate_transaction = "No";
                }                                   
            }
        }

        if($update_donate_transaction == "Yes"){

          $check_sandbox = church_get_option('enable_sandbox');

          if(isset($check_sandbox) && $check_sandbox=='enablesandbox'){

            echo '<strong><p style="color:#f00;">'.church_get_option('donate_sandbox_msg').'</p></strong>';

          } else {

              if(isset($get_all_transaction) && count($get_all_transaction)!=0) {

                update_option('all_donate_transaction', $marge);
              }else {
            
                add_option( 'all_donate_transaction', $donation_options );
                update_option('all_donate_transaction', $donation_options );
              }               
          }

            print '<div clas="row"><div class="col-md-12 mb20">';
            print '<h1>'.church_get_option('donate_succ_title').'</h1><br/>';
            print '</div><div class="col-md-6">';
      
            echo '<ul class="list-group">';
      
            echo '<li class="list-group-item"><span>Transaction ID : </span>'.$transaction_id.' </li>';
            echo '<li class="list-group-item"><span>Payer ID : </span>'.$item_number.' </li>';
            echo '<li class="list-group-item"><span>Payment Type : </span>'.get_option("paypal_payment_type").'</li>';
            echo '<li class="list-group-item"><span>First Name : </span>'.get_option( 'paypal_firstname' ).'</li>';
            echo '<li class="list-group-item"><span>Last Name : </span>'.get_option( 'paypal_last_name' ).'</li>';
            echo '<li class="list-group-item"><span>Email : </span>'.get_option( 'paypal_email_id' ).'</li>';

            echo '</ul>';
            echo '<a href="'.esc_url( home_url( '/' ) ).'" class="btn outline-btn outline-btn-red">Back To Homepage</a>';

            print '</div></div>';

        } else{
            echo '<p>Your Transaction ID: '.$transaction_id.' </p>';                
            echo '<h3>We have got donation with this tranasction id or you tried to refresh page or call back URL.</h3>';
            print '<hr/><a href="'.esc_url( home_url( '/' ) ).'" class="btn outline-btn outline-btn-red">Back To Homepage</a>';
        }


  }else { print "<h3 style='color:red'>".church_get_option('donate_fail_msg')."</h3>"; }

  get_template_part('inc/end','sidebar');
  get_footer(); 
?>