<?php
/**
 * The Template for displaying all single pastor posts.
 *
 * @package Church
 */

get_header(); 
get_template_part('page_banner'); ?>

<div class="pastor-single" id="pastor-single">
<!-- pastor-single -->
<div class="container">
<!-- container -->

	  <div class="row">
      <!-- row -->
      
      <?php if ( have_posts() ) : ?>
      <?php /* Start the Loop */ ?>
      <?php while ( have_posts() ) : the_post(); ?>

      <div class="col-md-3">
      	<div class="thumbnail">
		<?php 
       	if ( has_post_thumbnail() ) : the_post_thumbnail('full', array('class'=>'img-responsive'));
        endif;
        ?>
        </div>
      </div>

      <div class="col-md-9 pastor-descriptions">
          <div class="pastor-title">
			<?php                        
            $pastor_qulification = get_post_meta( $post->ID, 'pastor_qulification', true );
			$pastor_choice = get_post_meta( $post->ID, 'pastor_choice', true );
			the_title('<h1>','</h1>');
            if($pastor_qulification) :
                echo esc_html($pastor_qulification).'&nbsp;&nbsp;<small>('.$pastor_choice.')</small>';
            endif;
             ?>
          </div>

          <div class="pastor-contact">
          <?php	              			  
			 // Emain 
			 $pastor_email = get_post_meta( $post->ID, 'pastor_email', true );
			 if($pastor_qulification) :
				 echo '<h3><i class="fa fa-envelope"></i>'.esc_html($pastor_email).'</h3>';
			 endif;
			 
			 // Contact Number
			 $pastor_contact = get_post_meta( $post->ID, 'pastor_contact', true );
			 if($pastor_contact) :
				 echo '<h3><i class="fa fa-phone-square"></i>'.esc_html($pastor_contact).'</h3>';
			 endif;
		  ?>              	
          </div>

          <div class="pastor-content">
			 <?php the_content(); ?>
          </div>
          
      </div>

      <?php endwhile; ?>
      <?php else : ?>
      <?php get_template_part( 'template-parts/content', 'none' ); ?>
      <?php endif; ?>
      
      </div>
      <!-- row -->
      
</div>
<!-- container -->
</div>
<!-- pastor-single -->

<?php get_footer(); ?>