<?php
/**
 *   Shortcode[ Accordion ]
 *   ======================
 */
?>
<div role="tabpanel" class="tab-pane" id="ACCORDION_ID">
  <div class="col-md-12">
    <div class="row">
      <ul class="nav nav-tabs" role="tablist">
        <li role="presentation" class="active"><a href="#ACC_PREVIEW" aria-controls="ACC_PREVIEW" 
		role="tab" data-toggle="tab">Preview</a></li>
        <li role="presentation"><a href="#ACC_CODE" aria-controls="profile" role="tab" 
		data-toggle="tab">Code</a></li>
      </ul>
      <div class="col-md-12">
        <div class="tab-content">
          <div role="tabpanel" class="tab-pane active" id="ACC_PREVIEW">
            <div class="" id="ACC_PREVIEW">
              <div class="panel-group" id="accordion">
                <div class="panel panel-default">
                  <div class="panel-heading">
                    <h4 class="panel-title"> 
                    <span class="remove dashicons dashicons-no" style="float:right;"></span> 
                    <a data-toggle="collapse" id="title_acc_1" data-parent="#accordion" href="#yourtitle1" 
					class="collapsed panel_title" aria-expanded="false"> Your title #1 </a> </h4>
                  </div>
                  <div id="yourtitle1" class="panel-collapse collapse" aria-expanded="false" style="height: 0px;">
                    <div class="panel-body">
                      <input id="acc_1" style="width:100%;" class="panel_input" onKeyPress="__TITLE_ACC_FIRST(this.id)" 
						onKeyUp="__TITLE_ACC_FIRST(this.id)" value="Your title here #1">
                      <textarea style="width:100%;height:100px;" id="desc_acc_1" class="panel_textarea " onKeyPress="DESCRIPTION(this.id)" 
						onKeyUp="DESCRIPTION(this.id)">Your Description here #1</textarea>
                    </div>
                  </div>
                </div>
                <div class="panel panel-default">
                  <div class="panel-heading">
                    <h4 class="panel-title"> 
                    <span class="remove dashicons dashicons-no" style="float:right;"></span> 
                    <a data-toggle="collapse" id="title_acc_2" data-parent="#accordion" href="#yourtitle2" 
					class="collapsed panel_title" aria-expanded="false"> Your title #2 </a> </h4>
                  </div>
                  <div id="yourtitle2" class="panel-collapse collapse" aria-expanded="false" style="height: 0px;">
                    <div class="panel-body">
                      <input id="acc_2" style="width:100%;" class="panel_input" onKeyPress="__TITLE(this.id)" 
						onKeyUp="__TITLE(this.id)" value="Your title here #2">
                      <textarea style="width:100%;height:100px;" id="desc_acc_2" class="panel_textarea" onKeyPress="DESCRIPTION(this.id)" 
						onKeyUp="DESCRIPTION(this.id)">Your Description here #2</textarea>
                    </div>
                  </div>
                </div>
                <div class="panel panel-default">
                  <div class="panel-heading">
                    <h4 class="panel-title"> 
                    <span class="remove dashicons dashicons-no" style="float:right;"></span> 
                    <a data-toggle="collapse" id="title_acc_3" data-parent="#accordion" href="#yourtitle3" 
					class="collapsed panel_title" aria-expanded="false"> Your title #3 </a> </h4>
                  </div>
                  <div id="yourtitle3" class="panel-collapse collapse" aria-expanded="false" style="height: 0px;">
                    <div class="panel-body">
                      <input id="acc_3" style="width:100%;" class="panel_input" onKeyPress="__TITLE(this.id)" 
						onKeyUp="__TITLE(this.id)" value="Your title here #3">
                      <textarea style="width:100%;height:100px;" id="desc_acc_3" class="panel_textarea " onKeyPress="DESCRIPTION(this.id)" 
						onKeyUp="DESCRIPTION(this.id)">Your Description here #3</textarea>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <div role="tabpanel" class="tab-pane" id="ACC_CODE">
            <pre><code>  
[accordion]<span id="acc_code_1">
<span id="title_code_acc_1">[section title=&quot; Your title #1&quot; class=&quot;active&quot;]</span>
  <span id="code_desc_acc_1">Your Description here #1</span>
[/section]</span><span id="acc_code_2">
<span id="title_code_acc_2">[section title=&quot; Your title #2&quot;]</span>
  <span id="code_desc_acc_2">Your Description here #2</span>
[/section]</span><span id="acc_code_3">
<span id="title_code_acc_3">[section title=&quot; Your title #3&quot;]</span>
  <span id="code_desc_acc_3">Your Description here #3</span>
[/section]</span>
<span id="acc_here"></span>
[/accordion]</code></pre>
          </div>
        </div>
        <p>
          <button class="button button-primary accordion_insert_code">Insert Code</button>
          <button class="add_accordion button button-primary"> Add New Accordion</button>
        </p>
      </div>
    </div>
  </div>
</div>