<?php
/**
 *   Shortcode[ Iconbox ]
 *   ==================
 */
?>
<div role="tabpanel" class="tab-pane" id="ICONBOX_ID">
  <div class="row">
    <div class="col-md-12">
      <h2>IconBox</h2>
      <ul class="nav nav-tabs" role="tablist">
        <li role="presentation" class="active">
        <a href="#icon_box_preview" aria-controls="icon_box_preview" role="tab" data-toggle="tab">Section</a>
        </li>
        <li role="presentation">
        <a href="#icon_box_layout" aria-controls="icon_box_layout" role="tab" data-toggle="tab">Layout</a>
        </li>
      </ul>
      <div class="tab-content">
        <div role="tabpanel" class="tab-pane active" id="icon_box_preview">
          <div class="mt30"></div>
          <div class="row">
            <div class="col-md-6 mt30">
              <div class="icon_title">Icon Selection</div>
            </div>
            <div class="col-md-6 mt30 iconbox_input_div">
              <select name="icon_select" class="right-icon-box" id="icon_select">
              <?php echo $option_icon_list; ?>
              </select>
            </div>
          </div>
          <div class="row">
            <div class="col-md-6 mt30">
              <div class="icon_title">Title</div>
            </div>
            <div class="col-md-6 mt30 iconbox_input_div">
              <input type="text" name="icon_title" id="icon_title" class="right-icon-box">
            </div>
          </div>
          <div class="row">
            <div class="col-md-6 mt30">
              <div class="icon_title">Description</div>
            </div>
            <div class="col-md-6 mt30 iconbox_input_div">
              <textarea name="icon_desc" rows="5" id="icon_desc" class="right-icon-box"></textarea>
            </div>
          </div>
          <div class="row">
            <div class="col-md-12 mt30 iconbox_code_insert" id="iconbox_code_insert">
              <pre><code>[iconbox icon="" title="" layout=""][/iconbox]</code></pre>
              <button class="button button-primary fn_iconbox_insert_code" onmouseup="ICONBOX_INSERT_CODE();">Insert Code</button>
            </div>
          </div>
        </div>
        <div role="tabpanel" class="tab-pane" id="icon_box_layout">
          <div class="row">
            <div class="col-md-2"> <span class="call-icon-box"><img id="icon-box-main" src="<?php echo CHURCH_SHORTCODE_PLUGIN_URL.'/icon/st-icon.jpg'; ?>"></span></div>
            <div class="col-md-2"> <span class="call-icon-box"><img id="icon-box-top"  src="<?php echo CHURCH_SHORTCODE_PLUGIN_URL.'/icon/st-icon-center.jpg'; ?>"></span></div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
<!-- ICON_BOX_END -->
