<?php
/**
 *   Shortcode[ Posts ]
 *   ======================
 */
?>
<div role="tabpanel" class="tab-pane" id="POSTS">
  <div class="col-md-12">
    <div class="row">
      <ul class="nav nav-tabs" role="tablist">
        <li role="presentation" class="active"><a href="#BLOG_PREVIEW" aria-controls="BLOG_PREVIEW" 
		role="tab" data-toggle="tab">Blog</a></li>
        <li role="presentation" ><a href="#SERMON_PREVIEW" aria-controls="SERMON_PREVIEW" 
		role="tab" data-toggle="tab">Sermon</a></li>
        <li role="presentation" ><a href="#MINISTRY_PREVIEW" aria-controls="MINISTRY_PREVIEW" 
		role="tab" data-toggle="tab">Ministry</a></li>
        <li role="presentation" ><a href="#EVENT_PREVIEW" aria-controls="EVENT_PREVIEW" 
		role="tab" data-toggle="tab">Event</a></li>
      </ul>
      <div class="col-md-12">
        <div class="tab-content">
        
          <div role="tabpanel" class="tab-pane active" id="BLOG_PREVIEW">
          <div class="row">
            <div class="col-md-6 mt30">
              <div class="icon_title">Chooce Layout</div>
            </div>
            <div class="col-md-6 mt30 church_blog_input">
              <select name="post_select" class="blog_layout" style="width:100%">
					<option value="std-blog-sidebar">Standard Blog W/ Sidebar</option>
                    <option value="std-blog-fullwidth">Standard Blog No Sidebar</option>
					<option value="masonry-blog-two-column">Masonry Blog Two Column No Sidebar</option>
                    <option value="masonry-blog-three-column">Masonry Blog Three Column No Sidebar</option>
              </select>
            </div>
          </div>
          <div class="row">
            <div class="col-md-6 mt30">
              <div class="icon_title">Enable Pagination:</div>
            </div>
            <div class="col-md-6 mt30 church_blog_input">
            	<input type="checkbox" name="blog_pagination" class="blog_pagination"/>
            </div>
          </div>
          <div class="row mb30">
            <div class="col-md-6 mt30">
              <div class="icon_title">Post Per Page:</div>
            </div>
            <div class="col-md-6 mt30 church_blog_input">
            	<input type="text" style="width:100%" name="blog_post_per_page" class="blog_post_per_page" />
            </div>			            
          </div>
 
 		  <div class="row">
		  <div class="col-md-12" id="blog_post_code">
			<pre><code>[church_blog pagination="" post_per_page="" layout="" ][/church_blog]</code></pre>
            <button class="button button-primary blog_post_html_insert" onClick="BLOG_CHURCH_POSTS();">Insert Example</button>
          </div>          
          </div>
          </div><!-- end -->
          
          <div role="tabpanel" class="tab-pane" id="SERMON_PREVIEW">
          <div class="row">
            <div class="col-md-6 mt30">
              <div class="icon_title">Chooce Layout</div>
            </div>
            <div class="col-md-6 mt30 church_sermon_input">
              <select name="post_select" class="sermon_layout" style="width:100%">
					<option value="std-blog-sidebar">Standard Blog W/ Sidebar</option>
                    <option value="std-blog-fullwidth">Standard Blog No Sidebar</option>
					<option value="masonry-blog-two-column">Masonry Blog Two Column No Sidebar</option>
                    <option value="masonry-blog-three-column">Masonry Blog Three Column No Sidebar</option>
              </select>
            </div>
          </div>
          <div class="row">
            <div class="col-md-6 mt30">
              <div class="icon_title">Enable Pagination:</div>
            </div>
            <div class="col-md-6 mt30 church_sermon_input">
            	<input type="checkbox" name="sermon_pagination" class="sermon_pagination"/>
            </div>
          </div>
          <div class="row mb30">
            <div class="col-md-6 mt30">
              <div class="icon_title">Post Per Page:</div>
            </div>
            <div class="col-md-6 mt30 church_sermon_input">
            	<input type="text" style="width:100%" name="sermon_post_per_page" class="sermon_post_per_page" />
            </div>			            
          </div>
 
 		  <div class="row">
		  <div class="col-md-12" id="sermon_post_code">
			<pre><code>[church_sermon pagination="" post_per_page="" layout="" ][/church_sermon]</code></pre>
            <button class="button button-primary sermon_post_html_insert" onClick="SERMON_CHURCH_POSTS();">Insert Example</button>
          </div>          
          </div>
          </div>
          
          <div role="tabpanel" class="tab-pane" id="MINISTRY_PREVIEW">
          <div class="row">
            <div class="col-md-6 mt30">
              <div class="icon_title">Chooce Layout</div>
            </div>
            <div class="col-md-6 mt30 church_sermon_input">
              <select name="post_select" class="ministry_layout" style="width:100%">
					<option value="std-blog-sidebar">Standard Blog W/ Sidebar</option>
                    <option value="std-blog-fullwidth">Standard Blog No Sidebar</option>
					<option value="masonry-blog-two-column">Masonry Blog Two Column No Sidebar</option>
                    <option value="masonry-blog-three-column">Masonry Blog Three Column No Sidebar</option>
              </select>
            </div>
          </div>
          <div class="row">
            <div class="col-md-6 mt30">
              <div class="icon_title">Enable Pagination:</div>
            </div>
            <div class="col-md-6 mt30 church_ministry_input">
            	<input type="checkbox" name="ministry_pagination" class="ministry_pagination"/>
            </div>
          </div>
          <div class="row mb30">
            <div class="col-md-6 mt30">
              <div class="icon_title">Post Per Page:</div>
            </div>
            <div class="col-md-6 mt30 church_ministry_input">
            	<input type="text" style="width:100%" name="ministry_post_per_page" class="ministry_post_per_page" />
            </div>			            
          </div>
 
 		  <div class="row">
		  <div class="col-md-12" id="ministry_post_code">
			<pre><code>[church_ministry pagination="" post_per_page="" layout="" ][/church_ministry]</code></pre>
            <button class="button button-primary ministry_post_html_insert" onClick="MINISTRY_CHURCH_POSTS();">Insert Example</button>
          </div>          
          </div>
          </div>
          
          <div role="tabpanel" class="tab-pane" id="EVENT_PREVIEW">
          <div class="row">
            <div class="col-md-6 mt30">
              <div class="icon_title">Chooce Layout</div>
            </div>
            <div class="col-md-6 mt30 church_sermon_input">
              <select name="post_select" class="event_layout" style="width:100%">
					<option value="std-blog-sidebar">Standard Blog W/ Sidebar</option>
                    <option value="std-blog-fullwidth">Standard Blog No Sidebar</option>
					<option value="masonry-blog-two-column">Masonry Blog Two Column No Sidebar</option>
                    <option value="masonry-blog-three-column">Masonry Blog Three Column No Sidebar</option>
              </select>
            </div>
          </div>
          <div class="row">
            <div class="col-md-6 mt30">
              <div class="icon_title">Enable Pagination:</div>
            </div>
            <div class="col-md-6 mt30 church_event_input">
            	<input type="checkbox" name="event_pagination" class="event_pagination"/>
            </div>
          </div>
          <div class="row mb30">
            <div class="col-md-6 mt30">
              <div class="icon_title">Post Per Page:</div>
            </div>
            <div class="col-md-6 mt30 church_event_input">
            	<input type="text" style="width:100%" name="event_post_per_page" class="event_post_per_page" />
            </div>			            
          </div>
 
 		  <div class="row">
		  <div class="col-md-12" id="event_post_code">
			<pre><code>[church_blog pagination="" post_per_page="" layout="" ][/church_blog]</code></pre>
            <button class="button button-primary event_post_html_insert" onClick="EVENT_CHURCH_POSTS();">Insert Example</button>
          </div>          
          </div>
          </div>
          
        </div>
      </div>
    </div>
  </div>
</div>