<?php
/**
 *   Shortcode[ Alert ]
 *   ==================
 */
?>
<div role="tabpanel" class="tab-pane" id="SINGLE_POPUP">
  <div class="row">
    <div class="col-md-12">
      <h2>Light-box Popup</h2>
      <ul class="nav nav-tabs" role="tablist">
        <li role="presentation" class="active"> <a href="#popup_img" aria-controls="popup_img" role="tab" data-toggle="tab">Image Popup</a></li>
        <li role="presentation"> <a href="#popup_video" aria-controls="popup_video" role="tab" data-toggle="tab">Video Popup</a> </li>
        <li role="presentation"> <a href="#popup_audio" aria-controls="popup_audio" role="tab" data-toggle="tab">Audio Popup</a> </li>
        <li role="presentation"> <a href="#popup_map" aria-controls="popup_map" role="tab" data-toggle="tab">Google map Popup</a> </li>                
      </ul>      

      <div class="tab-content">      
        <div role="tabpanel" class="tab-pane active" id="popup_img">            
              <div class="row">
                <div class="col-md-4 mt30">Title</div>
                <div class="col-md-8 mt30 img_popup_title_div">        
                <input type="text" class="img_popup_title" id="img_popup_title"name="img_popup_title" style="width:100%" />
                </div>
                <div class="col-md-4 mt30">Image Alt Text</div>
                <div class="col-md-8 mt30 img_popup_url_div">        
                <input type="text" class="img_popup_alt" id="img_popup_alt"  name="img_popup_alt" style="width:100%" />
                </div>
                <div class="col-md-4 mt30">Image URL</div>
                <div class="col-md-8 mt30 img_popup_url_div">        
                <input type="text" class="img_popup_url" id="img_popup_url" name="img_popup_url" style="width:100%" />
                </div>
                <div class="col-md-12 img_popup_html" id="img_popup_html">
                <pre><code>[church_image_popup title="" url=""][/church_image_popup]</code></pre>
                <button class="button button-primary fn_church_img_popup" onmouseup="IMAGE_POPUP();">Insert Code</button>
                </div>               
              </div>
        </div>
        
        <div role="tabpanel" class="tab-pane" id="popup_video">
              <div class="row">
                <div class="col-md-4 mt30">Title</div>
                <div class="col-md-8 mt30 video_popup_title_div">        
                <input type="text" class="video_popup_title" id="video_popup_title" placeholder="Title" name="video_popup_title" style="width:100%" />
                </div>              
                <div class="col-md-4 mt30">Video URL</div>
                <div class="col-md-8 mt30 video_popup_url_div">        
                <input type="text" class="video_popup_url" id="video_popup_url" placeholder="video url" name="video_popup_url" style="width:100%" />
                </div>
                <div class="col-md-12 video_popup_html" id="video_popup_html">
                <pre><code>[church_video_popup title="" url=""][/church_video_popup]</code></pre>
                <button class="button button-primary fn_church_video_popup" onmouseup="VIDEO_POPUP();">Insert Code</button>
                </div>        
              </div>
		</div>
        
        <div role="tabpanel" class="tab-pane" id="popup_audio">
              <div class="row">
                <div class="col-md-4 mt30">Title</div>
                <div class="col-md-8 mt30 audio_popup_title_div">        
                <input type="text" class="audio_popup_title" id="audio_popup_title" placeholder="Title" name="audio_popup_title" style="width:100%" />
                </div>
                <div class="col-md-4 mt30">Audio URL</div>
                <div class="col-md-8 mt30 audio_popup_url_div">        
                <input type="text" class="audio_popup_url" id="audio_popup_url" placeholder="audio url" name="audio_popup_url" style="width:100%" />
                </div>
                <div class="col-md-12 audio_popup_html" id="audio_popup_html">
                <pre><code>[church_audio_popup title="" url=""][/church_audio_popup]</code></pre>
                <button class="button button-primary fn_church_audio_popup" onmouseup="AUDIO_POPUP();">Insert Code</button>
                </div>        
              </div>
		</div>        
        
        <div role="tabpanel" class="tab-pane" id="popup_map">            
              <div class="row">
                <div class="col-md-4 mt30">Title</div>
                <div class="col-md-8 mt30 map_popup_title_div">        
                <input type="text" class="map_popup_title" id="map_popup_title" placeholder="Title" name="map_popup_title" style="width:100%" />
                </div>              
                <div class="col-md-4 mt30">Google Map URL</div>
                <div class="col-md-8 mt30 map_popup_url_div">        
                <input type="text" class="map_popup_url" id="map_popup_url" placeholder="google map url" name="map_popup_url" style="width:100%" />
                </div>
                <div class="col-md-12 map_popup_html" id="map_popup_html">
                <pre><code>[church_map_popup title="" url=""][/church_map_popup]</code></pre>
                <button class="button button-primary fn_church_map_popup" onmouseup="MAP_POPUP();">Insert Code</button>
                </div>        
              </div>
		</div>
        
     </div><!-- tab-content -->
              
    </div>
  </div>
</div>