<?php
/**
 *   Shortcode[ Tabs ]
 *   =================
 */
?>
<div role="tabpanel" class="tab-pane" id="TAB_ID">
  <div class="col-md-12">
    <div class="row">
      <ul class="nav nav-tabs" role="tablist">
        <li role="presentation" class="active"><a href="#TAB_PREVIEW" aria-controls="TAB_PREVIEW" 
	    role="tab" data-toggle="tab">Preview</a></li>
        <li role="presentation"><a href="#TAB_CODE" aria-controls="TAB_CODE" role="tab" 
    	data-toggle="tab">Code</a></li>
      </ul>
      <div class="col-md-12">
        <div class="tab-content">
          <div role="tabpanel" class="tab-pane active" id="TAB_PREVIEW">
            <!-- Nav tabs -->
            <ul class="nav nav-tabs" role="tablist" id="tab_title">
              <li role="presentation" class="active"> 
              <a href="#tab1" id="title_tabs_1" aria-controls="tab1" role="tab" data-toggle="tab" aria-expanded="true">TAB #1</a> 
              <span class="tab_remove dashicons dashicons-no" style="float:left;"></span> </li>
              <li role="presentation"> 
              <a href="#tab2" aria-controls="tab2" id="title_tabs_2" role="tab" data-toggle="tab" aria-expanded="false">TAB #2</a> 
              <span class="tab_remove dashicons dashicons-no" style="float:left;"></span> </li>
              <li role="presentation"> 
              <a href="#tab3" aria-controls="tab3" id="title_tabs_3" role="tab" data-toggle="tab" aria-expanded="false">TAB #3</a> 
              <span class="tab_remove dashicons dashicons-no" style="float:left;"></span> </li>
            </ul>
            <!-- Tab panes -->
            <div class="tab-content" id="tab_desc">
              <div role="tabpanel" class="tab-pane active" id="tab1">
                <input id="tabs_1" class="" style="width:100%;" onKeyPress="_TABS_TITLE_FIRT(this.id)" 
					onKeyUp="_TABS_TITLE_FIRT(this.id)" value="TAB #1">
                <textarea style="width:100%;height:100px;" id="desc_tabs_1" class="" onKeyPress="_TABS_DESCRIPTION(this.id)" 
					onKeyUp="_TABS_DESCRIPTION(this.id)">Description #1</textarea>
              </div>
              <div role="tabpanel" class="tab-pane" id="tab2">
                <input id="tabs_2" class="" style="width:100%;" onKeyPress="_TABS_TITLE(this.id)" 
					onKeyUp="_TABS_TITLE(this.id)" value="TAB #2">
                <textarea style="width:100%;height:100px;" id="desc_tabs_2" class="" onKeyPress="_TABS_DESCRIPTION(this.id)" 
					onKeyUp="_TABS_DESCRIPTION(this.id)">Description #2</textarea>
              </div>
              <div role="tabpanel" class="tab-pane" id="tab3">
                <input id="tabs_3" class="" style="width:100%;" onKeyPress="_TABS_TITLE(this.id)" 
					onKeyUp="_TABS_TITLE(this.id)" value="TAB #3">
                <textarea style="width:100%;height:100px;" id="desc_tabs_3" class="" onKeyPress="_TABS_DESCRIPTION(this.id)" 
					onKeyUp="_TABS_DESCRIPTION(this.id)">Description #3</textarea>
              </div>
            </div>
          </div>
          <div role="tabpanel" class="tab-pane" id="TAB_CODE">
            <pre><code>  
[tabgroup]<span id="tab_code_1"> 
<span id="title_code_tabs_1">[tab title=&quot;Your title #1&quot; class=&quot;active&quot;]</span>
  <span id="code_desc_tabs_1">Your Description here #1</span>
[/tab]</span><span id="tab_code_2"> 
<span id="title_code_tabs_2">[tab title=&quot;Your title #2&quot;]</span>
  <span id="code_desc_tabs_2">Your Description here #2</span>
[/tab]</span><span id="tab_code_3"> 
<span id="title_code_tabs_3">[tab title=&quot;Your title #3&quot;]</span>
  <span id="code_desc_tabs_3">Your Description here #3</span>
[/tab]</span><span id="tabs_add"></span>
[/tabgroup]
</code></pre>
          </div>
        </div>
        <p>
          <button class="button button-primary tabs_insert_code">Insert Code</button>
          <button class="add_tabs button button-primary"> Add New Tabs</button>
        </p>
      </div>
    </div>
  </div>
</div>