<?php 
/** 
 * Meta-box Options.
 */  
$meta_boxes = array(); 
/**
 * Slider meta box.
 */
$week =  array (
	'Sunday' => array (
		'label' => 'Sunday',
		'value'	=> 'Sunday'
	),
	'Monday' => array (
		'label' => 'Monday',
		'value'	=> 'Monday'
	),
	'Tuesday' => array (
		'label' => 'Tuesday',
		'value'	=> 'Tuesday'
	),
	'Wednesday' => array (
		'label' => 'Wednesday',
		'value'	=> 'Wednesday'
	),
	'Thursday' => array (
		'label' => 'Thursday',
		'value'	=> 'Thursday'
	),
	'Friday' => array (
		'label' => 'Friday',
		'value'	=> 'Friday'
	),
	'Saturday' => array (
		'label' => 'Saturday',
		'value'	=> 'Saturday'
	),		
); 

$time = array (
	'8AM' => array (
		'label' => '8:00 AM',
		'value'	=> '8:00 AM'
	),
	'830AM' => array (
		'label' => '8:30 AM',
		'value'	=> '8:30 AM'
	),	
	'9AM' => array (
		'label' => '9:00 AM',
		'value'	=> '9:00 AM',
	),
	'930AM' => array (
		'label' => '9:30 AM',
		'value'	=> '9:30 AM'
	),		
	'10AM' => array (
		'label' => '10:00 AM',
		'value'	=> '10:00 AM',
	),
	'1030AM' => array (
		'label' => '10:30 AM',
		'value'	=> '10:30 AM'
	),		
	'11AM' => array (
		'label' => '11:00 AM',
		'value'	=> '11:00 AM',
	),
	'1130AM' => array (
		'label' => '11:30 AM',
		'value'	=> '11:30 AM'
	),			
	'12AM' => array (
		'label' => '12:00 PM',
		'value'	=> '12:00 PM',
	),
	'1230PM' => array (
		'label' => '12:30 PM',
		'value'	=> '12:30 PM'
	),			
	'1PM' => array (
		'label' => '1:00 PM',
		'value'	=> '1:00 PM',
	),
	'130PM' => array (
		'label' => '1:30 PM',
		'value'	=> '1:30 PM',
	),	
	'2PM' => array (
		'label' => '2:00 PM',
		'value'	=> '2:00 PM',
	),	
	'230PM' => array (
		'label' => '2:30 PM',
		'value'	=> '2:30 PM',
	),		
	'3PM' => array (
		'label' => '3:00 PM',
		'value'	=> '3:00 PM',
	),
	'330PM' => array (
		'label' => '3:30 PM',
		'value'	=> '3:30 PM',
	),		
	'4PM' => array (
		'label' => '4:00 PM',
		'value'	=> '4:00 PM',
	),
	'430PM' => array (
		'label' => '4:30 PM',
		'value'	=> '4:30 PM',
	),		
	'5PM' => array (
		'label' => '5:00 PM',
		'value'	=> '5:00 PM',
	),
	'530PM' => array (
		'label' => '5:30 PM',
		'value'	=> '5:30 PM',
	),		
	'6PM' => array (
		'label' => '6:00 PM',
		'value'	=> '6:00 PM',
	),
	'630PM' => array (
		'label' => '6:30 PM',
		'value'	=> '6:30 PM',
	),		
	'7PM' => array (
		'label' => '7:00 PM',
		'value'	=> '7:00 PM',
	),
	'730PM' => array (
		'label' => '7:30 PM',
		'value'	=> '7:30 PM',
	),		
	'8PM' => array (
		'label' => '8:00 PM',
		'value'	=> '8:00 PM',
	),
	'830PM' => array (
		'label' => '8:30 PM',
		'value'	=> '8:30 PM',
	),		
); 



$sidebar_choose = array(
    'none' => array (
        'label' => 'none',
        'value' => 'none',
    ),
    'right' => array (
        'label' => 'right',
        'value' => 'right',
    ),
    'left' => array (
        'label' => 'left',
        'value' => 'left',
    ),
);

$meta_boxes[] = array(
    'id' => 'funeral_sidebar_setting',
    'title' => 'Sidebar Setting',
    'pages' => array('post', 'page', 'event', 'sermon', 'ministry'), // multiple post types
    'context' => 'normal',
    'priority' => 'high',
    'fields' => array(
        array(
            'name' => 'Where to show the sidebar:',
            'desc' => '',
            'class' => '',          
            'id' =>  'show_sidebar',
            'type' => 'select',
            'std' => '',
            'options' => $sidebar_choose
        ),
        array(
            'name' => 'Select Sidebar',        
            'id' =>  'sidebar_select',
            'type' => 'widget_sidebar',  // global veriable
        ),
    )// field
);

/**
 * Common all meta box.
 */ 
$meta_boxes[] = array(
    'id' => 'church_header_image',
    'title' => 'Header Image',
    'pages' => array('post', 'page', 'ministry', 'event', 'pastor', 'sermon' ), // multiple post types
    'context' => 'normal',
    'priority' => 'high',
    'fields' => array(
        array(
            'name' => 'Header Image',
            'desc' => '<p>image size 1900x420 <br/>if header image is empty so theme options header image is default set in your header image.</p>',
			'class' => '',			
            'id' =>  'header_img',
            'type' => 'image',
            'std' => ''
        ),
    )// field
);

/**
 * Page meta box.
 */ 
$meta_boxes[] = array(
    'id' => 'church-header',
    'title' => 'Header Section',
    'pages' => array('page'), // multiple post types
    'context' => 'normal',
    'priority' => 'high',
    'fields' => array(
        array(
            'name' => 'Header Description',
            'desc' => '',
			'class' => 'border_style',			
            'id' =>  'header_description',
            'type' => 'textarea',
            'std' => ''
        ),
    )// field
);

/**
 * Slider meta box.
 */ 
$meta_boxes[] = array(
    'id' => 'church-slider',
    'title' => 'Slider Information',
    'pages' => array('sliders'), // custom post type
    'context' => 'normal',
    'priority' => 'high',
    'fields' => array(
        array(
            'name' => 'Slider Description',
            'desc' => '',
			'class' => 'border_style',
            'id' =>  'slider_description',
            'type' => 'textarea',
            'std' => ''
        ),								  
        array(
            'name' => 'Button Display Yes/No',
            'desc' => '',
            'id' =>  'button_show',
            'type' => 'checkbox',
            'std' => ''
        ),		  
        array(
            'name' => 'Button Text',
            'id' =>  'slider_button_text',
            'type' => 'text',
            'std' => ''
        ),		  
        array(
            'name' => 'Button Link',
            'desc' => '',
            'id' =>  'slider_button_link',
            'type' => 'text',
            'std' => ''
        ),	
        array(
            'name' => 'Slider information Align',
            'desc' => '',
            'id' =>  'slider_information_align',
            'type' => 'radio',
            'std' => '',
            'options' => array(
                'left' => array(
                    'name' => 'Left Side',
                    'value' => 'left'
                ),
                'right' => array(
                    'name' => 'Right Side',
                    'value' => 'right'
                ),
                'center' => array(
                    'name' => 'Full width',
                    'value' => 'center'
                ),
            ),  
        ),          	  		
    )// field 
);

/**
 * Ministry meta box.
 */
$meta_boxes[] = array(
    'id' => 'church-ministry',
    'title' => 'Pastor Information',
    'pages' => array('ministry'), // custom post type
    'context' => 'normal',
    'priority' => 'high',
    'fields' => array(
        array(
            'name' => 'Pastor Name',
            'desc' => '',
			'class' => '',			
            'id' =>  'pastor_name',
            'type' => 'text',
            'std' => ''
        ),
        array(
            'name' => 'Pastor Video link',
            'desc' => '',
			'class' => '',
            'id' =>  'pastor_video_link',
            'type' => 'text',
            'std' => ''
        ),
    )// field
);

/**
 * Event Meta-box.
 */
$meta_boxes[] = array(
    'id' => 'church-event',
    'title' => 'Event Information',
    'pages' => array('event'), // custom post type
    'context' => 'normal',
    'priority' => 'high',
    'fields' => array(
        array(
            'name' => 'Event Date',
            'desc' => '',
			'class' => 'fulldate',			
            'id' =>  'MyDate2',
            'type' => 'date',
            'std' => ''
        ),		
        array(
            'name' => 'Start Time',
            'desc' => '',
			'class' => '',			
            'id' =>  'start_time',
            'type' => 'select',
            'std' => '',
			'options' => $time,
        ),		
        array(
            'name' => 'End Time',
            'desc' => '',
			'class' => '',			
            'id' =>  'end_time',
            'type' => 'select',
            'std' => '',
			'options' => $time,
        ),	
        array(
            'name' => 'Place Address',
            'desc' => '',
			'class' => 'border_style',
            'id' =>  'event_place',
            'type' => 'textarea',
            'std' => ''
        ),			
        array(
            'name' => 'Contact Person Name',
            'desc' => '',
			'class' => '',
            'id' =>  'contact_name',
            'type' => 'text',
            'std' => ''
        ),					
        array(
            'name' => 'Contact Phone Number',
            'desc' => '',
			'class' => '',
            'id' =>  'contact_number',
            'type' => 'text',
            'std' => ''
        ),					
        array(
            'name' => 'Contact Email',
            'desc' => '',
			'class' => '',
            'id' =>  'contact_email',
            'type' => 'text',
            'std' => ''
        ),							
    )// field 
);

/**
 * Pastor Meta-box.
 */
$pastor_choice = array(
	'Pastor' => array (
		'label' => 'Pastor',
		'value'	=> 'Pastor',
	),
	'Administrative' => array (
		'label' => 'Administrative',
		'value'	=> 'Administrative',
	),
	'Music' => array (
		'label' => 'Music',
		'value'	=> 'Music',
	),
	'Adults' => array (
		'label' => 'Adults',
		'value'	=> 'Adults',
	),
); 
$meta_boxes[] = array(
    'id' => 'church-pastor',
    'title' => 'Pastor Information',
    'pages' => array('pastor'), // custom post type
    'context' => 'normal',
    'priority' => 'high',
    'fields' => array( 
        array(
            'name' => 'Pastor Qualification',
            'desc' => '',
			'class' => '',			
            'id' =>  'pastor_choice',
            'type' => 'select',
            'std' => '',
			'options' => $pastor_choice,
        ),	
        array(
            'name' => 'Pastor Designation',
            'desc' => '',
			'class' => '',			
            'id' =>  'pastor_qulification',
            'type' => 'text',
            'std' => ''
        ),                 
        array(
            'name' => 'Pastor Email',
            'desc' => '',
			'class' => '',			
            'id' =>  'pastor_email',
            'type' => 'text',
            'std' => ''
        ),                 
        array(
            'name' => 'Pastor Contact Number',
            'desc' => '',
			'class' => '',			
            'id' =>  'pastor_contact',
            'type' => 'text',
            'std' => ''
        ),                 		
    )// field 
);


/*

add_action('init', 'retrieve_my_terms', 9999);
function retrieve_my_terms() {

    global $terms;

    $terms = get_terms('sermon_speckers');

    foreach ($terms as $term) {
        $option = $term->name;
        return $option;
    }
}

*/

/**
 * Sermon meta box.
 */
$meta_boxes[] = array(
    'id' => 'church-sarmon',
    'title' => 'Sermon Information',
    'pages' => array('sermon'), // custom post type
    'context' => 'normal',
    'priority' => 'high',
    'fields' => array(
        array(
            'name' => 'Speacker:',
            'desc' => '',
            'id' =>  'speaker_name',
            'type' => 'sermon_speckers_select',
            'std' => ''
        ),                     
        array(
            'name' => 'Series:',
            'desc' => '',
            'id' =>  'sermon_series',
            'type' => 'sermon_series_select',
            'std' => ''
        ),                     		
    )// field 
);
$meta_boxes[] = array(
    'id' => 'church-sarmon-heading-text',
    'title' => 'Sermon Series Heading',
    'pages' => array('sermon'), // custom post type
    'context' => 'normal',
    'priority' => 'high',
    'fields' => array(
        array(
            'name' => 'Heading Text:',
            'desc' => '',
            'id' =>  'series_heading_text',
            'type' => 'text',
            'std' => ''
        ),                        		
    )// field 
);

/**
 * Faq's meta box.
 */
$meta_boxes[] = array(
    'id' => 'church-faq',
    'title' => "Question and Answer Information",
    'pages' => array('faq'), // custom post type
    'context' => 'normal',
    'priority' => 'high',
    'fields' => array(
        array(
            'name' => "Answer",
            'desc' => '',
			'class' => 'border_style',
            'id' =>  'answer',
            'type' => 'textarea',
            'std' => ''
        ),                     
    )// field 
);

/**
 * Post meta box.
 */
$meta_boxes[] = array(
    'id' => 'church-post-video',
    'title' => 'Show Video',
    'pages' => array('post'), // custom post type
    'context' => 'normal',
    'priority' => 'high',
    'fields' => array(
        array(
            'name' => 'Video URL',
            'desc' => '<i>For Blog Posts, make sure Video post format is chosen.Make sure to use EMBED SRC URL - not the url to the video itself.</i>',
            'id' =>  'show_video',
            'type' => 'text',
            'std' => ''
        ),                     
    )// field 
);
/** 
 * Post meta box.
 */
$meta_boxes[] = array(
    'id' => 'church-post-video-audio',
    'title' => 'Show Audio',
    'pages' => array('post'), // custom post type
    'context' => 'normal',
    'priority' => 'high',
    'fields' => array(
        array(
            'name' => 'Audio URL',
            'desc' => '<i>For Blog Posts, make sure Audio post format is chosen.</i>',
            'id' =>  'show_audio',
            'type' => 'text',
            'std' => ''
        ),                     
    )// field 
);

foreach ($meta_boxes as $meta_box) {
    $my_box = new Medi_temp_meta_box($meta_box);
}

class Medi_temp_meta_box {
    protected $_meta_box;
	/**
	 * create meta box based on given data.
	 */
    function __construct($meta_box) {
        $this->_meta_box = $meta_box;
        add_action('admin_menu', array(&$this, 'add'));
        add_action('save_post', array(&$this, 'save'));
    }
 	/**
	 * Add meta box for multiple post types.
	 */
    function add() {
        foreach ($this->_meta_box['pages'] as $page) {
        	add_meta_box($this->_meta_box['id'], $this->_meta_box['title'], array(&$this, 'show'), $page, $this->_meta_box['context'], $this->_meta_box['priority']);
        }
    }
	/**
	 * Callback function to show fields in meta box.
	 */
    function show() {
        global $post;
 		/**
		 * Use nonce for verification.
		 */
        echo  '<input type="hidden" name="mytheme_meta_box_nonce" value="', wp_create_nonce(basename(__FILE__)), '" />';
        echo  '<table class="form-table">';
		
        foreach ($this->_meta_box['fields'] as $field) {            
			/**
			 *  get current post meta data.
			 */
            $meta = get_post_meta($post->ID, $field['id'], true);
			if( isset( $field['desc'] ) ) {
				$meta_description = $field['desc'];
			}
			
            echo  '<tr><th style="width:20%"><label for="',esc_attr($field['id']), '">', esc_html($field['name']), '</label></th><td>';
			
            switch ($field['type']) {
			    /**
				 *  Meta-box Text Field.
				 */	
                 case 'text':
                 	   echo  '<input type="text" name="',esc_html($field['id']), '" class="', isset($field['class'])? esc_attr($field['class']) : '' ,'" id="', esc_attr($field['id']), '" value="', $meta ? $meta : $field['std'], '" size="30" style="width:97%" />',
                       '<br /><small>', esc_attr($meta_description).'</small>';
                 break;					
			    /**
				 *  Meta-box Date&Time Field.
				 */	
                 case 'date':
                 	   echo  '<input type="text" name="',esc_html($field['id']), '" 
					   class="', isset($field['class'])? esc_attr($field['class']) : '' ,'"
					   id="', esc_attr($field['id']), '" value="', $meta ? $meta : $field['std'], '" size="30" style="width:97%" />',
                       '<br /><small>', esc_attr($meta_description).'</small>';
                 break;									 
			    /**
				 *  Meta-box Color Field.
				 */	
				case 'color':
				      echo '<input class="color-field" type="text" class="', isset($field['class'])? esc_attr($field['class']) : '' ,'" name="',esc_html($field['id']), '" id="', esc_attr($field['id']), '" value="', $meta ? $meta : $field['std'], '"  />',
                      '<br /><small>', $meta_description.'</small>';
				break;
			    /**
				 *  Meta-box Textarea Field.
				 */	
                case 'textarea':
                      echo  '<textarea name="',esc_html($field['id']), '" id="', esc_attr($field['id']), '" class="', isset($field['class'])? esc_attr($field['class']) : '' ,'" cols="60" rows="4" style="width:97%">', $meta ? $meta : $field['std'], '</textarea>',
                      '<br /><small>', $meta_description.'</small>';
                break;
			    /**
				 *  Meta-box Select Field.
				 */	
				case 'select':					
					  echo  '<select name="'.esc_attr($field['id']).'" class="', isset($field['class'])? esc_attr($field['class']) : '' ,'" id="'.esc_attr($field['id']).'">';
						     foreach ($field['options'] as $option) {
						  	    echo  '<option', $meta == $option['value'] ? ' selected="selected"' : '', ' value="'.$option['value'].'">'.$option['label'].'</option>';
					 	     } 
					  echo  '</select><br /><span class="description">'.$meta_description.'</span>';
                break;
			    /**
				 *  Meta-box Radio Field.
				 */	
				case 'radio':
					  foreach ( $field['options'] as $option ) {
						  echo  '<input type="radio" name="'.esc_attr($field['id']).'" class="', isset($field['class'])? esc_attr($field['class']) : '' ,'"
						  id="'.$option['value'].'"  value="'.$option['value'].'" ',$meta == $option['value'] ? ' checked="checked"' : '',' />';
						  echo '<label for="'.$option['value'].'">'.$option['name'].'</label><br />';
					  }
					  echo  '<span class="description">'.$meta_description.'</span>';
				break;
			    /**
				 *  Meta-box Checkbox Field.
				 */	
	            case 'checkbox':
    	              echo  '<input type="checkbox" class="', isset($field['class'])? esc_attr($field['class']) : '' ,'" name="',esc_html($field['id']), '" 
					  id="', esc_attr($field['id']), '"', $meta ? ' checked="checked"' : '', ' />';
                break;
			    /**
				 *  Meta-box Checkbox-group Field.
				 */	
			    case 'checkbox_group':
					  foreach ($field['options'] as $option) {
					      echo  '<input type="checkbox" value="',$option['value'],'" name="',esc_html($field['id']),'[]" 
						  id="',$option['value'],'"',$meta && in_array($option['value'], $meta) ? ' checked="checked"' : '',' 
						  class="', isset($field['class'])? esc_attr($field['class']) : '' ,'" />';
						  echo '<label for="'.$option['value'].'">'.$option['name'].'</label><br />';
					  }
					  echo  '<span class="description">'.esc_attr($meta_description).'</span>';
					break;
			    /**
				 *  Meta-box Image Field.
				 */	
				case 'image':
					  echo   '<span class="upload">';
					  if( $meta ) {									
						   echo  '<input type="hidden" name="',esc_html($field['id']), '" id="', esc_attr($field['id']), '" 
								   class="regular-text form-control text-upload" value="',$meta,'"  />';							
						   echo  '<img style="width:150px; display:block;" src= "'.$meta.'"  class="preview-upload" />';
						   echo   '<input type="button" class="button button-upload" id="logo_upload" value="Upload an image"/></br>';		
						   echo   '<input type="button" class="button-remove" id="remove" value="Remove" /> ';
					  }else {
						   echo  '<input type="hidden" name="',esc_html($field['id']), '" id="', esc_attr($field['id']), '" 
									class="regular-text form-control text-upload" value="',$meta,'"  />';							
						   echo '<img style="" src= "'.$meta.'"  class="preview-upload" />';
						   echo  '<input type="button" class="button button-upload" id="logo_upload" value="Upload an image"/></br>';		
						   echo  '<input type="button" style="display:none;" id="remove" class="button-remove" value="" /> ';
					   }   echo  '</span><span class="description">'.$meta_description.'</span>';		
				break;
                case 'sermon_series_select' :

                    global $terms;

                    $series = get_terms('sermon_series');

                    if (is_array( $series ) && !empty( $series )) {                    

                    echo  '<select name="'.esc_attr($field['id']).'" class="', isset($field['class'])? esc_attr($field['class']) : '' ,'" id="'.esc_attr($field['id']).'">';
                         foreach ( $series as $option) {
                            echo  '<option', $meta == $option->name ? ' selected="selected"' : '', ' value="'.$option->name.'">'.$option->name.'</option>';
                         } 
                    echo  '</select><br /><span class="description">'.$meta_description.'</span>';                            

                    }else { print '<span style="color:red;"> Please Add Sermon Series Categories then Update this post Display Drop-down menu here.</span>'; }

                break;
                case 'sermon_speckers_select' :

                    global $terms;

                    $speckers = get_terms('sermon_speckers');

                    if (is_array( $speckers ) && !empty( $speckers )) {

                    echo  '<select name="'.esc_attr($field['id']).'" class="', isset($field['class'])? esc_attr($field['class']) : '' ,'" id="'.esc_attr($field['id']).'">';
                         foreach ( $speckers as $option) {
                            echo  '<option', $meta == $option->name ? ' selected="selected"' : '', ' value="'.$option->name.'">'.$option->name.'</option>';
                         } 
                    echo  '</select><br /><span class="description">'.$meta_description.'</span>';                    

                    } else { print '<span style="color:red;"> Please Add Sermon Speckers Categories then Update this post Display Drop-down menu here.</span>'; }

                break;
				/**
                 *  Meta-box Dynamic Sidebar
                 */
                case 'widget_sidebar':

                    global $wp_registered_sidebars;

                    if ( empty( $wp_registered_sidebars ) )
                        return;

                    echo  '<select name="'.esc_attr($field['id']).'" class="', isset($field['class'])? esc_attr($field['class']) : '' ,'" id="'.esc_attr($field['id']).'">';
                         foreach ( $wp_registered_sidebars as $option) {
                            echo  '<option', $meta == $option['id'] ? ' selected="selected"' : '', ' value="'.$option['id'].'">'.$option['name'].'</option>';
                         } 
                    echo  '</select><br /><span class="description">'.$meta_description.'</span>';

                break;	
                
            }
            echo '<td></tr>';
        }
        echo  '</table>';
    }
 
 	/**
	 * Save data from meta box.
	 */
     function save($post_id) {
	 	/**
		 * Verify Nonce.
		 */
        if ( !isset( $_POST['mytheme_meta_box_nonce'] ) || !wp_verify_nonce($_POST['mytheme_meta_box_nonce'] , basename(__FILE__))) {
            return $post_id;
        }
		/**
		 * Check Autosave.
		 */
        if (defined('DOING_AUTOSAVE') && DOING_AUTOSAVE) {
            return $post_id;
        }
        /**
		 * Check Permissions.
		 */
        if ('page' == $_POST['post_type']) {
            if (!current_user_can('edit_page', $post_id)) {
                return $post_id;
            }
        } elseif (!current_user_can('edit_post', $post_id)) {
            return $post_id;
        }
        /**
	     * Set Field & Update meta.
		 */
        foreach ($this->_meta_box['fields'] as $field) {			
            $old = get_post_meta($post_id, $field['id'], true);
            $new =  isset( $_POST[$field['id']] ) ? $_POST[$field['id']] : '' ;
 
            if ( $new && $new != $old) {
                update_post_meta($post_id, $field['id'], $new);
            } elseif ('' == $new && $old) {
                delete_post_meta($post_id, $field['id'], $old);
            }
        }
    }
} 