<?php
add_action( 'add_meta_boxes', 'princing_meta_box' );
/* Do something with the data entered */
add_action( 'save_post', 'sermon_meta_save' );
/* Adds a box to the main column on the Post and Page edit screens */
function princing_meta_box() {
    add_meta_box(
        'sermon_list',
        __( 'Sermon Series', 'praise_church' ),
        'sermon_table_custom_box',
        'sermon');
}
/* Prints the box content */
function sermon_table_custom_box() {
    global $post;
    // Use nonce for verification
    wp_nonce_field( plugin_basename( __FILE__ ), 'dynamicMeta_noncename' );
    ?>
<div id="sub_div">
    <?php	
    //get the saved meta as an arry
    $sermon = get_post_meta($post->ID,'sermon',true);
	echo '<div id="sermon_accordion">';
    $c = 1;     

	if ( count( $sermon ) >= 1 && !empty( $sermon ) ) {
	foreach( $sermon as $check ) {
		if ( isset($check['title']) || isset($check['date']) || isset($check['pdf']) || isset($check['download']) || 
			 isset($check['listen']) || isset($check['watch'])  ){ 

		printf( '<div class="panel panel-default acc_margin">
				  <div class="panel-heading" role="tab" id="heading">
					<h4 class="panel-title">
					  <span class="remove dashicons dashicons-no"></span>
					  <a role="button" data-toggle="collapse" data-parent="#sermon_accordion" href="#collapse%1$s" 
					  aria-expanded="true" aria-controls="collapseOne"> %1$s. Sermon Series </a>
					</h4>
				  </div>
				  <div id="collapse%1$s" class="panel-collapse collapse" style="overflow:hidden; height:0px;" 
				  role="tabpanel" aria-labelledby="headingOne">
					<div class="panel-body">
      
				 <div class="row">
				 <div class="col-md-2"> Sermon Name :</div>
				 <div class="col-md-10"><input type="text" class="form-control" name="sermon[%1$s][title]" value="%2$s" /></div>
				 <div class="col-md-2"> Date : </div>
				 <div class="col-md-10"><input type="text" class="form-control date_p1"  name="sermon[%1$s][date]" value="%3$s" /></div>
				 <div class="col-md-2"> PDF Link : </div>
				 <div class="col-md-10"><input type="text" class="form-control" name="sermon[%1$s][pdf]" value="%4$s" /></div>				 
				 <div class="col-md-2"> Download Link :</div>
				 <div class="col-md-10"><input type="text" class="form-control" name="sermon[%1$s][download]" value="%5$s" /></div>				 
				 <div class="col-md-2"> Sound Link :</div>
				 <div class="col-md-10"><input type="text" class="form-control" name="sermon[%1$s][listen]" value="%6$s" /></div>				 
				 <div class="col-md-2"> Video Link :</div>
				 <div class="col-md-10"><input type="text" class="form-control" name="sermon[%1$s][watch]" value="%7$s" /></div>				 
				 </div>


			    </div>
			  </div>			   
			 </div>', $c, $check['title'], $check['date'], $check['pdf'], $check['download'], $check['listen'], $check['watch'] );                 
		
		$c = $c +1;             
		}         
	  }     
	}
	echo '</div>'; 
    ?>
    <script type="text/javascript">
    var $ =jQuery.noConflict();
    $(document).ready(function() {
	   "use strict";
        var count = <?php echo esc_js($c); ?>;
        $(".add").click(function() {
            
            $('#sermon_accordion').append('<div class="panel panel-default acc_margin"><div class="panel-heading" role="tab" id="heading"><h4 class="panel-title"><span class="remove dashicons dashicons-no"></span><a role="button" data-toggle="collapse" data-parent="#accordion" href="#collapse'+count+'" aria-expanded="true" aria-controls="collapseOne"> '+count+'. Sermon Series </a></h4></div><div id="collapse'+count+'" class="panel-collapse collapse" style="overflow:hidden; height:0px;" role="tabpanel" aria-labelledby="headingOne"><div class="panel-body"><div class="row"><div class="col-md-2"> Sermon Name :</div><div class="col-md-10"><input type="text" class="form-control" name="sermon['+count+'][title]" value="" /></div><div class="col-md-2"> Date  :</div><div class="col-md-10"><input type="text" class="form-control date_p1" name="sermon['+count+'][date]" value="" /></div><div class="col-md-2"> Pdf Link :</div><div class="col-md-10"><input type="text" class="form-control" name="sermon['+count+'][pdf]" value="" /></div><div class="col-md-2"> Download Link :</div><div class="col-md-10"><input type="text" class="form-control" name="sermon['+count+'][download]" value="" /></div><div class="col-md-2"> Listen Link :</div><div class="col-md-10"><input type="text" class="form-control" name="sermon['+count+'][listen]" value="" /></div><div class="col-md-2"> Video Link :</div><div class="col-md-10"><input type="text" class="form-control" name="sermon['+count+'][watch]" value="" /></div></div></div></div></div>');
			
			count = count + 1;
            return false;
        });
        $(".remove").live('click', function() {
            $(this).parent().parent().parent().remove();
        });
		
		$(".date_p1").live('click', function(){
			$(this).datepicker({ option : 'showOn',  dateFormat: 'MM dd, yy', }).focus();
		});	
	
    });
    </script> 
    <style type="text/css">
	.row{ width:100%; }
	.col-md-2 { width:20%; float:left; }
	.col-md-10 { width:80%; float:left; }
	#sermon_list .inside { margin:0; padding:0; }
	#sermon_list { clear:both;  }	
	.acc_margin { margin:20px; 10px; }
	.remove { float:right; }
	#sermon_list input.form-control {  width: inherit; }
	.sub_div { margin-left:25px; }
	.clear_div {   padding: 10px;  clear: both;  border-top: 1px solid #ddd;  background: #f5f5f5;}		
	.panel {
	  margin-bottom: 20px;
	  background-color: #fff;
	  border: 1px solid transparent;
	  border-radius: 4px;
	  -webkit-box-shadow: 0 1px 1px rgba(0, 0, 0, .05);
			  box-shadow: 0 1px 1px rgba(0, 0, 0, .05);
	}
	.panel-body {
	  padding: 15px;
	}
	.panel-heading {
	  padding: 10px 15px;
	  border-bottom: 1px solid transparent;
	  border-top-left-radius: 3px;
	  border-top-right-radius: 3px;
	}
	.panel-heading > .dropdown .dropdown-toggle {
	  color: inherit;
	}
	.panel-title {
	  margin-top: 0;
	  margin-bottom: 0;
	  font-size: 16px;
	  color: inherit;
	}
	.panel-title > a {
	  color: inherit;
	  text-decoration:none;
	}
	.panel-footer {
	  padding: 10px 15px;
	  background-color: #f5f5f5;
	  border-top: 1px solid #ddd;
	  border-bottom-right-radius: 3px;
	  border-bottom-left-radius: 3px;
	}
	.panel-default {
	  border-color: #ddd;
	}
	.panel-default > .panel-heading {
	  color: #333;
	  background-color: #f5f5f5;
	  border-color: #ddd;
	}
	.panel-default > .panel-heading + .panel-collapse .panel-body {
	  border-top-color: #ddd;
	}
	.panel-default > .panel-footer + .panel-collapse .panel-body {
	  border-bottom-color: #ddd;
	}
	.panel-body:before,
	.panel-body:after 
	{
	  display: table;
	  content: " ";
	}
	.panel-body {
	  padding: 15px;
	}
	.panel-body:after,
	{
	  clear: both;
	}
	
	</style>
	
  <div class="clear_div">
  <button class="add button button-primary button-large"> Add New Sermon </button>
  </div>
  
</div>

<?php 
}
function sermon_meta_save( $post_id ) {  
    // verify if this is an auto save routine. 
    // If it is our form has not been submitted, so we dont want to do anything
    if ( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) 
        return;
    // verify this came from the our screen and with proper authorization,
    // because save_post can be triggered at other times
    if ( !isset( $_POST['dynamicMeta_noncename'] ) )
        return;
    if ( !wp_verify_nonce( $_POST['dynamicMeta_noncename'], plugin_basename( __FILE__ ) ) )
        return;
    // OK, we're authenticated: we need to find and save the data
    $sermon = $_POST['sermon'];
	
//	print_r ( $sermon );
//	exit;
    update_post_meta($post_id,'sermon',$sermon);
}
?>