<?php

/*  Div start  */

global $post, $woocommerce;

$show_sidebar = '';

if( is_page() || is_singular() && !is_woocommerce() ) {

	$show_sidebar = get_post_meta( $post->ID, 'show_sidebar', true );
	$sidebar_select = get_post_meta( $post->ID, 'sidebar_select', true );
	
	if( $show_sidebar != '' ){
		$show_sidebar = get_post_meta( $post->ID, 'show_sidebar', true );
	}else {
		$show_sidebar = "none";
	}
	if( $sidebar_select != '' ){
		$sidebar_select = get_post_meta( $post->ID, 'sidebar_select', true );
	}else{
		$sidebar_select = "primary_sidebar";
	}	

}elseif( is_home() ) {

	$show_sidebar = get_post_meta( get_option( 'page_for_posts' ), 'show_sidebar', true );	
	$sidebar_select = get_post_meta( get_option( 'page_for_posts' ), 'sidebar_select', true );

	if( $show_sidebar != '' ){
		$show_sidebar = get_post_meta( get_option( 'page_for_posts' ), 'show_sidebar', true );	
	}else {
		$show_sidebar = "right";
	}
	if( $sidebar_select != '' ){
		$sidebar_select = get_post_meta( get_option( 'page_for_posts' ), 'sidebar_select', true );
	}else{
		$sidebar_select = "primary_sidebar";
	}

}elseif( class_exists('WooCommerce') && is_woocommerce()  ) {

	$show_sidebar = get_post_meta( get_option('woocommerce_shop_page_id'), 'show_sidebar', true );	
	$sidebar_select = get_post_meta( get_option('woocommerce_shop_page_id'), 'sidebar_select', true );

	if( $show_sidebar != '' ){
		$show_sidebar = get_post_meta( get_option('woocommerce_shop_page_id'), 'show_sidebar', true );	
	}else {
		$show_sidebar = "right";
	}
	if( $sidebar_select != '' ){
		$sidebar_select = get_post_meta( get_option('woocommerce_shop_page_id'), 'sidebar_select', true );
	}else{
		$sidebar_select = "woocommerce_sidebar";
	}

}else {
	$show_sidebar = "none";
	$sidebar_select = "primary_sidebar";
}

print '<div class="blog-content" id="blog-content"><!-- blog-content -->'
    . '<div class="container"><!-- container -->'; 

switch( $show_sidebar ){

	case 'right' :  

		if( class_exists('WooCommerce') && is_woocommerce() ){

			print '<div class="row"><!-- row -->' . '<div class="col-md-9 content"><!-- col-md-8 -->';
		}else {

			print '<div class="row"><!-- row -->' . '<div class="col-md-8 content"><!-- col-md-8 -->';
		}
		
	break;
	
	case 'left' :

		if( class_exists('WooCommerce') && is_woocommerce() ){

			print '<div class="row">' . '<div class="col-md-3">';
		}else {

			print '<div class="row">' . '<div class="col-md-4"> <div class="row">';	
		}

		switch( $sidebar_select ){

			case $sidebar_select :  if ( is_active_sidebar( $sidebar_select ) ) {    dynamic_sidebar( $sidebar_select );	 }
			break;

			default :  // if ( is_active_sidebar( 'primary_sidebar' ) ) {    dynamic_sidebar( 'primary_sidebar' );	 }
			break;
		}

		if( class_exists('WooCommerce') && is_woocommerce() ){

			print '</div><!-- row -->' . '<div class="col-md-9 content"> <!-- col-md-8 -->';
		}else {

			print '</div><!-- row --></div> <!-- col-md- 4 -->' . '<div class="col-md-8 content"> <!-- col-md-8 -->';
		}
	
	break;

	case 'none' : print '<div class="row">' . '<div class="col-md-12 content">';
	break;

	default :     print '<div class="row">' . '<div class="col-md-12 content">';
	break;

}

?>