// JavaScript Document for charity html template
var $ = jQuery.noConflict();
( function( $ ) {
   "use strict";
    var $ = jQuery.noConflict();
    $( function() {		
        $.fn.search_toggle = function() {

		// Search box open menubar click
		$("#search").click(function(){
			$(".search-open").slideToggle("slow");
		});
		
		/**
		 *  Add to wishlist script
		 */
		$("body").live('added_to_wishlist',function(e){ //trigger defined in jquery.yith-wcwl.js
			fn_church_refresh_dynamic_contents();
		});
		
		/**
		 *  Ajax Counter.
		 */
		function fn_church_refresh_dynamic_contents() {
			$.ajax({
				url: fn_church_ajaxurl,
				type: "POST",
				data: {
					'action' : 'refresh_dynamic_contents'
				},
				success:function(data) {
					$(".shopping_bag_items_number").html(data['cart_count_products']);
					$(".wishlist_items_number").html(data['wishlist_count_products']);					
				}
			});
		}
		
		fn_church_refresh_dynamic_contents();
		$("#yith-wcwl-form").on("click", ".product-remove a, .product-add-to-cart a", function() {
			setTimeout(function() {	
				fn_church_refresh_dynamic_contents();
			}, 2000);
		});
		
		// woocommerce review form addclass
		$('.woocommerce #commentform').addClass("form-horizontal"); 
		
		
		// widget font-awesome icon
		$(".widget_categories ul li").before(function(val) {
			$( this ).prepend( '<i class="fa fa-angle-right "></i>&nbsp;&nbsp;' );
		});		
		$(".widget_archive ul li").before(function(val) {
			$( this ).prepend( '<i class="fa fa-angle-right "></i>&nbsp;&nbsp;' );
		});		
		// open a video show hide script
		$(".open").click(function(){
			$(".open-now").show(300);
		});
		$(".close-video").click(function(){
			$(".open-now").hide(300);
		});

		$('.comment-reply-link').before(function(val) {
			$( this ).html( 'Reply <i class="fa fa-long-arrow-right "></i>' );				
		});		
	
		// Tag cloud style & class
		$(".tagcloud a").each(function(val) {
			$(this).attr( 'class', 'btn outline-btn outline-btn-grey' );
			$(this).attr( 'style', '' );
		});

		//  Front page MINISTRY carousel
		$('.ministry-carousel').owlCarousel({
		    loop:true,
		    margin:0,
		    //rtl:true,
		    nav:false,
		    autoplay:true,
		    dots:true,

		    responsive:{
		        0:{
		            items:1
		        },
		        600:{
		            items:2
		        },
		        1000:{
		            items:3
		        }
		    }
		})

		//  BLOG page Slider	
		$('.owl-carousel-gallery').owlCarousel({
			// rtl:true,
		    loop:true,
		    margin:10,
		    nav:false,
		    dots:true,
		    responsive:{
		        0:{
		            items:1
		        },
		        600:{
		            items:1
		        },
		        1000:{
		            items:1
		        }
		    }
		})		

		// iframe div
		var iframe = $('iframe');
		if( iframe.parent().hasClass('videoWrapper')){
		} else {
			iframe.before('<div class="videoWrapper"></div>');
			iframe.appendTo('.videoWrapper').contents();
		}

		// Third Level Menu Script.
		if( $('ul.dropdown-menu ul.dropdown-menu').parent().hasClass('dropdown-submenu') ){
		}else {
			$('ul.dropdown-menu ul.dropdown-menu').parent().addClass('dropdown-submenu') 
		}
		$('ul.dropdown-menu [data-toggle=dropdown]').on('click', function(event) {
			event.preventDefault(); 
			event.stopPropagation(); 
			$(this).parent().siblings().removeClass('open');
			$(this).parent().toggleClass('open');
		});
		
		
		// table 
		if( $('table').hasClass('table table-bordered') ){
		}else {
			$('table').addClass('table table-bordered') 
		}

		// masonry
		if($("#isotope").hasClass("grid"))
		{
			$('#isotope').imagesLoaded( function(){
			$('.grid').masonry({
				itemSelector: '.grid-item'
			  });
			});
		}

		// image has img-responsive class 
		if( $(".blog-details img").hasClass("img-responsive")  ){
		}else {
			$(".blog-details img").addClass("img-responsive");
		}
		
		// end of .search
		}	
        $( '.search' ).search_toggle(); // Use as default option.
    } );
} ( jQuery ) );
