<?php
/**
 * Template Name: Faq Template
 *
 * @package Church
 */
global $wp_query;
get_header(); 
get_template_part('page_banner'); ?>
<div class="faq" id="faq">
<!-- faq -->
  <div class="container">
  <!-- #container -->
      <div class="row">
      <!-- row -->
    	<div class="col-md-12 question-answer">
        <!-- col-md-12 question-answer -->
        <ul>
        <?php 
        $args = array( 'post_type' => 'faq', 'posts_per_page' => -1,'orderby' => 'menu_order ID','order'   => 'ASC' );
        $query = new WP_Query( $args );
        while ( $query->have_posts() ) : $query->the_post();
        ?>
        <li>
        <h2><?php the_title(); ?></h2>
        <p>
		  <?php 
		  $answer = get_post_meta( $post->ID, 'answer', true );
		  if($answer != '') :
			 echo esc_html($answer);
		  endif;
		  ?>
        </p>
        </li>
        <!-- /.doctor block -->
        <?php 
			endwhile; 		
			wp_reset_postdata();
        ?>
        </ul>
        </div>
        <!-- col-md-12 question-answer -->        
      </div>
      <!-- /row -->
   </div>
   <!-- /container -->
</div>
<!-- faq -->
<?php get_footer(); ?>