<?php
/**
 *  Template Name: Gallery-Filterable-PopUp
 *
 * @package Church
 */
 
global $wp_query;
get_header(); 
get_template_part('page_banner'); ?>

<div class="container">
  <!-- container -->
  <div class="row">
  <!-- row -->
  <?php 
	while ( have_posts() ) : the_post();
	$child_args = array(
		'post_parent' => 0,
		'post_type'   => 'gallery', 
		'numberposts' => -1,
		'post_status' => 'publish' 
	); 
	$child= get_children($child_args);
	?>
     <div class="tp-gallery" id="tp-gallery"><!-- tp gallery section -->
        <div class="container">
          <?php if(count($child)==0) {?>
          <div class="row">
            <div class="col-md-12 tp-gallery-ct">
              <div class="card-panel">
                <h1><?php the_title(); ?></h1>	
                  <?php 
                  // Edit page 
                   edit_post_link( __( 'Edit', 'praise_church' ), '<span class="edit-link">', '</span>' ); 
                  ?>  
              </div>
            </div>
          </div>
		  <?php } ?>
          <div class="row">
          <?php	
				if(count($child)!=0)
				{
					$start_filter_html='<div class="col-md-12"><div class="card-panel"><div class="portfolioFilter"><a href="#" data-filter="*" class="current">All</a>';   
					$end_filter_html='</div></div></div>';
					
					$start_filter_gallery_html='<div class="col-md-12"><div class="row"><div class="portfolioContainer isotope popup-gallery">';
					$end_filter_gallery_html='</div></div></div>';

					echo $start_filter_html;
					foreach($child as $post){
						setup_postdata( $post );	
						echo '|<a href="#" data-filter=".'.str_replace(" ","-",strtolower(get_the_title($post->ID))).'" class="">'.get_the_title($post->ID).'</a>';
					}
					echo $end_filter_html;
							  
	
					echo $start_filter_gallery_html;
					foreach($child as $post)
					{
						setup_postdata( $post );	
						   
						$gallery_data = get_post_meta( $post->ID, 'gallery_data', true );
						if ( isset( $gallery_data['image_title'] ) ) 
						{
							for( $i = 0; $i < count( $gallery_data['image_title'] ); $i++ ) 
							{
							 ?>
                              <div class="<?php echo str_replace(" ","-",strtolower(get_the_title($post->ID))); ?> col-md-3">
                              <!-- gallery block-->
                                    <div class="gallery-pic">
                                        <a href="<?php echo esc_url($gallery_data['image_url_gallery'][$i]); ?>" 
                                        title="<?php echo esc_html($gallery_data['image_title'][$i]);?>">                                    
                                        <img class="img-responsive" alt="<?php echo esc_html($gallery_data['image_title'][$i]);?>" 
                                        src="<?php echo esc_url($gallery_data['image_url_gallery'][$i]); ?>">
                                        </a>
                                    </div>
						
							  </div><!-- /gallery block-->
							<?php 
							}
						}
				
					}
					echo $end_filter_gallery_html;
				}
				else
				{
					$gallery_data = get_post_meta( $post->ID, 'gallery_data', true );
					if ( isset( $gallery_data['image_title'] ) ) 
					{
						for( $i = 0; $i < count( $gallery_data['image_title'] ); $i++ ) 
						{
						?>
						<div class="col-md-3">
                            <div class="gallery-pic">
                                        <a href="<?php echo esc_url($gallery_data['image_url_gallery'][$i]); ?>" 
                                        title="<?php echo esc_html($gallery_data['image_title'][$i]);?>">                                    
                                        <img class="img-responsive" alt="<?php echo esc_html($gallery_data['image_title'][$i]);?>" 
                                        src="<?php echo esc_url($gallery_data['image_url_gallery'][$i]); ?>">
                                        </a>
                            </div>                            
                        </div>							  
						<?php 
						}
					}	
				}					
          ?>        
        </div>
      </div>
    </div><!-- /tp gallery section -->        
	<?php 
    endwhile; 		
    ?>
  </div>
  <!-- row -->
</div>
<!-- container -->
<?php get_footer(); ?>