<?php
/**
 *  Template Name: Gallery-Popup
 *
 * @package Church
 */
 
global $wp_query;
get_header(); 
get_template_part('page_banner'); ?>

<div class="container">
  <!-- container -->
  <div class="row">
  <!-- row -->
     <div class="popup-gallery" id="popup-gallery"><!-- tp gallery section -->
        <div class="container">
          <div class="row">

  <?php 
	$args = array( 'post_type' => 'gallery', 'posts_per_page' => -1, 'post_status'=> 'publish', );
	$query = new WP_Query( $args );
	while ( $query->have_posts() ) : $query->the_post();
  ?>
          <?php	
			$gallery_data = get_post_meta( $post->ID, 'gallery_data', true );
			if ( isset( $gallery_data['image_title'] ) ) 
			{
				for( $i = 0; $i < count( $gallery_data['image_title'] ); $i++ ) 
				{
				 ?>
                 <div class="col-md-3">
                    <div class="gallery-pic">
                        <a href="<?php echo esc_url($gallery_data['image_url_gallery'][$i]); ?>" 
                        title="<?php echo esc_html($gallery_data['image_title'][$i]);?>">
                        <img class="img-responsive" 
                        src="<?php echo esc_url($gallery_data['image_url_gallery'][$i]); ?>" 
                        alt="<?php echo esc_html($gallery_data['image_title'][$i]);?>">
                        </a>
                    </div>                    
                 </div>
				<?php 
				}
			}
          ?>        
	<?php 
    endwhile; 		
    wp_reset_postdata();
    ?>

        </div>
      </div>
    </div><!-- /tp gallery section -->        


  </div>
  <!-- row -->
</div>
<!-- container -->
<?php get_footer(); ?>