<?php
/**
 * The template for displaying search results pages.
 *
 * @package church
 */

get_header(); 
get_template_part('page_banner'); ?>

<div class="blog-content" id="blog-content">
<!-- blog-content -->
<div class="container">
<!-- container -->

    <div class="row">
    <!-- row -->
    <div class="col-md-8 blog-details">
    <!-- col-md-8 -->
    <div class="row">
    <!-- row -->

	<?php if ( have_posts() ) : ?>

		<?php /* Start the Loop */ ?>
        <?php while ( have_posts() ) : the_post(); ?>
        <?php
				/**
				 * Run the loop for the search to output the results.
				 * If you want to overload this in a child theme then include a file
				 * called content-search.php and that will be used instead.
				 */
				echo '<div class="col-md-12 blog-post">';
				get_template_part( 'template-parts/content', 'search' );
				echo '</div>';
		?>
		<?php endwhile; ?>
        <?php church_pagination(); ?>
        <?php else : ?>
        <?php get_template_part( 'template-parts/content', 'none' ); ?>
		<?php endif; ?>

    </div>
    <!-- row -->
    </div>    
    <!-- col-md-8 -->

    <div class="col-md-4">
    <!-- col-md-4 -->
		<?php get_sidebar(); ?>
	</div>    
    <!-- col-md-4 -->
    
    </div>
    <!-- row -->
    
</div>
<!-- container -->
</div>
<!-- blog-content -->
<?php get_footer(); ?>