<?php
/**
 * The Template for displaying all single event posts.
 *
 * @package Church
 */

get_header(); 
get_template_part('page_banner'); 
get_template_part('inc/start','sidebar'); ?>

<div class="event_details_page">

    <?php 
    if ( have_posts() ) : 
    $curdate= date('d-M-Y'); 
    while ( have_posts() ) : the_post(); 
    $date_2 = get_post_meta( $post->ID, 'MyDate2', true );
    if(strtotime($curdate) <= strtotime($date_2)) :
    ?>


      <div class="col-md-1 events">
      <!-- col-md-1 -->
          <div class="date-box-red">
              <div class="box-white">
              <?php
        			 $date_2 = get_post_meta( $post->ID, 'MyDate2', true );
        			 $k = explode(" ",$date_2 );
        			 echo '<h3>'.substr($k[2], 0, 2).'</h3>'.substr($k[1], 0, 3);
              ?>
              </div>
          </div>
      </div>
      <!-- col-md-1 -->


      <div class="col-md-11 event-content events">
        <!-- col-md-11 -->
          <div class="events-description">

              <div class="event-detail">
               <!-- event details -->

                  <div class="event-time">
                      <i class="fa fa-clock-o"></i>
                      <?php 
                        if($date_2):
                           echo esc_html($date_2).', ';
                        endif;
                        $start_time = get_post_meta( $post->ID, 'start_time', true );
                        if($start_time):
                           echo esc_html($start_time).' - ';
                        endif;
                        $end_time = get_post_meta( $post->ID, 'end_time', true );				  
                        if($end_time):
                           echo esc_html($end_time);
                        endif;	  					  
                      ?>               
                  </div>

                  <div class="event-location">
                      <i class="fa fa-map-marker"></i>
                      <?php
                      $event_place = get_post_meta( $post->ID, 'event_place', true );					  
                      if($event_place):
                        echo esc_html($event_place);
                      endif;	
                      ?>
                  </div>

                  <div class="event-contact">
                    <i class="fa fa-phone-square"></i>
                  		<?php
                  		  $contact_name = get_post_meta( $post->ID, 'contact_name', true );
                  		  if($contact_name):
                  			echo 'Contact: '.esc_html($contact_name).' | ';
                  		  endif;
                  		  $contact_number = get_post_meta( $post->ID, 'contact_number', true );
                  		  if($contact_number):
                  			echo esc_html($contact_number).' | ';
                  		  endif;
                  		  $contact_email = get_post_meta( $post->ID, 'contact_email', true );
                  		  if($contact_email):
                  			echo esc_html($contact_email);
                  		  endif;
                  		?>
                  </div>
        
                  <a class="btn outline-btn outline-btn-red" data-toggle="modal" data-target=".bs-example-modal-lg-1"> Join Today <i class="fa fa-angle-right"></i></a>          
              </div>
              <!-- event-details -->
        
              <div class="events-pic">
                <?php 
              		if ( has_post_thumbnail() ) : the_post_thumbnail('full', array('class'=>'img-responsive'));
              		endif;
                ?>
              </div>  

              <?php the_content(); ?>
              <a class="btn outline-btn outline-btn-red" data-toggle="modal" data-target=".bs-example-modal-lg-2"> Join Today <i class="fa fa-angle-right"></i></a>       

          </div>
          <!-- EVENT-DESCRIPTION -->
      </div>
      <!-- col-md-11 -->
        
        <?php endif;  ?>
        <?php endwhile; ?>
        <?php else : ?>
        <?php get_template_part( 'template-parts/content', 'none' ); ?>
        <?php endif; ?>   


	
    	<!-- model -->
        <div class="modal fade bs-example-modal-lg-1 bs-example-modal-lg-2" tabindex="-1" role="dialog" aria-labelledby="myLargeModalLabel">
          <div class="modal-dialog modal-lg">
            <div class="modal-content">
              <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title" id="gridSystemModalLabel"> Join Today </h4>
              </div>
              <div class="modal-body">
                      <div class="row">
              				<div class="col-md-10 col-md-offset-1">
                              <?php echo do_shortcode( '[contact-form-7 id="191" title="Event Form"]' ); ?>
                              </div>
                              </div>
              </div>
            </div>
          </div>
        </div>    
		<!-- model -->
        
</div>

<?php 
    get_template_part('inc/end','sidebar');
    get_footer(); 
?>