<?php
/**
 * The Template for displaying all single ministry posts.
 *
 * @package Church
 */
get_header(); 
get_template_part('page_banner'); 
get_template_part('inc/start','sidebar'); ?>

    <?php if ( have_posts() ) : ?>
    <?php /* Start the Loop */ ?>
    <?php while ( have_posts() ) : the_post(); ?>
    <div class="col-md-12 ministries-single">
    <?php 
	    $meta_ministry = get_post_meta( $post->ID, 'pastor_name', true );
	    if($meta_ministry) :
		  echo '<p> Pastor : <span>'.esc_html($meta_ministry).'</span></p>';
	    endif;
		  
		if( has_excerpt() ) : the_excerpt();
		endif;
        ?>
      <div class="ministry-image-full">
  	  <?php 
		if ( has_post_thumbnail() ) : the_post_thumbnail('full',array('class'=>'img-responsive'));
		endif;
      ?>
      </div>
      <?php 
          $pastor_video_link = get_post_meta( $post->ID, 'pastor_video_link', true );
          if($pastor_video_link != '') :		  
		  echo '<a class="ministry-video btn outline-btn outline-btn-red open" 
		  href="'.$pastor_video_link.'">Watch Intro video <i class="fa fa-angle-right"></i></a>';
		  endif;
         ?>
      <?php the_content(); ?>
    </div>
    <?php endwhile; ?>
    <?php else : ?>
    <?php get_template_part( 'template-parts/content', 'none' ); ?>
    <?php endif; ?>

<?php 
    get_template_part('inc/end','sidebar');
    get_footer(); 
?>