<?php
/**
 * The Template for displaying all single posts.
 *
 * @package Church
 */
 
get_header(); 
get_template_part('page_banner'); 
get_template_part('inc/start','sidebar'); ?>

<div class="blog-content" id="blog-content">
<!-- blog-content -->

	  <?php if ( have_posts() ) : ?>
      <?php /* Start the Loop */ ?>
      <?php while ( have_posts() ) : the_post(); ?>
      <?php 
				/*
				 * Include the Post-Format-specific template for the content.
				 * If you want to override this in a child theme, then include a file
				 * called content-___.php (where ___ is the Post Format name) and that will be used instead.
				 */
				get_template_part( 'template-parts/content', 'single' );
				
				// Related post
				church_related_post(); 
				
				// Author bio.
				if ( is_single() && get_the_author_meta( 'description' ) ) :
					get_template_part( 'author-bio' );
				endif;

      			// Single post next prev link
				church_single_post_link(); 				

				// If comments are open or we have at least one comment, load up the comment template.
				if ( comments_open() || get_comments_number() ) :
					comments_template();
				endif;
	  ?>      
	  <?php endwhile; ?>
	  <?php else : ?>
	  <?php get_template_part( 'template-parts/content', 'none' ); ?>
	  <?php endif; ?>
          
</div>
<!-- blog-content -->

<?php 
    get_template_part('inc/end','sidebar');
    get_footer(); 
?>