<?php
/*
 * @package Church
 */ 
?>
<!-- main-container -->
    <div class="col-md-12">
    <!-- #md12 -->
	  <h1><?php esc_html_e( 'Nothing Found', 'praise_church' ); ?></h1>
        <?php if ( is_home() && current_user_can( 'publish_posts' ) ) : ?>
      <p><?php printf( wp_kses( __( 'Ready to publish your first post? <a href="%1$s">Get started here</a>.', 'praise_church' ), array( 'a' => array( 'href' => array() ) ) ), esc_url( admin_url( 'post-new.php' ) ) ); ?></p>
      <?php elseif ( is_search() ) : ?>
      <p>
        <?php esc_html_e( 'Sorry, but nothing matched your search terms. Please try again with some different keywords.', 'praise_church' ); ?>
      </p>
	  <?php get_search_form(); ?>	      
      <?php else : ?>
      <p>
        <?php esc_html_e( 'It seems we can&rsquo;t find what you&rsquo;re looking for. Perhaps searching can help.', 'praise_church' ); ?>
      </p>
		<?php get_search_form(); ?>      
      <?php endif; ?>
    </div>
    <!-- col-md-12 -->