<?php
/**
 * Empty cart page
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     2.0.0
 */

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

wc_print_notices();

?>

<div class="row">
	<div class="col-md-12 text-center">

		<div class="cart-empty-banner">
			<img id="cart-empty-img" alt="cart-empty-image"  width="194" height="156"  
            src="<?php echo get_template_directory_uri() . '/images/woocommerce/empty_cart.png'; ?>">
		</div>
		
		<h1 class="cart-empty cart-wishlist-empty"><?php _e( 'Your cart is currently empty.', 'praise_church' ) ?></h1>
		
		<?php do_action( 'woocommerce_cart_is_empty' ); ?>
		
		<p class="return-to-shop"><a class="wc-backward button" href="<?php echo get_permalink( wc_get_page_id( 'shop' ) ); ?>"><?php _e( 'Return To Shop', 'praise_church' ) ?></a></p>

	</div><!-- .large-10-->
</div><!-- .row-->